import{S as DF,i as SF,s as WF,e as r,k as p,w as k,t as o,M as UF,c as a,d as t,m,a as s,x as T,h as n,b as f,G as e,g as _,y as w,q as $,o as P,B as F,v as BF,L as Oe}from"../../chunks/vendor-hf-doc-builder.js";import{T as qe}from"../../chunks/Tip-hf-doc-builder.js";import{D as W}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ie}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ue}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ae}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function QF(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import RobertaPreLayerNormConfig, RobertaPreLayerNormModel

# Initializing a RoBERTa-PreLayerNorm configuration
configuration = RobertaPreLayerNormConfig()

# Initializing a model (with random weights) from the configuration
model = RobertaPreLayerNormModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> RobertaPreLayerNormConfig, RobertaPreLayerNormModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a RoBERTa-PreLayerNorm configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = RobertaPreLayerNormConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=r("p"),y=o("Examples:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Examples:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function HF(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function KF(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, RobertaPreLayerNormModel
import torch

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = RobertaPreLayerNormModel.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, RobertaPreLayerNormModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormModel.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function VF(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function JF(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, RobertaPreLayerNormForCausalLM, AutoConfig
import torch

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
config = AutoConfig.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
config.is_decoder = True
model = RobertaPreLayerNormForCausalLM.from_pretrained("andreasmadsen/efficient_mlm_m0.40", config=config)

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

prediction_logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, RobertaPreLayerNormForCausalLM, AutoConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config = AutoConfig.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config.is_decoder = <span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormForCausalLM.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.logits`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function GF(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function XF(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, RobertaPreLayerNormForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = RobertaPreLayerNormForMaskedLM.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of [MASK]
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]

predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)

labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
# mask labels of non-[MASK] tokens
labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, RobertaPreLayerNormForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormForMaskedLM.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of [MASK]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-[MASK] tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function YF(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function ZF(N){let d,y,h,u,g;return u=new Ie({props:{code:`import torch
from transformers import AutoTokenizer, RobertaPreLayerNormForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = RobertaPreLayerNormForSequenceClassification.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = RobertaPreLayerNormForSequenceClassification.from_pretrained("andreasmadsen/efficient_mlm_m0.40", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, RobertaPreLayerNormForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=r("p"),y=o("Example of single-label classification:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example of single-label classification:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function eN(N){let d,y,h,u,g;return u=new Ie({props:{code:`import torch
from transformers import AutoTokenizer, RobertaPreLayerNormForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = RobertaPreLayerNormForSequenceClassification.from_pretrained("andreasmadsen/efficient_mlm_m0.40", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = RobertaPreLayerNormForSequenceClassification.from_pretrained(
    "andreasmadsen/efficient_mlm_m0.40", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, RobertaPreLayerNormForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=r("p"),y=o("Example of multi-label classification:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example of multi-label classification:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function tN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function oN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, RobertaPreLayerNormForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = RobertaPreLayerNormForMultipleChoice.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, RobertaPreLayerNormForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function nN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function rN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, RobertaPreLayerNormForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = RobertaPreLayerNormForTokenClassification.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, RobertaPreLayerNormForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormForTokenClassification.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function aN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function sN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, RobertaPreLayerNormForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = RobertaPreLayerNormForQuestionAnswering.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, RobertaPreLayerNormForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RobertaPreLayerNormForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function iN(N){let d,y,h,u,g,l,c,x,ye,he,D,ae,te,L,be,B,ve,ue,A,ke,se,K,Te,ce,V,we,ie,J,$e,fe,ee,R,C,le,Q,Pe,ge,U,Fe,_e,z,H,G,de,Ne,X,pe,Le,S,me,Y,xe,oe,j,Me,q,Ee,Re;return{c(){d=r("p"),y=o("TensorFlow models and layers in "),h=r("code"),u=o("transformers"),g=o(" accept two formats as input:"),l=p(),c=r("ul"),x=r("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),he=p(),D=r("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),L=r("p"),be=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=r("code"),ke=o("model.fit()"),se=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),K=r("code"),Te=o("fit()"),ce=o(" and "),V=r("code"),we=o("predict()"),ie=o(`, such as when creating your own layers or models with
the Keras `),J=r("code"),$e=o("Functional"),fe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=p(),R=r("ul"),C=r("li"),le=o("a single Tensor with "),Q=r("code"),Pe=o("input_ids"),ge=o(" only and nothing else: "),U=r("code"),Fe=o("model(input_ids)"),_e=p(),z=r("li"),H=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),de=o("model([input_ids, attention_mask])"),Ne=o(" or "),X=r("code"),pe=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),S=r("li"),me=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=r("code"),xe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oe=p(),j=r("p"),Me=o(`Note that when creating models and layers with
`),q=r("a"),Ee=o("subclassing"),Re=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var M=s(d);y=n(M,"TensorFlow models and layers in "),h=a(M,"CODE",{});var Be=s(h);u=n(Be,"transformers"),Be.forEach(t),g=n(M," accept two formats as input:"),M.forEach(t),l=m(v),c=a(v,"UL",{});var re=s(c);x=a(re,"LI",{});var ze=s(x);ye=n(ze,"having all inputs as keyword arguments (like PyTorch models), or"),ze.forEach(t),he=m(re),D=a(re,"LI",{});var Qe=s(D);ae=n(Qe,"having all inputs as a list, tuple or dict in the first positional argument."),Qe.forEach(t),re.forEach(t),te=m(v),L=a(v,"P",{});var E=s(L);be=n(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=a(E,"CODE",{});var He=s(B);ve=n(He,"model.fit()"),He.forEach(t),ue=n(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=a(E,"CODE",{});var Ke=s(A);ke=n(Ke,"model.fit()"),Ke.forEach(t),se=n(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),K=a(E,"CODE",{});var De=s(K);Te=n(De,"fit()"),De.forEach(t),ce=n(E," and "),V=a(E,"CODE",{});var Ve=s(V);we=n(Ve,"predict()"),Ve.forEach(t),ie=n(E,`, such as when creating your own layers or models with
the Keras `),J=a(E,"CODE",{});var Je=s(J);$e=n(Je,"Functional"),Je.forEach(t),fe=n(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),ee=m(v),R=a(v,"UL",{});var O=s(R);C=a(O,"LI",{});var I=s(C);le=n(I,"a single Tensor with "),Q=a(I,"CODE",{});var Ge=s(Q);Pe=n(Ge,"input_ids"),Ge.forEach(t),ge=n(I," only and nothing else: "),U=a(I,"CODE",{});var Se=s(U);Fe=n(Se,"model(input_ids)"),Se.forEach(t),I.forEach(t),_e=m(O),z=a(O,"LI",{});var Z=s(z);H=n(Z,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(Z,"CODE",{});var Xe=s(G);de=n(Xe,"model([input_ids, attention_mask])"),Xe.forEach(t),Ne=n(Z," or "),X=a(Z,"CODE",{});var We=s(X);pe=n(We,"model([input_ids, attention_mask, token_type_ids])"),We.forEach(t),Z.forEach(t),Le=m(O),S=a(O,"LI",{});var Ce=s(S);me=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=a(Ce,"CODE",{});var Ye=s(Y);xe=n(Ye,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ye.forEach(t),Ce.forEach(t),O.forEach(t),oe=m(v),j=a(v,"P",{});var ne=s(j);Me=n(ne,`Note that when creating models and layers with
`),q=a(ne,"A",{href:!0,rel:!0});var je=s(q);Ee=n(je,"subclassing"),je.forEach(t),Re=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){f(q,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),f(q,"rel","nofollow")},m(v,M){_(v,d,M),e(d,y),e(d,h),e(h,u),e(d,g),_(v,l,M),_(v,c,M),e(c,x),e(x,ye),e(c,he),e(c,D),e(D,ae),_(v,te,M),_(v,L,M),e(L,be),e(L,B),e(B,ve),e(L,ue),e(L,A),e(A,ke),e(L,se),e(L,K),e(K,Te),e(L,ce),e(L,V),e(V,we),e(L,ie),e(L,J),e(J,$e),e(L,fe),_(v,ee,M),_(v,R,M),e(R,C),e(C,le),e(C,Q),e(Q,Pe),e(C,ge),e(C,U),e(U,Fe),e(R,_e),e(R,z),e(z,H),e(z,G),e(G,de),e(z,Ne),e(z,X),e(X,pe),e(R,Le),e(R,S),e(S,me),e(S,Y),e(Y,xe),_(v,oe,M),_(v,j,M),e(j,Me),e(j,q),e(q,Ee),e(j,Re)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(L),v&&t(ee),v&&t(R),v&&t(oe),v&&t(j)}}}function lN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function dN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, TFRobertaPreLayerNormModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = TFRobertaPreLayerNormModel.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFRobertaPreLayerNormModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRobertaPreLayerNormModel.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function cN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function pN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, TFRobertaPreLayerNormForCausalLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = TFRobertaPreLayerNormForCausalLM.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFRobertaPreLayerNormForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRobertaPreLayerNormForCausalLM.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function mN(N){let d,y,h,u,g,l,c,x,ye,he,D,ae,te,L,be,B,ve,ue,A,ke,se,K,Te,ce,V,we,ie,J,$e,fe,ee,R,C,le,Q,Pe,ge,U,Fe,_e,z,H,G,de,Ne,X,pe,Le,S,me,Y,xe,oe,j,Me,q,Ee,Re;return{c(){d=r("p"),y=o("TensorFlow models and layers in "),h=r("code"),u=o("transformers"),g=o(" accept two formats as input:"),l=p(),c=r("ul"),x=r("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),he=p(),D=r("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),L=r("p"),be=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=r("code"),ke=o("model.fit()"),se=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),K=r("code"),Te=o("fit()"),ce=o(" and "),V=r("code"),we=o("predict()"),ie=o(`, such as when creating your own layers or models with
the Keras `),J=r("code"),$e=o("Functional"),fe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=p(),R=r("ul"),C=r("li"),le=o("a single Tensor with "),Q=r("code"),Pe=o("input_ids"),ge=o(" only and nothing else: "),U=r("code"),Fe=o("model(input_ids)"),_e=p(),z=r("li"),H=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),de=o("model([input_ids, attention_mask])"),Ne=o(" or "),X=r("code"),pe=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),S=r("li"),me=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=r("code"),xe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oe=p(),j=r("p"),Me=o(`Note that when creating models and layers with
`),q=r("a"),Ee=o("subclassing"),Re=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var M=s(d);y=n(M,"TensorFlow models and layers in "),h=a(M,"CODE",{});var Be=s(h);u=n(Be,"transformers"),Be.forEach(t),g=n(M," accept two formats as input:"),M.forEach(t),l=m(v),c=a(v,"UL",{});var re=s(c);x=a(re,"LI",{});var ze=s(x);ye=n(ze,"having all inputs as keyword arguments (like PyTorch models), or"),ze.forEach(t),he=m(re),D=a(re,"LI",{});var Qe=s(D);ae=n(Qe,"having all inputs as a list, tuple or dict in the first positional argument."),Qe.forEach(t),re.forEach(t),te=m(v),L=a(v,"P",{});var E=s(L);be=n(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=a(E,"CODE",{});var He=s(B);ve=n(He,"model.fit()"),He.forEach(t),ue=n(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=a(E,"CODE",{});var Ke=s(A);ke=n(Ke,"model.fit()"),Ke.forEach(t),se=n(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),K=a(E,"CODE",{});var De=s(K);Te=n(De,"fit()"),De.forEach(t),ce=n(E," and "),V=a(E,"CODE",{});var Ve=s(V);we=n(Ve,"predict()"),Ve.forEach(t),ie=n(E,`, such as when creating your own layers or models with
the Keras `),J=a(E,"CODE",{});var Je=s(J);$e=n(Je,"Functional"),Je.forEach(t),fe=n(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),ee=m(v),R=a(v,"UL",{});var O=s(R);C=a(O,"LI",{});var I=s(C);le=n(I,"a single Tensor with "),Q=a(I,"CODE",{});var Ge=s(Q);Pe=n(Ge,"input_ids"),Ge.forEach(t),ge=n(I," only and nothing else: "),U=a(I,"CODE",{});var Se=s(U);Fe=n(Se,"model(input_ids)"),Se.forEach(t),I.forEach(t),_e=m(O),z=a(O,"LI",{});var Z=s(z);H=n(Z,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(Z,"CODE",{});var Xe=s(G);de=n(Xe,"model([input_ids, attention_mask])"),Xe.forEach(t),Ne=n(Z," or "),X=a(Z,"CODE",{});var We=s(X);pe=n(We,"model([input_ids, attention_mask, token_type_ids])"),We.forEach(t),Z.forEach(t),Le=m(O),S=a(O,"LI",{});var Ce=s(S);me=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=a(Ce,"CODE",{});var Ye=s(Y);xe=n(Ye,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ye.forEach(t),Ce.forEach(t),O.forEach(t),oe=m(v),j=a(v,"P",{});var ne=s(j);Me=n(ne,`Note that when creating models and layers with
`),q=a(ne,"A",{href:!0,rel:!0});var je=s(q);Ee=n(je,"subclassing"),je.forEach(t),Re=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){f(q,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),f(q,"rel","nofollow")},m(v,M){_(v,d,M),e(d,y),e(d,h),e(h,u),e(d,g),_(v,l,M),_(v,c,M),e(c,x),e(x,ye),e(c,he),e(c,D),e(D,ae),_(v,te,M),_(v,L,M),e(L,be),e(L,B),e(B,ve),e(L,ue),e(L,A),e(A,ke),e(L,se),e(L,K),e(K,Te),e(L,ce),e(L,V),e(V,we),e(L,ie),e(L,J),e(J,$e),e(L,fe),_(v,ee,M),_(v,R,M),e(R,C),e(C,le),e(C,Q),e(Q,Pe),e(C,ge),e(C,U),e(U,Fe),e(R,_e),e(R,z),e(z,H),e(z,G),e(G,de),e(z,Ne),e(z,X),e(X,pe),e(R,Le),e(R,S),e(S,me),e(S,Y),e(Y,xe),_(v,oe,M),_(v,j,M),e(j,Me),e(j,q),e(q,Ee),e(j,Re)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(L),v&&t(ee),v&&t(R),v&&t(oe),v&&t(j)}}}function hN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function uN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, TFRobertaPreLayerNormForMaskedLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = TFRobertaPreLayerNormForMaskedLM.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="tf")
logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[0])
selected_logits = tf.gather_nd(logits[0], indices=mask_token_index)

predicted_token_id = tf.math.argmax(selected_logits, axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFRobertaPreLayerNormForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRobertaPreLayerNormForMaskedLM.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>selected_logits = tf.gather_nd(logits[<span class="hljs-number">0</span>], indices=mask_token_index)

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = tf.math.argmax(selected_logits, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function fN(N){let d,y;return d=new Ie({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="tf")["input_ids"]
# mask labels of non-<mask> tokens
labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(float(outputs.loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(outputs.loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){k(d.$$.fragment)},l(h){T(d.$$.fragment,h)},m(h,u){w(d,h,u),y=!0},p:Oe,i(h){y||($(d.$$.fragment,h),y=!0)},o(h){P(d.$$.fragment,h),y=!1},d(h){F(d,h)}}}function gN(N){let d,y,h,u,g,l,c,x,ye,he,D,ae,te,L,be,B,ve,ue,A,ke,se,K,Te,ce,V,we,ie,J,$e,fe,ee,R,C,le,Q,Pe,ge,U,Fe,_e,z,H,G,de,Ne,X,pe,Le,S,me,Y,xe,oe,j,Me,q,Ee,Re;return{c(){d=r("p"),y=o("TensorFlow models and layers in "),h=r("code"),u=o("transformers"),g=o(" accept two formats as input:"),l=p(),c=r("ul"),x=r("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),he=p(),D=r("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),L=r("p"),be=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=r("code"),ke=o("model.fit()"),se=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),K=r("code"),Te=o("fit()"),ce=o(" and "),V=r("code"),we=o("predict()"),ie=o(`, such as when creating your own layers or models with
the Keras `),J=r("code"),$e=o("Functional"),fe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=p(),R=r("ul"),C=r("li"),le=o("a single Tensor with "),Q=r("code"),Pe=o("input_ids"),ge=o(" only and nothing else: "),U=r("code"),Fe=o("model(input_ids)"),_e=p(),z=r("li"),H=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),de=o("model([input_ids, attention_mask])"),Ne=o(" or "),X=r("code"),pe=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),S=r("li"),me=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=r("code"),xe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oe=p(),j=r("p"),Me=o(`Note that when creating models and layers with
`),q=r("a"),Ee=o("subclassing"),Re=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var M=s(d);y=n(M,"TensorFlow models and layers in "),h=a(M,"CODE",{});var Be=s(h);u=n(Be,"transformers"),Be.forEach(t),g=n(M," accept two formats as input:"),M.forEach(t),l=m(v),c=a(v,"UL",{});var re=s(c);x=a(re,"LI",{});var ze=s(x);ye=n(ze,"having all inputs as keyword arguments (like PyTorch models), or"),ze.forEach(t),he=m(re),D=a(re,"LI",{});var Qe=s(D);ae=n(Qe,"having all inputs as a list, tuple or dict in the first positional argument."),Qe.forEach(t),re.forEach(t),te=m(v),L=a(v,"P",{});var E=s(L);be=n(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=a(E,"CODE",{});var He=s(B);ve=n(He,"model.fit()"),He.forEach(t),ue=n(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=a(E,"CODE",{});var Ke=s(A);ke=n(Ke,"model.fit()"),Ke.forEach(t),se=n(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),K=a(E,"CODE",{});var De=s(K);Te=n(De,"fit()"),De.forEach(t),ce=n(E," and "),V=a(E,"CODE",{});var Ve=s(V);we=n(Ve,"predict()"),Ve.forEach(t),ie=n(E,`, such as when creating your own layers or models with
the Keras `),J=a(E,"CODE",{});var Je=s(J);$e=n(Je,"Functional"),Je.forEach(t),fe=n(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),ee=m(v),R=a(v,"UL",{});var O=s(R);C=a(O,"LI",{});var I=s(C);le=n(I,"a single Tensor with "),Q=a(I,"CODE",{});var Ge=s(Q);Pe=n(Ge,"input_ids"),Ge.forEach(t),ge=n(I," only and nothing else: "),U=a(I,"CODE",{});var Se=s(U);Fe=n(Se,"model(input_ids)"),Se.forEach(t),I.forEach(t),_e=m(O),z=a(O,"LI",{});var Z=s(z);H=n(Z,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(Z,"CODE",{});var Xe=s(G);de=n(Xe,"model([input_ids, attention_mask])"),Xe.forEach(t),Ne=n(Z," or "),X=a(Z,"CODE",{});var We=s(X);pe=n(We,"model([input_ids, attention_mask, token_type_ids])"),We.forEach(t),Z.forEach(t),Le=m(O),S=a(O,"LI",{});var Ce=s(S);me=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=a(Ce,"CODE",{});var Ye=s(Y);xe=n(Ye,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ye.forEach(t),Ce.forEach(t),O.forEach(t),oe=m(v),j=a(v,"P",{});var ne=s(j);Me=n(ne,`Note that when creating models and layers with
`),q=a(ne,"A",{href:!0,rel:!0});var je=s(q);Ee=n(je,"subclassing"),je.forEach(t),Re=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){f(q,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),f(q,"rel","nofollow")},m(v,M){_(v,d,M),e(d,y),e(d,h),e(h,u),e(d,g),_(v,l,M),_(v,c,M),e(c,x),e(x,ye),e(c,he),e(c,D),e(D,ae),_(v,te,M),_(v,L,M),e(L,be),e(L,B),e(B,ve),e(L,ue),e(L,A),e(A,ke),e(L,se),e(L,K),e(K,Te),e(L,ce),e(L,V),e(V,we),e(L,ie),e(L,J),e(J,$e),e(L,fe),_(v,ee,M),_(v,R,M),e(R,C),e(C,le),e(C,Q),e(Q,Pe),e(C,ge),e(C,U),e(U,Fe),e(R,_e),e(R,z),e(z,H),e(z,G),e(G,de),e(z,Ne),e(z,X),e(X,pe),e(R,Le),e(R,S),e(S,me),e(S,Y),e(Y,xe),_(v,oe,M),_(v,j,M),e(j,Me),e(j,q),e(q,Ee),e(j,Re)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(L),v&&t(ee),v&&t(R),v&&t(oe),v&&t(j)}}}function _N(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function yN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, TFRobertaPreLayerNormForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = TFRobertaPreLayerNormForSequenceClassification.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFRobertaPreLayerNormForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRobertaPreLayerNormForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function bN(N){let d,y;return d=new Ie({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFRobertaPreLayerNormForSequenceClassification.from_pretrained("andreasmadsen/efficient_mlm_m0.40", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss\nround(float(loss), 2)',highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRobertaPreLayerNormForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){k(d.$$.fragment)},l(h){T(d.$$.fragment,h)},m(h,u){w(d,h,u),y=!0},p:Oe,i(h){y||($(d.$$.fragment,h),y=!0)},o(h){P(d.$$.fragment,h),y=!1},d(h){F(d,h)}}}function vN(N){let d,y,h,u,g,l,c,x,ye,he,D,ae,te,L,be,B,ve,ue,A,ke,se,K,Te,ce,V,we,ie,J,$e,fe,ee,R,C,le,Q,Pe,ge,U,Fe,_e,z,H,G,de,Ne,X,pe,Le,S,me,Y,xe,oe,j,Me,q,Ee,Re;return{c(){d=r("p"),y=o("TensorFlow models and layers in "),h=r("code"),u=o("transformers"),g=o(" accept two formats as input:"),l=p(),c=r("ul"),x=r("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),he=p(),D=r("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),L=r("p"),be=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=r("code"),ke=o("model.fit()"),se=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),K=r("code"),Te=o("fit()"),ce=o(" and "),V=r("code"),we=o("predict()"),ie=o(`, such as when creating your own layers or models with
the Keras `),J=r("code"),$e=o("Functional"),fe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=p(),R=r("ul"),C=r("li"),le=o("a single Tensor with "),Q=r("code"),Pe=o("input_ids"),ge=o(" only and nothing else: "),U=r("code"),Fe=o("model(input_ids)"),_e=p(),z=r("li"),H=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),de=o("model([input_ids, attention_mask])"),Ne=o(" or "),X=r("code"),pe=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),S=r("li"),me=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=r("code"),xe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oe=p(),j=r("p"),Me=o(`Note that when creating models and layers with
`),q=r("a"),Ee=o("subclassing"),Re=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var M=s(d);y=n(M,"TensorFlow models and layers in "),h=a(M,"CODE",{});var Be=s(h);u=n(Be,"transformers"),Be.forEach(t),g=n(M," accept two formats as input:"),M.forEach(t),l=m(v),c=a(v,"UL",{});var re=s(c);x=a(re,"LI",{});var ze=s(x);ye=n(ze,"having all inputs as keyword arguments (like PyTorch models), or"),ze.forEach(t),he=m(re),D=a(re,"LI",{});var Qe=s(D);ae=n(Qe,"having all inputs as a list, tuple or dict in the first positional argument."),Qe.forEach(t),re.forEach(t),te=m(v),L=a(v,"P",{});var E=s(L);be=n(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=a(E,"CODE",{});var He=s(B);ve=n(He,"model.fit()"),He.forEach(t),ue=n(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=a(E,"CODE",{});var Ke=s(A);ke=n(Ke,"model.fit()"),Ke.forEach(t),se=n(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),K=a(E,"CODE",{});var De=s(K);Te=n(De,"fit()"),De.forEach(t),ce=n(E," and "),V=a(E,"CODE",{});var Ve=s(V);we=n(Ve,"predict()"),Ve.forEach(t),ie=n(E,`, such as when creating your own layers or models with
the Keras `),J=a(E,"CODE",{});var Je=s(J);$e=n(Je,"Functional"),Je.forEach(t),fe=n(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),ee=m(v),R=a(v,"UL",{});var O=s(R);C=a(O,"LI",{});var I=s(C);le=n(I,"a single Tensor with "),Q=a(I,"CODE",{});var Ge=s(Q);Pe=n(Ge,"input_ids"),Ge.forEach(t),ge=n(I," only and nothing else: "),U=a(I,"CODE",{});var Se=s(U);Fe=n(Se,"model(input_ids)"),Se.forEach(t),I.forEach(t),_e=m(O),z=a(O,"LI",{});var Z=s(z);H=n(Z,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(Z,"CODE",{});var Xe=s(G);de=n(Xe,"model([input_ids, attention_mask])"),Xe.forEach(t),Ne=n(Z," or "),X=a(Z,"CODE",{});var We=s(X);pe=n(We,"model([input_ids, attention_mask, token_type_ids])"),We.forEach(t),Z.forEach(t),Le=m(O),S=a(O,"LI",{});var Ce=s(S);me=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=a(Ce,"CODE",{});var Ye=s(Y);xe=n(Ye,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ye.forEach(t),Ce.forEach(t),O.forEach(t),oe=m(v),j=a(v,"P",{});var ne=s(j);Me=n(ne,`Note that when creating models and layers with
`),q=a(ne,"A",{href:!0,rel:!0});var je=s(q);Ee=n(je,"subclassing"),je.forEach(t),Re=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){f(q,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),f(q,"rel","nofollow")},m(v,M){_(v,d,M),e(d,y),e(d,h),e(h,u),e(d,g),_(v,l,M),_(v,c,M),e(c,x),e(x,ye),e(c,he),e(c,D),e(D,ae),_(v,te,M),_(v,L,M),e(L,be),e(L,B),e(B,ve),e(L,ue),e(L,A),e(A,ke),e(L,se),e(L,K),e(K,Te),e(L,ce),e(L,V),e(V,we),e(L,ie),e(L,J),e(J,$e),e(L,fe),_(v,ee,M),_(v,R,M),e(R,C),e(C,le),e(C,Q),e(Q,Pe),e(C,ge),e(C,U),e(U,Fe),e(R,_e),e(R,z),e(z,H),e(z,G),e(G,de),e(z,Ne),e(z,X),e(X,pe),e(R,Le),e(R,S),e(S,me),e(S,Y),e(Y,xe),_(v,oe,M),_(v,j,M),e(j,Me),e(j,q),e(q,Ee),e(j,Re)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(L),v&&t(ee),v&&t(R),v&&t(oe),v&&t(j)}}}function kN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function TN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, TFRobertaPreLayerNormForMultipleChoice
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = TFRobertaPreLayerNormForMultipleChoice.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="tf", padding=True)
inputs = {k: tf.expand_dims(v, 0) for k, v in encoding.items()}
outputs = model(inputs)  # batch size is 1

# the linear classifier still needs to be trained
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFRobertaPreLayerNormForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRobertaPreLayerNormForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = {k: tf.expand_dims(v, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function wN(N){let d,y,h,u,g,l,c,x,ye,he,D,ae,te,L,be,B,ve,ue,A,ke,se,K,Te,ce,V,we,ie,J,$e,fe,ee,R,C,le,Q,Pe,ge,U,Fe,_e,z,H,G,de,Ne,X,pe,Le,S,me,Y,xe,oe,j,Me,q,Ee,Re;return{c(){d=r("p"),y=o("TensorFlow models and layers in "),h=r("code"),u=o("transformers"),g=o(" accept two formats as input:"),l=p(),c=r("ul"),x=r("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),he=p(),D=r("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),L=r("p"),be=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=r("code"),ke=o("model.fit()"),se=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),K=r("code"),Te=o("fit()"),ce=o(" and "),V=r("code"),we=o("predict()"),ie=o(`, such as when creating your own layers or models with
the Keras `),J=r("code"),$e=o("Functional"),fe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=p(),R=r("ul"),C=r("li"),le=o("a single Tensor with "),Q=r("code"),Pe=o("input_ids"),ge=o(" only and nothing else: "),U=r("code"),Fe=o("model(input_ids)"),_e=p(),z=r("li"),H=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),de=o("model([input_ids, attention_mask])"),Ne=o(" or "),X=r("code"),pe=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),S=r("li"),me=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=r("code"),xe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oe=p(),j=r("p"),Me=o(`Note that when creating models and layers with
`),q=r("a"),Ee=o("subclassing"),Re=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var M=s(d);y=n(M,"TensorFlow models and layers in "),h=a(M,"CODE",{});var Be=s(h);u=n(Be,"transformers"),Be.forEach(t),g=n(M," accept two formats as input:"),M.forEach(t),l=m(v),c=a(v,"UL",{});var re=s(c);x=a(re,"LI",{});var ze=s(x);ye=n(ze,"having all inputs as keyword arguments (like PyTorch models), or"),ze.forEach(t),he=m(re),D=a(re,"LI",{});var Qe=s(D);ae=n(Qe,"having all inputs as a list, tuple or dict in the first positional argument."),Qe.forEach(t),re.forEach(t),te=m(v),L=a(v,"P",{});var E=s(L);be=n(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=a(E,"CODE",{});var He=s(B);ve=n(He,"model.fit()"),He.forEach(t),ue=n(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=a(E,"CODE",{});var Ke=s(A);ke=n(Ke,"model.fit()"),Ke.forEach(t),se=n(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),K=a(E,"CODE",{});var De=s(K);Te=n(De,"fit()"),De.forEach(t),ce=n(E," and "),V=a(E,"CODE",{});var Ve=s(V);we=n(Ve,"predict()"),Ve.forEach(t),ie=n(E,`, such as when creating your own layers or models with
the Keras `),J=a(E,"CODE",{});var Je=s(J);$e=n(Je,"Functional"),Je.forEach(t),fe=n(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),ee=m(v),R=a(v,"UL",{});var O=s(R);C=a(O,"LI",{});var I=s(C);le=n(I,"a single Tensor with "),Q=a(I,"CODE",{});var Ge=s(Q);Pe=n(Ge,"input_ids"),Ge.forEach(t),ge=n(I," only and nothing else: "),U=a(I,"CODE",{});var Se=s(U);Fe=n(Se,"model(input_ids)"),Se.forEach(t),I.forEach(t),_e=m(O),z=a(O,"LI",{});var Z=s(z);H=n(Z,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(Z,"CODE",{});var Xe=s(G);de=n(Xe,"model([input_ids, attention_mask])"),Xe.forEach(t),Ne=n(Z," or "),X=a(Z,"CODE",{});var We=s(X);pe=n(We,"model([input_ids, attention_mask, token_type_ids])"),We.forEach(t),Z.forEach(t),Le=m(O),S=a(O,"LI",{});var Ce=s(S);me=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=a(Ce,"CODE",{});var Ye=s(Y);xe=n(Ye,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ye.forEach(t),Ce.forEach(t),O.forEach(t),oe=m(v),j=a(v,"P",{});var ne=s(j);Me=n(ne,`Note that when creating models and layers with
`),q=a(ne,"A",{href:!0,rel:!0});var je=s(q);Ee=n(je,"subclassing"),je.forEach(t),Re=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){f(q,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),f(q,"rel","nofollow")},m(v,M){_(v,d,M),e(d,y),e(d,h),e(h,u),e(d,g),_(v,l,M),_(v,c,M),e(c,x),e(x,ye),e(c,he),e(c,D),e(D,ae),_(v,te,M),_(v,L,M),e(L,be),e(L,B),e(B,ve),e(L,ue),e(L,A),e(A,ke),e(L,se),e(L,K),e(K,Te),e(L,ce),e(L,V),e(V,we),e(L,ie),e(L,J),e(J,$e),e(L,fe),_(v,ee,M),_(v,R,M),e(R,C),e(C,le),e(C,Q),e(Q,Pe),e(C,ge),e(C,U),e(U,Fe),e(R,_e),e(R,z),e(z,H),e(z,G),e(G,de),e(z,Ne),e(z,X),e(X,pe),e(R,Le),e(R,S),e(S,me),e(S,Y),e(Y,xe),_(v,oe,M),_(v,j,M),e(j,Me),e(j,q),e(q,Ee),e(j,Re)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(L),v&&t(ee),v&&t(R),v&&t(oe),v&&t(j)}}}function $N(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function PN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, TFRobertaPreLayerNormForTokenClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = TFRobertaPreLayerNormForTokenClassification.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="tf"
)

logits = model(**inputs).logits
predicted_token_class_ids = tf.math.argmax(logits, axis=-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t] for t in predicted_token_class_ids[0].numpy().tolist()]
predicted_tokens_classes`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFRobertaPreLayerNormForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRobertaPreLayerNormForTokenClassification.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>].numpy().tolist()]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function FN(N){let d,y;return d=new Ie({props:{code:`labels = predicted_token_class_ids
loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){k(d.$$.fragment)},l(h){T(d.$$.fragment,h)},m(h,u){w(d,h,u),y=!0},p:Oe,i(h){y||($(d.$$.fragment,h),y=!0)},o(h){P(d.$$.fragment,h),y=!1},d(h){F(d,h)}}}function NN(N){let d,y,h,u,g,l,c,x,ye,he,D,ae,te,L,be,B,ve,ue,A,ke,se,K,Te,ce,V,we,ie,J,$e,fe,ee,R,C,le,Q,Pe,ge,U,Fe,_e,z,H,G,de,Ne,X,pe,Le,S,me,Y,xe,oe,j,Me,q,Ee,Re;return{c(){d=r("p"),y=o("TensorFlow models and layers in "),h=r("code"),u=o("transformers"),g=o(" accept two formats as input:"),l=p(),c=r("ul"),x=r("li"),ye=o("having all inputs as keyword arguments (like PyTorch models), or"),he=p(),D=r("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),L=r("p"),be=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=r("code"),ke=o("model.fit()"),se=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),K=r("code"),Te=o("fit()"),ce=o(" and "),V=r("code"),we=o("predict()"),ie=o(`, such as when creating your own layers or models with
the Keras `),J=r("code"),$e=o("Functional"),fe=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=p(),R=r("ul"),C=r("li"),le=o("a single Tensor with "),Q=r("code"),Pe=o("input_ids"),ge=o(" only and nothing else: "),U=r("code"),Fe=o("model(input_ids)"),_e=p(),z=r("li"),H=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),de=o("model([input_ids, attention_mask])"),Ne=o(" or "),X=r("code"),pe=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),S=r("li"),me=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=r("code"),xe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),oe=p(),j=r("p"),Me=o(`Note that when creating models and layers with
`),q=r("a"),Ee=o("subclassing"),Re=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var M=s(d);y=n(M,"TensorFlow models and layers in "),h=a(M,"CODE",{});var Be=s(h);u=n(Be,"transformers"),Be.forEach(t),g=n(M," accept two formats as input:"),M.forEach(t),l=m(v),c=a(v,"UL",{});var re=s(c);x=a(re,"LI",{});var ze=s(x);ye=n(ze,"having all inputs as keyword arguments (like PyTorch models), or"),ze.forEach(t),he=m(re),D=a(re,"LI",{});var Qe=s(D);ae=n(Qe,"having all inputs as a list, tuple or dict in the first positional argument."),Qe.forEach(t),re.forEach(t),te=m(v),L=a(v,"P",{});var E=s(L);be=n(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),B=a(E,"CODE",{});var He=s(B);ve=n(He,"model.fit()"),He.forEach(t),ue=n(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),A=a(E,"CODE",{});var Ke=s(A);ke=n(Ke,"model.fit()"),Ke.forEach(t),se=n(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),K=a(E,"CODE",{});var De=s(K);Te=n(De,"fit()"),De.forEach(t),ce=n(E," and "),V=a(E,"CODE",{});var Ve=s(V);we=n(Ve,"predict()"),Ve.forEach(t),ie=n(E,`, such as when creating your own layers or models with
the Keras `),J=a(E,"CODE",{});var Je=s(J);$e=n(Je,"Functional"),Je.forEach(t),fe=n(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),ee=m(v),R=a(v,"UL",{});var O=s(R);C=a(O,"LI",{});var I=s(C);le=n(I,"a single Tensor with "),Q=a(I,"CODE",{});var Ge=s(Q);Pe=n(Ge,"input_ids"),Ge.forEach(t),ge=n(I," only and nothing else: "),U=a(I,"CODE",{});var Se=s(U);Fe=n(Se,"model(input_ids)"),Se.forEach(t),I.forEach(t),_e=m(O),z=a(O,"LI",{});var Z=s(z);H=n(Z,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(Z,"CODE",{});var Xe=s(G);de=n(Xe,"model([input_ids, attention_mask])"),Xe.forEach(t),Ne=n(Z," or "),X=a(Z,"CODE",{});var We=s(X);pe=n(We,"model([input_ids, attention_mask, token_type_ids])"),We.forEach(t),Z.forEach(t),Le=m(O),S=a(O,"LI",{});var Ce=s(S);me=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Y=a(Ce,"CODE",{});var Ye=s(Y);xe=n(Ye,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ye.forEach(t),Ce.forEach(t),O.forEach(t),oe=m(v),j=a(v,"P",{});var ne=s(j);Me=n(ne,`Note that when creating models and layers with
`),q=a(ne,"A",{href:!0,rel:!0});var je=s(q);Ee=n(je,"subclassing"),je.forEach(t),Re=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){f(q,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),f(q,"rel","nofollow")},m(v,M){_(v,d,M),e(d,y),e(d,h),e(h,u),e(d,g),_(v,l,M),_(v,c,M),e(c,x),e(x,ye),e(c,he),e(c,D),e(D,ae),_(v,te,M),_(v,L,M),e(L,be),e(L,B),e(B,ve),e(L,ue),e(L,A),e(A,ke),e(L,se),e(L,K),e(K,Te),e(L,ce),e(L,V),e(V,we),e(L,ie),e(L,J),e(J,$e),e(L,fe),_(v,ee,M),_(v,R,M),e(R,C),e(C,le),e(C,Q),e(Q,Pe),e(C,ge),e(C,U),e(U,Fe),e(R,_e),e(R,z),e(z,H),e(z,G),e(G,de),e(z,Ne),e(z,X),e(X,pe),e(R,Le),e(R,S),e(S,me),e(S,Y),e(Y,xe),_(v,oe,M),_(v,j,M),e(j,Me),e(j,q),e(q,Ee),e(j,Re)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(L),v&&t(ee),v&&t(R),v&&t(oe),v&&t(j)}}}function LN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function xN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, TFRobertaPreLayerNormForQuestionAnswering
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = TFRobertaPreLayerNormForQuestionAnswering.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="tf")
outputs = model(**inputs)

answer_start_index = int(tf.math.argmax(outputs.start_logits, axis=-1)[0])
answer_end_index = int(tf.math.argmax(outputs.end_logits, axis=-1)[0])

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFRobertaPreLayerNormForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRobertaPreLayerNormForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.start_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.end_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens)
<span class="hljs-string">&#x27; puppet&#x27;</span>`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function MN(N){let d,y;return d=new Ie({props:{code:`# target is "nice puppet"
target_start_index = tf.constant([14])
target_end_index = tf.constant([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = tf.math.reduce_mean(outputs.loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = tf.constant([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = tf.constant([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(outputs.loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){k(d.$$.fragment)},l(h){T(d.$$.fragment,h)},m(h,u){w(d,h,u),y=!0},p:Oe,i(h){y||($(d.$$.fragment,h),y=!0)},o(h){P(d.$$.fragment,h),y=!1},d(h){F(d,h)}}}function EN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function RN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, FlaxRobertaPreLayerNormModel

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = FlaxRobertaPreLayerNormModel.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxRobertaPreLayerNormModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxRobertaPreLayerNormModel.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function zN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function CN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, FlaxRobertaPreLayerNormForCausalLM

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = FlaxRobertaPreLayerNormForCausalLM.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

# retrieve logts for next token
next_token_logits = outputs.logits[:, -1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxRobertaPreLayerNormForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxRobertaPreLayerNormForCausalLM.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve logts for next token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>next_token_logits = outputs.logits[:, -<span class="hljs-number">1</span>]`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function jN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function qN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, FlaxRobertaPreLayerNormForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = FlaxRobertaPreLayerNormForMaskedLM.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxRobertaPreLayerNormForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxRobertaPreLayerNormForMaskedLM.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function AN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function ON(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, FlaxRobertaPreLayerNormForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = FlaxRobertaPreLayerNormForSequenceClassification.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxRobertaPreLayerNormForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxRobertaPreLayerNormForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function IN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function DN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, FlaxRobertaPreLayerNormForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = FlaxRobertaPreLayerNormForMultipleChoice.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="jax", padding=True)
outputs = model(**{k: v[None, :] for k, v in encoding.items()})

logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxRobertaPreLayerNormForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxRobertaPreLayerNormForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;jax&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v[<span class="hljs-literal">None</span>, :] <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()})

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function SN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function WN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, FlaxRobertaPreLayerNormForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = FlaxRobertaPreLayerNormForTokenClassification.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxRobertaPreLayerNormForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxRobertaPreLayerNormForTokenClassification.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function UN(N){let d,y,h,u,g;return{c(){d=r("p"),y=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r("code"),u=o("Module"),g=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(c,"CODE",{});var x=s(h);u=n(x,"Module"),x.forEach(t),g=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,y),e(d,h),e(h,u),e(d,g)},d(l){l&&t(d)}}}function BN(N){let d,y,h,u,g;return u=new Ie({props:{code:`from transformers import AutoTokenizer, FlaxRobertaPreLayerNormForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("andreasmadsen/efficient_mlm_m0.40")
model = FlaxRobertaPreLayerNormForQuestionAnswering.from_pretrained("andreasmadsen/efficient_mlm_m0.40")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxRobertaPreLayerNormForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxRobertaPreLayerNormForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;andreasmadsen/efficient_mlm_m0.40&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){d=r("p"),y=o("Example:"),h=p(),k(u.$$.fragment)},l(l){d=a(l,"P",{});var c=s(d);y=n(c,"Example:"),c.forEach(t),h=m(l),T(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,y),_(l,h,c),w(u,l,c),g=!0},p:Oe,i(l){g||($(u.$$.fragment,l),g=!0)},o(l){P(u.$$.fragment,l),g=!1},d(l){l&&t(d),l&&t(h),F(u,l)}}}function QN(N){let d,y,h,u,g,l,c,x,ye,he,D,ae,te,L,be,B,ve,ue,A,ke,se,K,Te,ce,V,we,ie,J,$e,fe,ee,R,C,le,Q,Pe,ge,U,Fe,_e,z,H,G,de,Ne,X,pe,Le,S,me,Y,xe,oe,j,Me,q,Ee,Re,v,M,Be,re,ze,Qe,E,He,Ke,De,Ve,Je,O,I,Ge,Se,Z,Xe,We,Ce,Ye,ne,je,$n,Md,ga,Bu,Ed,Qu,Qm,jt,_a,Hu,ro,Ku,Tl,Vu,Ju,wl,Gu,Xu,ya,Yu,Zu,ef,No,tf,$l,of,nf,Pl,rf,af,sf,Pn,Hm,Lo,Fn,Rd,ba,lf,zd,df,Km,Ze,va,cf,Cd,pf,mf,ka,hf,Fl,uf,ff,gf,Ta,_f,wa,yf,bf,vf,$a,kf,jd,Tf,wf,$f,lt,Pf,qd,Ff,Nf,Ad,Lf,xf,Od,Mf,Ef,Id,Rf,zf,Dd,Cf,jf,Sd,qf,Af,Of,Nn,If,Wd,Df,Sf,Pa,Wf,Uf,qt,Fa,Bf,xo,Qf,Nl,Hf,Kf,Ud,Vf,Jf,Gf,Ln,Xf,xn,Vm,Mo,Mn,Bd,Na,Yf,Qd,Zf,Jm,gt,La,eg,xa,tg,Hd,og,ng,rg,Ma,ag,Ll,sg,ig,lg,Ea,dg,Ra,cg,pg,mg,At,za,hg,Eo,ug,xl,fg,gg,Kd,_g,yg,bg,En,vg,Rn,Gm,Ro,zn,Vd,Ca,kg,Jd,Tg,Xm,_t,ja,wg,qa,$g,Gd,Pg,Fg,Ng,Aa,Lg,Ml,xg,Mg,Eg,Oa,Rg,Ia,zg,Cg,jg,Ot,Da,qg,zo,Ag,El,Og,Ig,Xd,Dg,Sg,Wg,Cn,Ug,jn,Ym,Co,qn,Yd,Sa,Bg,Zd,Qg,Zm,yt,Wa,Hg,ec,Kg,Vg,Ua,Jg,Rl,Gg,Xg,Yg,Ba,Zg,Qa,e_,t_,o_,Tt,Ha,n_,jo,r_,zl,a_,s_,tc,i_,l_,d_,An,c_,On,p_,In,eh,qo,Dn,oc,Ka,m_,nc,h_,th,bt,Va,u_,rc,f_,g_,Ja,__,Cl,y_,b_,v_,Ga,k_,Xa,T_,w_,$_,It,Ya,P_,Ao,F_,jl,N_,L_,ac,x_,M_,E_,Sn,R_,Wn,oh,Oo,Un,sc,Za,z_,ic,C_,nh,vt,es,j_,lc,q_,A_,ts,O_,ql,I_,D_,S_,os,W_,ns,U_,B_,Q_,Dt,rs,H_,Io,K_,Al,V_,J_,dc,G_,X_,Y_,Bn,Z_,Qn,rh,Do,Hn,cc,as,ey,pc,ty,ah,kt,ss,oy,So,ny,mc,ry,ay,hc,sy,iy,ly,is,dy,Ol,cy,py,my,ls,hy,ds,uy,fy,gy,St,cs,_y,Wo,yy,Il,by,vy,uc,ky,Ty,wy,Kn,$y,Vn,sh,Uo,Jn,fc,ps,Py,gc,Fy,ih,dt,ms,Ny,_c,Ly,xy,hs,My,Dl,Ey,Ry,zy,us,Cy,fs,jy,qy,Ay,Gn,Oy,Wt,gs,Iy,Bo,Dy,Sl,Sy,Wy,yc,Uy,By,Qy,Xn,Hy,Yn,lh,Qo,Zn,bc,_s,Ky,vc,Vy,dh,Ho,ys,Jy,Ut,bs,Gy,Ko,Xy,Wl,Yy,Zy,kc,eb,tb,ob,er,nb,tr,ch,Vo,or,Tc,vs,rb,wc,ab,ph,ct,ks,sb,Ts,ib,$c,lb,db,cb,ws,pb,Ul,mb,hb,ub,$s,fb,Ps,gb,_b,yb,nr,bb,wt,Fs,vb,Jo,kb,Bl,Tb,wb,Pc,$b,Pb,Fb,rr,Nb,ar,Lb,sr,mh,Go,ir,Fc,Ns,xb,Nc,Mb,hh,pt,Ls,Eb,Lc,Rb,zb,xs,Cb,Ql,jb,qb,Ab,Ms,Ob,Es,Ib,Db,Sb,lr,Wb,$t,Rs,Ub,Xo,Bb,Hl,Qb,Hb,xc,Kb,Vb,Jb,dr,Gb,cr,Xb,pr,uh,Yo,mr,Mc,zs,Yb,Ec,Zb,fh,mt,Cs,ev,Rc,tv,ov,js,nv,Kl,rv,av,sv,qs,iv,As,lv,dv,cv,hr,pv,Bt,Os,mv,Zo,hv,Vl,uv,fv,zc,gv,_v,yv,ur,bv,fr,gh,en,gr,Cc,Is,vv,jc,kv,_h,ht,Ds,Tv,qc,wv,$v,Ss,Pv,Jl,Fv,Nv,Lv,Ws,xv,Us,Mv,Ev,Rv,_r,zv,Pt,Bs,Cv,tn,jv,Gl,qv,Av,Ac,Ov,Iv,Dv,yr,Sv,br,Wv,vr,yh,on,kr,Oc,Qs,Uv,Ic,Bv,bh,ut,Hs,Qv,nn,Hv,Dc,Kv,Vv,Sc,Jv,Gv,Xv,Ks,Yv,Xl,Zv,ek,tk,Vs,ok,Js,nk,rk,ak,Tr,sk,Ft,Gs,ik,rn,lk,Yl,dk,ck,Wc,pk,mk,hk,wr,uk,$r,fk,Pr,vh,an,Fr,Uc,Xs,gk,Bc,_k,kh,et,Ys,yk,Qc,bk,vk,Zs,kk,Zl,Tk,wk,$k,ei,Pk,ti,Fk,Nk,Lk,Hc,xk,Mk,ao,Kc,oi,Ek,Rk,Vc,ni,zk,Ck,Jc,ri,jk,qk,Gc,ai,Ak,Ok,Qt,si,Ik,sn,Dk,Xc,Sk,Wk,Yc,Uk,Bk,Qk,Nr,Hk,Lr,Th,ln,xr,Zc,ii,Kk,ep,Vk,wh,tt,li,Jk,tp,Gk,Xk,di,Yk,ed,Zk,eT,tT,ci,oT,pi,nT,rT,aT,op,sT,iT,so,np,mi,lT,dT,rp,hi,cT,pT,ap,ui,mT,hT,sp,fi,uT,fT,Ht,gi,gT,dn,_T,ip,yT,bT,lp,vT,kT,TT,Mr,wT,Er,$h,cn,Rr,dp,_i,$T,cp,PT,Ph,ot,yi,FT,bi,NT,pp,LT,xT,MT,vi,ET,td,RT,zT,CT,ki,jT,Ti,qT,AT,OT,mp,IT,DT,io,hp,wi,ST,WT,up,$i,UT,BT,fp,Pi,QT,HT,gp,Fi,KT,VT,Kt,Ni,JT,pn,GT,_p,XT,YT,yp,ZT,ew,tw,zr,ow,Cr,Fh,mn,jr,bp,Li,nw,vp,rw,Nh,nt,xi,aw,kp,sw,iw,Mi,lw,od,dw,cw,pw,Ei,mw,Ri,hw,uw,fw,Tp,gw,_w,lo,wp,zi,yw,bw,$p,Ci,vw,kw,Pp,ji,Tw,ww,Fp,qi,$w,Pw,Vt,Ai,Fw,hn,Nw,Np,Lw,xw,Lp,Mw,Ew,Rw,qr,zw,Ar,Lh,un,Or,xp,Oi,Cw,Mp,jw,xh,rt,Ii,qw,Ep,Aw,Ow,Di,Iw,nd,Dw,Sw,Ww,Si,Uw,Wi,Bw,Qw,Hw,Rp,Kw,Vw,co,zp,Ui,Jw,Gw,Cp,Bi,Xw,Yw,jp,Qi,Zw,e0,qp,Hi,t0,o0,Jt,Ki,n0,fn,r0,Ap,a0,s0,Op,i0,l0,d0,Ir,c0,Dr,Mh,gn,Sr,Ip,Vi,p0,Dp,m0,Eh,at,Ji,h0,Sp,u0,f0,Gi,g0,rd,_0,y0,b0,Xi,v0,Yi,k0,T0,w0,Wp,$0,P0,po,Up,Zi,F0,N0,Bp,el,L0,x0,Qp,tl,M0,E0,Hp,ol,R0,z0,Gt,nl,C0,_n,j0,Kp,q0,A0,Vp,O0,I0,D0,Wr,S0,Ur,Rh,yn,Br,Jp,rl,W0,Gp,U0,zh,st,al,B0,bn,Q0,Xp,H0,K0,Yp,V0,J0,G0,sl,X0,ad,Y0,Z0,e2,il,t2,ll,o2,n2,r2,Zp,a2,s2,mo,em,dl,i2,l2,tm,cl,d2,c2,om,pl,p2,m2,nm,ml,h2,u2,Xt,hl,f2,vn,g2,rm,_2,y2,am,b2,v2,k2,Qr,T2,Hr,Ch;return l=new Ue({}),L=new Ue({}),ga=new Ue({}),_a=new W({props:{name:"class transformers.RobertaPreLayerNormConfig",anchor:"transformers.RobertaPreLayerNormConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"classifier_dropout",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the RoBERTa-PreLayerNorm model. Defines the number of different tokens that can be
represented by the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormModel">RobertaPreLayerNormModel</a> or
<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormModel">TFRobertaPreLayerNormModel</a>.`,name:"vocab_size"},{anchor:"transformers.RobertaPreLayerNormConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.RobertaPreLayerNormConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.RobertaPreLayerNormConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.RobertaPreLayerNormConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.RobertaPreLayerNormConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.RobertaPreLayerNormConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.RobertaPreLayerNormConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.RobertaPreLayerNormConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.RobertaPreLayerNormConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormModel">RobertaPreLayerNormModel</a> or
<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormModel">TFRobertaPreLayerNormModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.RobertaPreLayerNormConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.RobertaPreLayerNormConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.RobertaPreLayerNormConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.RobertaPreLayerNormConfig.is_decoder",description:`<strong>is_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the model is used as a decoder or not. If <code>False</code>, the model is used as an encoder.`,name:"is_decoder"},{anchor:"transformers.RobertaPreLayerNormConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.RobertaPreLayerNormConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/configuration_roberta_prelayernorm.py#L35"}}),Pn=new Ae({props:{anchor:"transformers.RobertaPreLayerNormConfig.example",$$slots:{default:[QF]},$$scope:{ctx:N}}}),ba=new Ue({}),va=new W({props:{name:"class transformers.RobertaPreLayerNormModel",anchor:"transformers.RobertaPreLayerNormModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L700"}}),Fa=new W({props:{name:"forward",anchor:"transformers.RobertaPreLayerNormModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.RobertaPreLayerNormModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.RobertaPreLayerNormModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0,1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
This parameter can only be used when the model is initialized with <code>type_vocab_size</code> parameter with value<blockquote>
<p>= 2. All the value in this tensor should be always &lt; type_vocab_size.</p>
</blockquote></li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.RobertaPreLayerNormModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.RobertaPreLayerNormModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.RobertaPreLayerNormModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.RobertaPreLayerNormModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.RobertaPreLayerNormModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RobertaPreLayerNormModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RobertaPreLayerNormModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.RobertaPreLayerNormModel.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.RobertaPreLayerNormModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.RobertaPreLayerNormModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L745",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ln=new qe({props:{$$slots:{default:[HF]},$$scope:{ctx:N}}}),xn=new Ae({props:{anchor:"transformers.RobertaPreLayerNormModel.forward.example",$$slots:{default:[KF]},$$scope:{ctx:N}}}),Na=new Ue({}),La=new W({props:{name:"class transformers.RobertaPreLayerNormForCausalLM",anchor:"transformers.RobertaPreLayerNormForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L887"}}),za=new W({props:{name:"forward",anchor:"transformers.RobertaPreLayerNormForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0,1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
This parameter can only be used when the model is initialized with <code>type_vocab_size</code> parameter with value<blockquote>
<p>= 2. All the value in this tensor should be always &lt; type_vocab_size.</p>
</blockquote></li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L915",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),En=new qe({props:{$$slots:{default:[VF]},$$scope:{ctx:N}}}),Rn=new Ae({props:{anchor:"transformers.RobertaPreLayerNormForCausalLM.forward.example",$$slots:{default:[JF]},$$scope:{ctx:N}}}),Ca=new Ue({}),ja=new W({props:{name:"class transformers.RobertaPreLayerNormForMaskedLM",anchor:"transformers.RobertaPreLayerNormForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1043"}}),Da=new W({props:{name:"forward",anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0,1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
This parameter can only be used when the model is initialized with <code>type_vocab_size</code> parameter with value<blockquote>
<p>= 2. All the value in this tensor should be always &lt; type_vocab_size.</p>
</blockquote></li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, any]</code>, optional, defaults to <em>{}</em>) &#x2014;
Used to hide legacy arguments that have been deprecated.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1073",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Cn=new qe({props:{$$slots:{default:[GF]},$$scope:{ctx:N}}}),jn=new Ae({props:{anchor:"transformers.RobertaPreLayerNormForMaskedLM.forward.example",$$slots:{default:[XF]},$$scope:{ctx:N}}}),Sa=new Ue({}),Wa=new W({props:{name:"class transformers.RobertaPreLayerNormForSequenceClassification",anchor:"transformers.RobertaPreLayerNormForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1177"}}),Ha=new W({props:{name:"forward",anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0,1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
This parameter can only be used when the model is initialized with <code>type_vocab_size</code> parameter with value<blockquote>
<p>= 2. All the value in this tensor should be always &lt; type_vocab_size.</p>
</blockquote></li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1191",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),An=new qe({props:{$$slots:{default:[YF]},$$scope:{ctx:N}}}),On=new Ae({props:{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.example",$$slots:{default:[ZF]},$$scope:{ctx:N}}}),In=new Ae({props:{anchor:"transformers.RobertaPreLayerNormForSequenceClassification.forward.example-2",$$slots:{default:[eN]},$$scope:{ctx:N}}}),Ka=new Ue({}),Va=new W({props:{name:"class transformers.RobertaPreLayerNormForMultipleChoice",anchor:"transformers.RobertaPreLayerNormForMultipleChoice",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1276"}}),Ya=new W({props:{name:"forward",anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0,1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
This parameter can only be used when the model is initialized with <code>type_vocab_size</code> parameter with value<blockquote>
<p>= 2. All the value in this tensor should be always &lt; type_vocab_size.</p>
</blockquote></li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <code>num_choices</code> is the size of the second dimension of the input tensors. (See
<code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1289",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Sn=new qe({props:{$$slots:{default:[tN]},$$scope:{ctx:N}}}),Wn=new Ae({props:{anchor:"transformers.RobertaPreLayerNormForMultipleChoice.forward.example",$$slots:{default:[oN]},$$scope:{ctx:N}}}),Za=new Ue({}),es=new W({props:{name:"class transformers.RobertaPreLayerNormForTokenClassification",anchor:"transformers.RobertaPreLayerNormForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1370"}}),rs=new W({props:{name:"forward",anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0,1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
This parameter can only be used when the model is initialized with <code>type_vocab_size</code> parameter with value<blockquote>
<p>= 2. All the value in this tensor should be always &lt; type_vocab_size.</p>
</blockquote></li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1388",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Bn=new qe({props:{$$slots:{default:[nN]},$$scope:{ctx:N}}}),Qn=new Ae({props:{anchor:"transformers.RobertaPreLayerNormForTokenClassification.forward.example",$$slots:{default:[rN]},$$scope:{ctx:N}}}),as=new Ue({}),ss=new W({props:{name:"class transformers.RobertaPreLayerNormForQuestionAnswering",anchor:"transformers.RobertaPreLayerNormForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1478"}}),cs=new W({props:{name:"forward",anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0,1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
This parameter can only be used when the model is initialized with <code>type_vocab_size</code> parameter with value<blockquote>
<p>= 2. All the value in this tensor should be always &lt; type_vocab_size.</p>
</blockquote></li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_roberta_prelayernorm.py#L1492",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Kn=new qe({props:{$$slots:{default:[aN]},$$scope:{ctx:N}}}),Vn=new Ae({props:{anchor:"transformers.RobertaPreLayerNormForQuestionAnswering.forward.example",$$slots:{default:[sN]},$$scope:{ctx:N}}}),ps=new Ue({}),ms=new W({props:{name:"class transformers.TFRobertaPreLayerNormModel",anchor:"transformers.TFRobertaPreLayerNormModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L924"}}),Gn=new qe({props:{$$slots:{default:[iN]},$$scope:{ctx:N}}}),gs=new W({props:{name:"call",anchor:"transformers.TFRobertaPreLayerNormModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFRobertaPreLayerNormModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L929",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Xn=new qe({props:{$$slots:{default:[lN]},$$scope:{ctx:N}}}),Yn=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormModel.call.example",$$slots:{default:[dN]},$$scope:{ctx:N}}}),_s=new Ue({}),ys=new W({props:{name:"class transformers.TFRobertaPreLayerNormForCausalLM",anchor:"transformers.TFRobertaPreLayerNormForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1158"}}),bs=new W({props:{name:"call",anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1197",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),er=new qe({props:{$$slots:{default:[cN]},$$scope:{ctx:N}}}),tr=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForCausalLM.call.example",$$slots:{default:[pN]},$$scope:{ctx:N}}}),vs=new Ue({}),ks=new W({props:{name:"class transformers.TFRobertaPreLayerNormForMaskedLM",anchor:"transformers.TFRobertaPreLayerNormForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1071"}}),nr=new qe({props:{$$slots:{default:[mN]},$$scope:{ctx:N}}}),Fs=new W({props:{name:"call",anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1090",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),rr=new qe({props:{$$slots:{default:[hN]},$$scope:{ctx:N}}}),ar=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.example",$$slots:{default:[uN]},$$scope:{ctx:N}}}),sr=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForMaskedLM.call.example-2",$$slots:{default:[fN]},$$scope:{ctx:N}}}),Ns=new Ue({}),Ls=new W({props:{name:"class transformers.TFRobertaPreLayerNormForSequenceClassification",anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1336"}}),lr=new qe({props:{$$slots:{default:[gN]},$$scope:{ctx:N}}}),Rs=new W({props:{name:"call",anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1351",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),dr=new qe({props:{$$slots:{default:[_N]},$$scope:{ctx:N}}}),cr=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.example",$$slots:{default:[yN]},$$scope:{ctx:N}}}),pr=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForSequenceClassification.call.example-2",$$slots:{default:[bN]},$$scope:{ctx:N}}}),zs=new Ue({}),Cs=new W({props:{name:"class transformers.TFRobertaPreLayerNormForMultipleChoice",anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1425"}}),hr=new qe({props:{$$slots:{default:[vN]},$$scope:{ctx:N}}}),Os=new W({props:{name:"call",anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices]</code>
where <code>num_choices</code> is the size of the second dimension of the input tensors. (See <code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1449",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <em>(batch_size, )</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),ur=new qe({props:{$$slots:{default:[kN]},$$scope:{ctx:N}}}),fr=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForMultipleChoice.call.example",$$slots:{default:[TN]},$$scope:{ctx:N}}}),Is=new Ue({}),Ds=new W({props:{name:"class transformers.TFRobertaPreLayerNormForTokenClassification",anchor:"transformers.TFRobertaPreLayerNormForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1547"}}),_r=new qe({props:{$$slots:{default:[wN]},$$scope:{ctx:N}}}),Bs=new W({props:{name:"call",anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1567",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of unmasked labels, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),yr=new qe({props:{$$slots:{default:[$N]},$$scope:{ctx:N}}}),br=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.example",$$slots:{default:[PN]},$$scope:{ctx:N}}}),vr=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForTokenClassification.call.example-2",$$slots:{default:[FN]},$$scope:{ctx:N}}}),Qs=new Ue({}),Hs=new W({props:{name:"class transformers.TFRobertaPreLayerNormForQuestionAnswering",anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1640"}}),Tr=new qe({props:{$$slots:{default:[NN]},$$scope:{ctx:N}}}),Gs=new W({props:{name:"call",anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"start_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"end_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.start_positions",description:`<strong>start_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.end_positions",description:`<strong>end_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_tf_roberta_prelayernorm.py#L1655",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>start_positions</code> and <code>end_positions</code> are provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),wr=new qe({props:{$$slots:{default:[LN]},$$scope:{ctx:N}}}),$r=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.example",$$slots:{default:[xN]},$$scope:{ctx:N}}}),Pr=new Ae({props:{anchor:"transformers.TFRobertaPreLayerNormForQuestionAnswering.call.example-2",$$slots:{default:[MN]},$$scope:{ctx:N}}}),Xs=new Ue({}),Ys=new W({props:{name:"class transformers.FlaxRobertaPreLayerNormModel",anchor:"transformers.FlaxRobertaPreLayerNormModel",parameters:[{name:"config",val:": RobertaPreLayerNormConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L996"}}),si=new W({props:{name:"__call__",anchor:"transformers.FlaxRobertaPreLayerNormModel.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormModel.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormModel.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L820",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Nr=new qe({props:{$$slots:{default:[EN]},$$scope:{ctx:N}}}),Lr=new Ae({props:{anchor:"transformers.FlaxRobertaPreLayerNormModel.__call__.example",$$slots:{default:[RN]},$$scope:{ctx:N}}}),ii=new Ue({}),li=new W({props:{name:"class transformers.FlaxRobertaPreLayerNormForCausalLM",anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM",parameters:[{name:"config",val:": RobertaPreLayerNormConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L1479"}}),gi=new W({props:{name:"__call__",anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L820",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Mr=new qe({props:{$$slots:{default:[zN]},$$scope:{ctx:N}}}),Er=new Ae({props:{anchor:"transformers.FlaxRobertaPreLayerNormForCausalLM.__call__.example",$$slots:{default:[CN]},$$scope:{ctx:N}}}),_i=new Ue({}),yi=new W({props:{name:"class transformers.FlaxRobertaPreLayerNormForMaskedLM",anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM",parameters:[{name:"config",val:": RobertaPreLayerNormConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L1073"}}),Ni=new W({props:{name:"__call__",anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L820",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),zr=new qe({props:{$$slots:{default:[jN]},$$scope:{ctx:N}}}),Cr=new Ae({props:{anchor:"transformers.FlaxRobertaPreLayerNormForMaskedLM.__call__.example",$$slots:{default:[qN]},$$scope:{ctx:N}}}),Li=new Ue({}),xi=new W({props:{name:"class transformers.FlaxRobertaPreLayerNormForSequenceClassification",anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification",parameters:[{name:"config",val:": RobertaPreLayerNormConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L1147"}}),Ai=new W({props:{name:"__call__",anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L820",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),qr=new qe({props:{$$slots:{default:[AN]},$$scope:{ctx:N}}}),Ar=new Ae({props:{anchor:"transformers.FlaxRobertaPreLayerNormForSequenceClassification.__call__.example",$$slots:{default:[ON]},$$scope:{ctx:N}}}),Oi=new Ue({}),Ii=new W({props:{name:"class transformers.FlaxRobertaPreLayerNormForMultipleChoice",anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice",parameters:[{name:"config",val:": RobertaPreLayerNormConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L1229"}}),Ki=new W({props:{name:"__call__",anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L820",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ir=new qe({props:{$$slots:{default:[IN]},$$scope:{ctx:N}}}),Dr=new Ae({props:{anchor:"transformers.FlaxRobertaPreLayerNormForMultipleChoice.__call__.example",$$slots:{default:[DN]},$$scope:{ctx:N}}}),Vi=new Ue({}),Ji=new W({props:{name:"class transformers.FlaxRobertaPreLayerNormForTokenClassification",anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification",parameters:[{name:"config",val:": RobertaPreLayerNormConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L1313"}}),nl=new W({props:{name:"__call__",anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L820",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Wr=new qe({props:{$$slots:{default:[SN]},$$scope:{ctx:N}}}),Ur=new Ae({props:{anchor:"transformers.FlaxRobertaPreLayerNormForTokenClassification.__call__.example",$$slots:{default:[WN]},$$scope:{ctx:N}}}),rl=new Ue({}),al=new W({props:{name:"class transformers.FlaxRobertaPreLayerNormForQuestionAnswering",anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering",parameters:[{name:"config",val:": RobertaPreLayerNormConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig">RobertaPreLayerNormConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L1391"}}),hl=new W({props:{name:"__call__",anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/roberta_prelayernorm/modeling_flax_roberta_prelayernorm.py#L820",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormConfig"
>RobertaPreLayerNormConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Qr=new qe({props:{$$slots:{default:[UN]},$$scope:{ctx:N}}}),Hr=new Ae({props:{anchor:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering.__call__.example",$$slots:{default:[BN]},$$scope:{ctx:N}}}),{c(){d=r("meta"),y=p(),h=r("h1"),u=r("a"),g=r("span"),k(l.$$.fragment),c=p(),x=r("span"),ye=o("RoBERTa-PreLayerNorm"),he=p(),D=r("h2"),ae=r("a"),te=r("span"),k(L.$$.fragment),be=p(),B=r("span"),ve=o("Overview"),ue=p(),A=r("p"),ke=o("The RoBERTa-PreLayerNorm model was proposed in "),se=r("a"),K=o("fairseq: A Fast, Extensible Toolkit for Sequence Modeling"),Te=o(` by Myle Ott, Sergey Edunov, Alexei Baevski, Angela Fan, Sam Gross, Nathan Ng, David Grangier, Michael Auli.
It is identical to using the `),ce=r("code"),V=o("--encoder-normalize-before"),we=o(" flag in "),ie=r("a"),J=o("fairseq"),$e=o("."),fe=p(),ee=r("p"),R=o("The abstract from the paper is the following:"),C=p(),le=r("p"),Q=r("em"),Pe=o("fairseq is an open-source sequence modeling toolkit that allows researchers and developers to train custom models for translation, summarization, language modeling, and other text generation tasks. The toolkit is based on PyTorch and supports distributed training across multiple GPUs and machines. We also support fast mixed-precision training and inference on modern GPUs."),ge=p(),U=r("p"),Fe=o("Tips:"),_e=p(),z=r("ul"),H=r("li"),G=o("The implementation is the same as "),de=r("a"),Ne=o("Roberta"),X=o(" except instead of using "),pe=r("em"),Le=o("Add and Norm"),S=o(" it does "),me=r("em"),Y=o("Norm and Add"),xe=o(". "),oe=r("em"),j=o("Add"),Me=o(" and "),q=r("em"),Ee=o("Norm"),Re=o(" refers to the Addition and LayerNormalization as described in "),v=r("a"),M=o("Attention Is All You Need"),Be=o("."),re=p(),ze=r("li"),Qe=o("This is identical to using the "),E=r("code"),He=o("--encoder-normalize-before"),Ke=o(" flag in "),De=r("a"),Ve=o("fairseq"),Je=o("."),O=p(),I=r("p"),Ge=o("This model was contributed by "),Se=r("a"),Z=o("andreasmaden"),Xe=o(`.
The original code can be found `),We=r("a"),Ce=o("here"),Ye=o("."),ne=p(),je=r("h2"),$n=r("a"),Md=r("span"),k(ga.$$.fragment),Bu=p(),Ed=r("span"),Qu=o("RobertaPreLayerNormConfig"),Qm=p(),jt=r("div"),k(_a.$$.fragment),Hu=p(),ro=r("p"),Ku=o("This is the configuration class to store the configuration of a "),Tl=r("a"),Vu=o("RobertaPreLayerNormModel"),Ju=o(` or a
`),wl=r("a"),Gu=o("TFRobertaPreLayerNormModel"),Xu=o(`. It is used to instantiate a RoBERTa-PreLayerNorm model according to the specified
arguments, defining the model architecture. Instantiating a configuration with the defaults will yield a similar
configuration to that of the RoBERTa-PreLayerNorm
`),ya=r("a"),Yu=o("andreasmadsen/efficient_mlm_m0.40"),Zu=o(" architecture."),ef=p(),No=r("p"),tf=o("Configuration objects inherit from "),$l=r("a"),of=o("PretrainedConfig"),nf=o(` and can be used to control the model outputs. Read the
documentation from `),Pl=r("a"),rf=o("PretrainedConfig"),af=o(" for more information."),sf=p(),k(Pn.$$.fragment),Hm=p(),Lo=r("h2"),Fn=r("a"),Rd=r("span"),k(ba.$$.fragment),lf=p(),zd=r("span"),df=o("RobertaPreLayerNormModel"),Km=p(),Ze=r("div"),k(va.$$.fragment),cf=p(),Cd=r("p"),pf=o("The bare RoBERTa-PreLayerNorm Model transformer outputting raw hidden-states without any specific head on top."),mf=p(),ka=r("p"),hf=o("This model inherits from "),Fl=r("a"),uf=o("PreTrainedModel"),ff=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),gf=p(),Ta=r("p"),_f=o("This model is also a PyTorch "),wa=r("a"),yf=o("torch.nn.Module"),bf=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),vf=p(),$a=r("p"),kf=o(`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),jd=r("em"),Tf=o(`Attention is
all you need`),wf=o(`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),$f=p(),lt=r("p"),Pf=o("To behave as an decoder the model needs to be initialized with the "),qd=r("code"),Ff=o("is_decoder"),Nf=o(` argument of the configuration set
to `),Ad=r("code"),Lf=o("True"),xf=o(". To be used in a Seq2Seq model, the model needs to initialized with both "),Od=r("code"),Mf=o("is_decoder"),Ef=o(` argument and
`),Id=r("code"),Rf=o("add_cross_attention"),zf=o(" set to "),Dd=r("code"),Cf=o("True"),jf=o("; an "),Sd=r("code"),qf=o("encoder_hidden_states"),Af=o(" is then expected as an input to the forward pass."),Of=p(),Nn=r("p"),If=o(".. _"),Wd=r("em"),Df=o("Attention is all you need"),Sf=o(": "),Pa=r("a"),Wf=o("https://arxiv.org/abs/1706.03762"),Uf=p(),qt=r("div"),k(Fa.$$.fragment),Bf=p(),xo=r("p"),Qf=o("The "),Nl=r("a"),Hf=o("RobertaPreLayerNormModel"),Kf=o(" forward method, overrides the "),Ud=r("code"),Vf=o("__call__"),Jf=o(" special method."),Gf=p(),k(Ln.$$.fragment),Xf=p(),k(xn.$$.fragment),Vm=p(),Mo=r("h2"),Mn=r("a"),Bd=r("span"),k(Na.$$.fragment),Yf=p(),Qd=r("span"),Zf=o("RobertaPreLayerNormForCausalLM"),Jm=p(),gt=r("div"),k(La.$$.fragment),eg=p(),xa=r("p"),tg=o("RoBERTa-PreLayerNorm Model with a "),Hd=r("code"),og=o("language modeling"),ng=o(" head on top for CLM fine-tuning."),rg=p(),Ma=r("p"),ag=o("This model inherits from "),Ll=r("a"),sg=o("PreTrainedModel"),ig=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lg=p(),Ea=r("p"),dg=o("This model is also a PyTorch "),Ra=r("a"),cg=o("torch.nn.Module"),pg=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),mg=p(),At=r("div"),k(za.$$.fragment),hg=p(),Eo=r("p"),ug=o("The "),xl=r("a"),fg=o("RobertaPreLayerNormForCausalLM"),gg=o(" forward method, overrides the "),Kd=r("code"),_g=o("__call__"),yg=o(" special method."),bg=p(),k(En.$$.fragment),vg=p(),k(Rn.$$.fragment),Gm=p(),Ro=r("h2"),zn=r("a"),Vd=r("span"),k(Ca.$$.fragment),kg=p(),Jd=r("span"),Tg=o("RobertaPreLayerNormForMaskedLM"),Xm=p(),_t=r("div"),k(ja.$$.fragment),wg=p(),qa=r("p"),$g=o("RoBERTa-PreLayerNorm Model with a "),Gd=r("code"),Pg=o("language modeling"),Fg=o(" head on top."),Ng=p(),Aa=r("p"),Lg=o("This model inherits from "),Ml=r("a"),xg=o("PreTrainedModel"),Mg=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Eg=p(),Oa=r("p"),Rg=o("This model is also a PyTorch "),Ia=r("a"),zg=o("torch.nn.Module"),Cg=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),jg=p(),Ot=r("div"),k(Da.$$.fragment),qg=p(),zo=r("p"),Ag=o("The "),El=r("a"),Og=o("RobertaPreLayerNormForMaskedLM"),Ig=o(" forward method, overrides the "),Xd=r("code"),Dg=o("__call__"),Sg=o(" special method."),Wg=p(),k(Cn.$$.fragment),Ug=p(),k(jn.$$.fragment),Ym=p(),Co=r("h2"),qn=r("a"),Yd=r("span"),k(Sa.$$.fragment),Bg=p(),Zd=r("span"),Qg=o("RobertaPreLayerNormForSequenceClassification"),Zm=p(),yt=r("div"),k(Wa.$$.fragment),Hg=p(),ec=r("p"),Kg=o(`RoBERTa-PreLayerNorm Model transformer with a sequence classification/regression head on top (a linear layer on top
of the pooled output) e.g. for GLUE tasks.`),Vg=p(),Ua=r("p"),Jg=o("This model inherits from "),Rl=r("a"),Gg=o("PreTrainedModel"),Xg=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Yg=p(),Ba=r("p"),Zg=o("This model is also a PyTorch "),Qa=r("a"),e_=o("torch.nn.Module"),t_=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),o_=p(),Tt=r("div"),k(Ha.$$.fragment),n_=p(),jo=r("p"),r_=o("The "),zl=r("a"),a_=o("RobertaPreLayerNormForSequenceClassification"),s_=o(" forward method, overrides the "),tc=r("code"),i_=o("__call__"),l_=o(" special method."),d_=p(),k(An.$$.fragment),c_=p(),k(On.$$.fragment),p_=p(),k(In.$$.fragment),eh=p(),qo=r("h2"),Dn=r("a"),oc=r("span"),k(Ka.$$.fragment),m_=p(),nc=r("span"),h_=o("RobertaPreLayerNormForMultipleChoice"),th=p(),bt=r("div"),k(Va.$$.fragment),u_=p(),rc=r("p"),f_=o(`RobertaPreLayerNorm Model with a multiple choice classification head on top (a linear layer on top of the pooled
output and a softmax) e.g. for RocStories/SWAG tasks.`),g_=p(),Ja=r("p"),__=o("This model inherits from "),Cl=r("a"),y_=o("PreTrainedModel"),b_=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),v_=p(),Ga=r("p"),k_=o("This model is also a PyTorch "),Xa=r("a"),T_=o("torch.nn.Module"),w_=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),$_=p(),It=r("div"),k(Ya.$$.fragment),P_=p(),Ao=r("p"),F_=o("The "),jl=r("a"),N_=o("RobertaPreLayerNormForMultipleChoice"),L_=o(" forward method, overrides the "),ac=r("code"),x_=o("__call__"),M_=o(" special method."),E_=p(),k(Sn.$$.fragment),R_=p(),k(Wn.$$.fragment),oh=p(),Oo=r("h2"),Un=r("a"),sc=r("span"),k(Za.$$.fragment),z_=p(),ic=r("span"),C_=o("RobertaPreLayerNormForTokenClassification"),nh=p(),vt=r("div"),k(es.$$.fragment),j_=p(),lc=r("p"),q_=o(`RobertaPreLayerNorm Model with a token classification head on top (a linear layer on top of the hidden-states
output) e.g. for Named-Entity-Recognition (NER) tasks.`),A_=p(),ts=r("p"),O_=o("This model inherits from "),ql=r("a"),I_=o("PreTrainedModel"),D_=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),S_=p(),os=r("p"),W_=o("This model is also a PyTorch "),ns=r("a"),U_=o("torch.nn.Module"),B_=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Q_=p(),Dt=r("div"),k(rs.$$.fragment),H_=p(),Io=r("p"),K_=o("The "),Al=r("a"),V_=o("RobertaPreLayerNormForTokenClassification"),J_=o(" forward method, overrides the "),dc=r("code"),G_=o("__call__"),X_=o(" special method."),Y_=p(),k(Bn.$$.fragment),Z_=p(),k(Qn.$$.fragment),rh=p(),Do=r("h2"),Hn=r("a"),cc=r("span"),k(as.$$.fragment),ey=p(),pc=r("span"),ty=o("RobertaPreLayerNormForQuestionAnswering"),ah=p(),kt=r("div"),k(ss.$$.fragment),oy=p(),So=r("p"),ny=o(`RobertaPreLayerNorm Model with a span classification head on top for extractive question-answering tasks like SQuAD
(a linear layers on top of the hidden-states output to compute `),mc=r("code"),ry=o("span start logits"),ay=o(" and "),hc=r("code"),sy=o("span end logits"),iy=o(")."),ly=p(),is=r("p"),dy=o("This model inherits from "),Ol=r("a"),cy=o("PreTrainedModel"),py=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),my=p(),ls=r("p"),hy=o("This model is also a PyTorch "),ds=r("a"),uy=o("torch.nn.Module"),fy=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),gy=p(),St=r("div"),k(cs.$$.fragment),_y=p(),Wo=r("p"),yy=o("The "),Il=r("a"),by=o("RobertaPreLayerNormForQuestionAnswering"),vy=o(" forward method, overrides the "),uc=r("code"),ky=o("__call__"),Ty=o(" special method."),wy=p(),k(Kn.$$.fragment),$y=p(),k(Vn.$$.fragment),sh=p(),Uo=r("h2"),Jn=r("a"),fc=r("span"),k(ps.$$.fragment),Py=p(),gc=r("span"),Fy=o("TFRobertaPreLayerNormModel"),ih=p(),dt=r("div"),k(ms.$$.fragment),Ny=p(),_c=r("p"),Ly=o("The bare RoBERTa-PreLayerNorm Model transformer outputting raw hidden-states without any specific head on top."),xy=p(),hs=r("p"),My=o("This model inherits from "),Dl=r("a"),Ey=o("TFPreTrainedModel"),Ry=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),zy=p(),us=r("p"),Cy=o("This model is also a "),fs=r("a"),jy=o("tf.keras.Model"),qy=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ay=p(),k(Gn.$$.fragment),Oy=p(),Wt=r("div"),k(gs.$$.fragment),Iy=p(),Bo=r("p"),Dy=o("The "),Sl=r("a"),Sy=o("TFRobertaPreLayerNormModel"),Wy=o(" forward method, overrides the "),yc=r("code"),Uy=o("__call__"),By=o(" special method."),Qy=p(),k(Xn.$$.fragment),Hy=p(),k(Yn.$$.fragment),lh=p(),Qo=r("h2"),Zn=r("a"),bc=r("span"),k(_s.$$.fragment),Ky=p(),vc=r("span"),Vy=o("TFRobertaPreLayerNormForCausalLM"),dh=p(),Ho=r("div"),k(ys.$$.fragment),Jy=p(),Ut=r("div"),k(bs.$$.fragment),Gy=p(),Ko=r("p"),Xy=o("The "),Wl=r("a"),Yy=o("TFRobertaPreLayerNormForCausalLM"),Zy=o(" forward method, overrides the "),kc=r("code"),eb=o("__call__"),tb=o(" special method."),ob=p(),k(er.$$.fragment),nb=p(),k(tr.$$.fragment),ch=p(),Vo=r("h2"),or=r("a"),Tc=r("span"),k(vs.$$.fragment),rb=p(),wc=r("span"),ab=o("TFRobertaPreLayerNormForMaskedLM"),ph=p(),ct=r("div"),k(ks.$$.fragment),sb=p(),Ts=r("p"),ib=o("RoBERTa-PreLayerNorm Model with a "),$c=r("code"),lb=o("language modeling"),db=o(" head on top."),cb=p(),ws=r("p"),pb=o("This model inherits from "),Ul=r("a"),mb=o("TFPreTrainedModel"),hb=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ub=p(),$s=r("p"),fb=o("This model is also a "),Ps=r("a"),gb=o("tf.keras.Model"),_b=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),yb=p(),k(nr.$$.fragment),bb=p(),wt=r("div"),k(Fs.$$.fragment),vb=p(),Jo=r("p"),kb=o("The "),Bl=r("a"),Tb=o("TFRobertaPreLayerNormForMaskedLM"),wb=o(" forward method, overrides the "),Pc=r("code"),$b=o("__call__"),Pb=o(" special method."),Fb=p(),k(rr.$$.fragment),Nb=p(),k(ar.$$.fragment),Lb=p(),k(sr.$$.fragment),mh=p(),Go=r("h2"),ir=r("a"),Fc=r("span"),k(Ns.$$.fragment),xb=p(),Nc=r("span"),Mb=o("TFRobertaPreLayerNormForSequenceClassification"),hh=p(),pt=r("div"),k(Ls.$$.fragment),Eb=p(),Lc=r("p"),Rb=o(`RoBERTa-PreLayerNorm Model transformer with a sequence classification/regression head on top (a linear layer on top
of the pooled output) e.g. for GLUE tasks.`),zb=p(),xs=r("p"),Cb=o("This model inherits from "),Ql=r("a"),jb=o("TFPreTrainedModel"),qb=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ab=p(),Ms=r("p"),Ob=o("This model is also a "),Es=r("a"),Ib=o("tf.keras.Model"),Db=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Sb=p(),k(lr.$$.fragment),Wb=p(),$t=r("div"),k(Rs.$$.fragment),Ub=p(),Xo=r("p"),Bb=o("The "),Hl=r("a"),Qb=o("TFRobertaPreLayerNormForSequenceClassification"),Hb=o(" forward method, overrides the "),xc=r("code"),Kb=o("__call__"),Vb=o(" special method."),Jb=p(),k(dr.$$.fragment),Gb=p(),k(cr.$$.fragment),Xb=p(),k(pr.$$.fragment),uh=p(),Yo=r("h2"),mr=r("a"),Mc=r("span"),k(zs.$$.fragment),Yb=p(),Ec=r("span"),Zb=o("TFRobertaPreLayerNormForMultipleChoice"),fh=p(),mt=r("div"),k(Cs.$$.fragment),ev=p(),Rc=r("p"),tv=o(`RobertaPreLayerNorm Model with a multiple choice classification head on top (a linear layer on top of the pooled
output and a softmax) e.g. for RocStories/SWAG tasks.`),ov=p(),js=r("p"),nv=o("This model inherits from "),Kl=r("a"),rv=o("TFPreTrainedModel"),av=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),sv=p(),qs=r("p"),iv=o("This model is also a "),As=r("a"),lv=o("tf.keras.Model"),dv=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),cv=p(),k(hr.$$.fragment),pv=p(),Bt=r("div"),k(Os.$$.fragment),mv=p(),Zo=r("p"),hv=o("The "),Vl=r("a"),uv=o("TFRobertaPreLayerNormForMultipleChoice"),fv=o(" forward method, overrides the "),zc=r("code"),gv=o("__call__"),_v=o(" special method."),yv=p(),k(ur.$$.fragment),bv=p(),k(fr.$$.fragment),gh=p(),en=r("h2"),gr=r("a"),Cc=r("span"),k(Is.$$.fragment),vv=p(),jc=r("span"),kv=o("TFRobertaPreLayerNormForTokenClassification"),_h=p(),ht=r("div"),k(Ds.$$.fragment),Tv=p(),qc=r("p"),wv=o(`RoBERTa-PreLayerNorm Model with a token classification head on top (a linear layer on top of the hidden-states
output) e.g. for Named-Entity-Recognition (NER) tasks.`),$v=p(),Ss=r("p"),Pv=o("This model inherits from "),Jl=r("a"),Fv=o("TFPreTrainedModel"),Nv=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lv=p(),Ws=r("p"),xv=o("This model is also a "),Us=r("a"),Mv=o("tf.keras.Model"),Ev=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Rv=p(),k(_r.$$.fragment),zv=p(),Pt=r("div"),k(Bs.$$.fragment),Cv=p(),tn=r("p"),jv=o("The "),Gl=r("a"),qv=o("TFRobertaPreLayerNormForTokenClassification"),Av=o(" forward method, overrides the "),Ac=r("code"),Ov=o("__call__"),Iv=o(" special method."),Dv=p(),k(yr.$$.fragment),Sv=p(),k(br.$$.fragment),Wv=p(),k(vr.$$.fragment),yh=p(),on=r("h2"),kr=r("a"),Oc=r("span"),k(Qs.$$.fragment),Uv=p(),Ic=r("span"),Bv=o("TFRobertaPreLayerNormForQuestionAnswering"),bh=p(),ut=r("div"),k(Hs.$$.fragment),Qv=p(),nn=r("p"),Hv=o(`RoBERTa-PreLayerNorm Model with a span classification head on top for extractive question-answering tasks like
SQuAD (a linear layers on top of the hidden-states output to compute `),Dc=r("code"),Kv=o("span start logits"),Vv=o(" and "),Sc=r("code"),Jv=o("span end logits"),Gv=o(")."),Xv=p(),Ks=r("p"),Yv=o("This model inherits from "),Xl=r("a"),Zv=o("TFPreTrainedModel"),ek=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),tk=p(),Vs=r("p"),ok=o("This model is also a "),Js=r("a"),nk=o("tf.keras.Model"),rk=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ak=p(),k(Tr.$$.fragment),sk=p(),Ft=r("div"),k(Gs.$$.fragment),ik=p(),rn=r("p"),lk=o("The "),Yl=r("a"),dk=o("TFRobertaPreLayerNormForQuestionAnswering"),ck=o(" forward method, overrides the "),Wc=r("code"),pk=o("__call__"),mk=o(" special method."),hk=p(),k(wr.$$.fragment),uk=p(),k($r.$$.fragment),fk=p(),k(Pr.$$.fragment),vh=p(),an=r("h2"),Fr=r("a"),Uc=r("span"),k(Xs.$$.fragment),gk=p(),Bc=r("span"),_k=o("FlaxRobertaPreLayerNormModel"),kh=p(),et=r("div"),k(Ys.$$.fragment),yk=p(),Qc=r("p"),bk=o("The bare RoBERTa-PreLayerNorm Model transformer outputting raw hidden-states without any specific head on top."),vk=p(),Zs=r("p"),kk=o("This model inherits from "),Zl=r("a"),Tk=o("FlaxPreTrainedModel"),wk=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),$k=p(),ei=r("p"),Pk=o("This model is also a Flax Linen "),ti=r("a"),Fk=o("flax.linen.Module"),Nk=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Lk=p(),Hc=r("p"),xk=o("Finally, this model supports inherent JAX features such as:"),Mk=p(),ao=r("ul"),Kc=r("li"),oi=r("a"),Ek=o("Just-In-Time (JIT) compilation"),Rk=p(),Vc=r("li"),ni=r("a"),zk=o("Automatic Differentiation"),Ck=p(),Jc=r("li"),ri=r("a"),jk=o("Vectorization"),qk=p(),Gc=r("li"),ai=r("a"),Ak=o("Parallelization"),Ok=p(),Qt=r("div"),k(si.$$.fragment),Ik=p(),sn=r("p"),Dk=o("The "),Xc=r("code"),Sk=o("FlaxRobertaPreLayerNormPreTrainedModel"),Wk=o(" forward method, overrides the "),Yc=r("code"),Uk=o("__call__"),Bk=o(" special method."),Qk=p(),k(Nr.$$.fragment),Hk=p(),k(Lr.$$.fragment),Th=p(),ln=r("h2"),xr=r("a"),Zc=r("span"),k(ii.$$.fragment),Kk=p(),ep=r("span"),Vk=o("FlaxRobertaPreLayerNormForCausalLM"),wh=p(),tt=r("div"),k(li.$$.fragment),Jk=p(),tp=r("p"),Gk=o(`RobertaPreLayerNorm Model with a language modeling head on top (a linear layer on top of the hidden-states output)
e.g for autoregressive tasks.`),Xk=p(),di=r("p"),Yk=o("This model inherits from "),ed=r("a"),Zk=o("FlaxPreTrainedModel"),eT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),tT=p(),ci=r("p"),oT=o("This model is also a Flax Linen "),pi=r("a"),nT=o("flax.linen.Module"),rT=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),aT=p(),op=r("p"),sT=o("Finally, this model supports inherent JAX features such as:"),iT=p(),so=r("ul"),np=r("li"),mi=r("a"),lT=o("Just-In-Time (JIT) compilation"),dT=p(),rp=r("li"),hi=r("a"),cT=o("Automatic Differentiation"),pT=p(),ap=r("li"),ui=r("a"),mT=o("Vectorization"),hT=p(),sp=r("li"),fi=r("a"),uT=o("Parallelization"),fT=p(),Ht=r("div"),k(gi.$$.fragment),gT=p(),dn=r("p"),_T=o("The "),ip=r("code"),yT=o("FlaxRobertaPreLayerNormPreTrainedModel"),bT=o(" forward method, overrides the "),lp=r("code"),vT=o("__call__"),kT=o(" special method."),TT=p(),k(Mr.$$.fragment),wT=p(),k(Er.$$.fragment),$h=p(),cn=r("h2"),Rr=r("a"),dp=r("span"),k(_i.$$.fragment),$T=p(),cp=r("span"),PT=o("FlaxRobertaPreLayerNormForMaskedLM"),Ph=p(),ot=r("div"),k(yi.$$.fragment),FT=p(),bi=r("p"),NT=o("RoBERTa-PreLayerNorm Model with a "),pp=r("code"),LT=o("language modeling"),xT=o(" head on top."),MT=p(),vi=r("p"),ET=o("This model inherits from "),td=r("a"),RT=o("FlaxPreTrainedModel"),zT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),CT=p(),ki=r("p"),jT=o("This model is also a Flax Linen "),Ti=r("a"),qT=o("flax.linen.Module"),AT=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),OT=p(),mp=r("p"),IT=o("Finally, this model supports inherent JAX features such as:"),DT=p(),io=r("ul"),hp=r("li"),wi=r("a"),ST=o("Just-In-Time (JIT) compilation"),WT=p(),up=r("li"),$i=r("a"),UT=o("Automatic Differentiation"),BT=p(),fp=r("li"),Pi=r("a"),QT=o("Vectorization"),HT=p(),gp=r("li"),Fi=r("a"),KT=o("Parallelization"),VT=p(),Kt=r("div"),k(Ni.$$.fragment),JT=p(),pn=r("p"),GT=o("The "),_p=r("code"),XT=o("FlaxRobertaPreLayerNormPreTrainedModel"),YT=o(" forward method, overrides the "),yp=r("code"),ZT=o("__call__"),ew=o(" special method."),tw=p(),k(zr.$$.fragment),ow=p(),k(Cr.$$.fragment),Fh=p(),mn=r("h2"),jr=r("a"),bp=r("span"),k(Li.$$.fragment),nw=p(),vp=r("span"),rw=o("FlaxRobertaPreLayerNormForSequenceClassification"),Nh=p(),nt=r("div"),k(xi.$$.fragment),aw=p(),kp=r("p"),sw=o(`RobertaPreLayerNorm Model transformer with a sequence classification/regression head on top (a linear layer on top
of the pooled output) e.g. for GLUE tasks.`),iw=p(),Mi=r("p"),lw=o("This model inherits from "),od=r("a"),dw=o("FlaxPreTrainedModel"),cw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),pw=p(),Ei=r("p"),mw=o("This model is also a Flax Linen "),Ri=r("a"),hw=o("flax.linen.Module"),uw=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),fw=p(),Tp=r("p"),gw=o("Finally, this model supports inherent JAX features such as:"),_w=p(),lo=r("ul"),wp=r("li"),zi=r("a"),yw=o("Just-In-Time (JIT) compilation"),bw=p(),$p=r("li"),Ci=r("a"),vw=o("Automatic Differentiation"),kw=p(),Pp=r("li"),ji=r("a"),Tw=o("Vectorization"),ww=p(),Fp=r("li"),qi=r("a"),$w=o("Parallelization"),Pw=p(),Vt=r("div"),k(Ai.$$.fragment),Fw=p(),hn=r("p"),Nw=o("The "),Np=r("code"),Lw=o("FlaxRobertaPreLayerNormPreTrainedModel"),xw=o(" forward method, overrides the "),Lp=r("code"),Mw=o("__call__"),Ew=o(" special method."),Rw=p(),k(qr.$$.fragment),zw=p(),k(Ar.$$.fragment),Lh=p(),un=r("h2"),Or=r("a"),xp=r("span"),k(Oi.$$.fragment),Cw=p(),Mp=r("span"),jw=o("FlaxRobertaPreLayerNormForMultipleChoice"),xh=p(),rt=r("div"),k(Ii.$$.fragment),qw=p(),Ep=r("p"),Aw=o(`RobertaPreLayerNorm Model with a multiple choice classification head on top (a linear layer on top of the pooled
output and a softmax) e.g. for RocStories/SWAG tasks.`),Ow=p(),Di=r("p"),Iw=o("This model inherits from "),nd=r("a"),Dw=o("FlaxPreTrainedModel"),Sw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ww=p(),Si=r("p"),Uw=o("This model is also a Flax Linen "),Wi=r("a"),Bw=o("flax.linen.Module"),Qw=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Hw=p(),Rp=r("p"),Kw=o("Finally, this model supports inherent JAX features such as:"),Vw=p(),co=r("ul"),zp=r("li"),Ui=r("a"),Jw=o("Just-In-Time (JIT) compilation"),Gw=p(),Cp=r("li"),Bi=r("a"),Xw=o("Automatic Differentiation"),Yw=p(),jp=r("li"),Qi=r("a"),Zw=o("Vectorization"),e0=p(),qp=r("li"),Hi=r("a"),t0=o("Parallelization"),o0=p(),Jt=r("div"),k(Ki.$$.fragment),n0=p(),fn=r("p"),r0=o("The "),Ap=r("code"),a0=o("FlaxRobertaPreLayerNormPreTrainedModel"),s0=o(" forward method, overrides the "),Op=r("code"),i0=o("__call__"),l0=o(" special method."),d0=p(),k(Ir.$$.fragment),c0=p(),k(Dr.$$.fragment),Mh=p(),gn=r("h2"),Sr=r("a"),Ip=r("span"),k(Vi.$$.fragment),p0=p(),Dp=r("span"),m0=o("FlaxRobertaPreLayerNormForTokenClassification"),Eh=p(),at=r("div"),k(Ji.$$.fragment),h0=p(),Sp=r("p"),u0=o(`RobertaPreLayerNorm Model with a token classification head on top (a linear layer on top of the hidden-states
output) e.g. for Named-Entity-Recognition (NER) tasks.`),f0=p(),Gi=r("p"),g0=o("This model inherits from "),rd=r("a"),_0=o("FlaxPreTrainedModel"),y0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),b0=p(),Xi=r("p"),v0=o("This model is also a Flax Linen "),Yi=r("a"),k0=o("flax.linen.Module"),T0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),w0=p(),Wp=r("p"),$0=o("Finally, this model supports inherent JAX features such as:"),P0=p(),po=r("ul"),Up=r("li"),Zi=r("a"),F0=o("Just-In-Time (JIT) compilation"),N0=p(),Bp=r("li"),el=r("a"),L0=o("Automatic Differentiation"),x0=p(),Qp=r("li"),tl=r("a"),M0=o("Vectorization"),E0=p(),Hp=r("li"),ol=r("a"),R0=o("Parallelization"),z0=p(),Gt=r("div"),k(nl.$$.fragment),C0=p(),_n=r("p"),j0=o("The "),Kp=r("code"),q0=o("FlaxRobertaPreLayerNormPreTrainedModel"),A0=o(" forward method, overrides the "),Vp=r("code"),O0=o("__call__"),I0=o(" special method."),D0=p(),k(Wr.$$.fragment),S0=p(),k(Ur.$$.fragment),Rh=p(),yn=r("h2"),Br=r("a"),Jp=r("span"),k(rl.$$.fragment),W0=p(),Gp=r("span"),U0=o("FlaxRobertaPreLayerNormForQuestionAnswering"),zh=p(),st=r("div"),k(al.$$.fragment),B0=p(),bn=r("p"),Q0=o(`RobertaPreLayerNorm Model with a span classification head on top for extractive question-answering tasks like SQuAD
(a linear layers on top of the hidden-states output to compute `),Xp=r("code"),H0=o("span start logits"),K0=o(" and "),Yp=r("code"),V0=o("span end logits"),J0=o(")."),G0=p(),sl=r("p"),X0=o("This model inherits from "),ad=r("a"),Y0=o("FlaxPreTrainedModel"),Z0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),e2=p(),il=r("p"),t2=o("This model is also a Flax Linen "),ll=r("a"),o2=o("flax.linen.Module"),n2=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),r2=p(),Zp=r("p"),a2=o("Finally, this model supports inherent JAX features such as:"),s2=p(),mo=r("ul"),em=r("li"),dl=r("a"),i2=o("Just-In-Time (JIT) compilation"),l2=p(),tm=r("li"),cl=r("a"),d2=o("Automatic Differentiation"),c2=p(),om=r("li"),pl=r("a"),p2=o("Vectorization"),m2=p(),nm=r("li"),ml=r("a"),h2=o("Parallelization"),u2=p(),Xt=r("div"),k(hl.$$.fragment),f2=p(),vn=r("p"),g2=o("The "),rm=r("code"),_2=o("FlaxRobertaPreLayerNormPreTrainedModel"),y2=o(" forward method, overrides the "),am=r("code"),b2=o("__call__"),v2=o(" special method."),k2=p(),k(Qr.$$.fragment),T2=p(),k(Hr.$$.fragment),this.h()},l(i){const b=UF('[data-svelte="svelte-1phssyn"]',document.head);d=a(b,"META",{name:!0,content:!0}),b.forEach(t),y=m(i),h=a(i,"H1",{class:!0});var ul=s(h);u=a(ul,"A",{id:!0,class:!0,href:!0});var sm=s(u);g=a(sm,"SPAN",{});var im=s(g);T(l.$$.fragment,im),im.forEach(t),sm.forEach(t),c=m(ul),x=a(ul,"SPAN",{});var lm=s(x);ye=n(lm,"RoBERTa-PreLayerNorm"),lm.forEach(t),ul.forEach(t),he=m(i),D=a(i,"H2",{class:!0});var fl=s(D);ae=a(fl,"A",{id:!0,class:!0,href:!0});var dm=s(ae);te=a(dm,"SPAN",{});var cm=s(te);T(L.$$.fragment,cm),cm.forEach(t),dm.forEach(t),be=m(fl),B=a(fl,"SPAN",{});var pm=s(B);ve=n(pm,"Overview"),pm.forEach(t),fl.forEach(t),ue=m(i),A=a(i,"P",{});var ho=s(A);ke=n(ho,"The RoBERTa-PreLayerNorm model was proposed in "),se=a(ho,"A",{href:!0,rel:!0});var mm=s(se);K=n(mm,"fairseq: A Fast, Extensible Toolkit for Sequence Modeling"),mm.forEach(t),Te=n(ho,` by Myle Ott, Sergey Edunov, Alexei Baevski, Angela Fan, Sam Gross, Nathan Ng, David Grangier, Michael Auli.
It is identical to using the `),ce=a(ho,"CODE",{});var hm=s(ce);V=n(hm,"--encoder-normalize-before"),hm.forEach(t),we=n(ho," flag in "),ie=a(ho,"A",{href:!0,rel:!0});var um=s(ie);J=n(um,"fairseq"),um.forEach(t),$e=n(ho,"."),ho.forEach(t),fe=m(i),ee=a(i,"P",{});var fm=s(ee);R=n(fm,"The abstract from the paper is the following:"),fm.forEach(t),C=m(i),le=a(i,"P",{});var gm=s(le);Q=a(gm,"EM",{});var _m=s(Q);Pe=n(_m,"fairseq is an open-source sequence modeling toolkit that allows researchers and developers to train custom models for translation, summarization, language modeling, and other text generation tasks. The toolkit is based on PyTorch and supports distributed training across multiple GPUs and machines. We also support fast mixed-precision training and inference on modern GPUs."),_m.forEach(t),gm.forEach(t),ge=m(i),U=a(i,"P",{});var ym=s(U);Fe=n(ym,"Tips:"),ym.forEach(t),_e=m(i),z=a(i,"UL",{});var gl=s(z);H=a(gl,"LI",{});var ft=s(H);G=n(ft,"The implementation is the same as "),de=a(ft,"A",{href:!0});var bm=s(de);Ne=n(bm,"Roberta"),bm.forEach(t),X=n(ft," except instead of using "),pe=a(ft,"EM",{});var vm=s(pe);Le=n(vm,"Add and Norm"),vm.forEach(t),S=n(ft," it does "),me=a(ft,"EM",{});var km=s(me);Y=n(km,"Norm and Add"),km.forEach(t),xe=n(ft,". "),oe=a(ft,"EM",{});var Tm=s(oe);j=n(Tm,"Add"),Tm.forEach(t),Me=n(ft," and "),q=a(ft,"EM",{});var wm=s(q);Ee=n(wm,"Norm"),wm.forEach(t),Re=n(ft," refers to the Addition and LayerNormalization as described in "),v=a(ft,"A",{href:!0,rel:!0});var $m=s(v);M=n($m,"Attention Is All You Need"),$m.forEach(t),Be=n(ft,"."),ft.forEach(t),re=m(gl),ze=a(gl,"LI",{});var kn=s(ze);Qe=n(kn,"This is identical to using the "),E=a(kn,"CODE",{});var Pm=s(E);He=n(Pm,"--encoder-normalize-before"),Pm.forEach(t),Ke=n(kn," flag in "),De=a(kn,"A",{href:!0,rel:!0});var Fm=s(De);Ve=n(Fm,"fairseq"),Fm.forEach(t),Je=n(kn,"."),kn.forEach(t),gl.forEach(t),O=m(i),I=a(i,"P",{});var Tn=s(I);Ge=n(Tn,"This model was contributed by "),Se=a(Tn,"A",{href:!0,rel:!0});var Nm=s(Se);Z=n(Nm,"andreasmaden"),Nm.forEach(t),Xe=n(Tn,`.
The original code can be found `),We=a(Tn,"A",{href:!0,rel:!0});var Lm=s(We);Ce=n(Lm,"here"),Lm.forEach(t),Ye=n(Tn,"."),Tn.forEach(t),ne=m(i),je=a(i,"H2",{class:!0});var _l=s(je);$n=a(_l,"A",{id:!0,class:!0,href:!0});var xm=s($n);Md=a(xm,"SPAN",{});var Mm=s(Md);T(ga.$$.fragment,Mm),Mm.forEach(t),xm.forEach(t),Bu=m(_l),Ed=a(_l,"SPAN",{});var Em=s(Ed);Qu=n(Em,"RobertaPreLayerNormConfig"),Em.forEach(t),_l.forEach(t),Qm=m(i),jt=a(i,"DIV",{class:!0});var uo=s(jt);T(_a.$$.fragment,uo),Hu=m(uo),ro=a(uo,"P",{});var fo=s(ro);Ku=n(fo,"This is the configuration class to store the configuration of a "),Tl=a(fo,"A",{href:!0});var Rm=s(Tl);Vu=n(Rm,"RobertaPreLayerNormModel"),Rm.forEach(t),Ju=n(fo,` or a
`),wl=a(fo,"A",{href:!0});var zm=s(wl);Gu=n(zm,"TFRobertaPreLayerNormModel"),zm.forEach(t),Xu=n(fo,`. It is used to instantiate a RoBERTa-PreLayerNorm model according to the specified
arguments, defining the model architecture. Instantiating a configuration with the defaults will yield a similar
configuration to that of the RoBERTa-PreLayerNorm
`),ya=a(fo,"A",{href:!0,rel:!0});var Cm=s(ya);Yu=n(Cm,"andreasmadsen/efficient_mlm_m0.40"),Cm.forEach(t),Zu=n(fo," architecture."),fo.forEach(t),ef=m(uo),No=a(uo,"P",{});var wn=s(No);tf=n(wn,"Configuration objects inherit from "),$l=a(wn,"A",{href:!0});var jm=s($l);of=n(jm,"PretrainedConfig"),jm.forEach(t),nf=n(wn,` and can be used to control the model outputs. Read the
documentation from `),Pl=a(wn,"A",{href:!0});var qm=s(Pl);rf=n(qm,"PretrainedConfig"),qm.forEach(t),af=n(wn," for more information."),wn.forEach(t),sf=m(uo),T(Pn.$$.fragment,uo),uo.forEach(t),Hm=m(i),Lo=a(i,"H2",{class:!0});var yl=s(Lo);Fn=a(yl,"A",{id:!0,class:!0,href:!0});var Am=s(Fn);Rd=a(Am,"SPAN",{});var Om=s(Rd);T(ba.$$.fragment,Om),Om.forEach(t),Am.forEach(t),lf=m(yl),zd=a(yl,"SPAN",{});var Im=s(zd);df=n(Im,"RobertaPreLayerNormModel"),Im.forEach(t),yl.forEach(t),Km=m(i),Ze=a(i,"DIV",{class:!0});var it=s(Ze);T(va.$$.fragment,it),cf=m(it),Cd=a(it,"P",{});var Dm=s(Cd);pf=n(Dm,"The bare RoBERTa-PreLayerNorm Model transformer outputting raw hidden-states without any specific head on top."),Dm.forEach(t),mf=m(it),ka=a(it,"P",{});var bl=s(ka);hf=n(bl,"This model inherits from "),Fl=a(bl,"A",{href:!0});var Sm=s(Fl);uf=n(Sm,"PreTrainedModel"),Sm.forEach(t),ff=n(bl,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),bl.forEach(t),gf=m(it),Ta=a(it,"P",{});var vl=s(Ta);_f=n(vl,"This model is also a PyTorch "),wa=a(vl,"A",{href:!0,rel:!0});var Wm=s(wa);yf=n(Wm,"torch.nn.Module"),Wm.forEach(t),bf=n(vl,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),vl.forEach(t),vf=m(it),$a=a(it,"P",{});var kl=s($a);kf=n(kl,`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),jd=a(kl,"EM",{});var Um=s(jd);Tf=n(Um,`Attention is
all you need`),Um.forEach(t),wf=n(kl,`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),kl.forEach(t),$f=m(it),lt=a(it,"P",{});var Nt=s(lt);Pf=n(Nt,"To behave as an decoder the model needs to be initialized with the "),qd=a(Nt,"CODE",{});var w2=s(qd);Ff=n(w2,"is_decoder"),w2.forEach(t),Nf=n(Nt,` argument of the configuration set
to `),Ad=a(Nt,"CODE",{});var $2=s(Ad);Lf=n($2,"True"),$2.forEach(t),xf=n(Nt,". To be used in a Seq2Seq model, the model needs to initialized with both "),Od=a(Nt,"CODE",{});var P2=s(Od);Mf=n(P2,"is_decoder"),P2.forEach(t),Ef=n(Nt,` argument and
`),Id=a(Nt,"CODE",{});var F2=s(Id);Rf=n(F2,"add_cross_attention"),F2.forEach(t),zf=n(Nt," set to "),Dd=a(Nt,"CODE",{});var N2=s(Dd);Cf=n(N2,"True"),N2.forEach(t),jf=n(Nt,"; an "),Sd=a(Nt,"CODE",{});var L2=s(Sd);qf=n(L2,"encoder_hidden_states"),L2.forEach(t),Af=n(Nt," is then expected as an input to the forward pass."),Nt.forEach(t),Of=m(it),Nn=a(it,"P",{});var Bm=s(Nn);If=n(Bm,".. _"),Wd=a(Bm,"EM",{});var x2=s(Wd);Df=n(x2,"Attention is all you need"),x2.forEach(t),Sf=n(Bm,": "),Pa=a(Bm,"A",{href:!0,rel:!0});var M2=s(Pa);Wf=n(M2,"https://arxiv.org/abs/1706.03762"),M2.forEach(t),Bm.forEach(t),Uf=m(it),qt=a(it,"DIV",{class:!0});var Kr=s(qt);T(Fa.$$.fragment,Kr),Bf=m(Kr),xo=a(Kr,"P",{});var sd=s(xo);Qf=n(sd,"The "),Nl=a(sd,"A",{href:!0});var E2=s(Nl);Hf=n(E2,"RobertaPreLayerNormModel"),E2.forEach(t),Kf=n(sd," forward method, overrides the "),Ud=a(sd,"CODE",{});var R2=s(Ud);Vf=n(R2,"__call__"),R2.forEach(t),Jf=n(sd," special method."),sd.forEach(t),Gf=m(Kr),T(Ln.$$.fragment,Kr),Xf=m(Kr),T(xn.$$.fragment,Kr),Kr.forEach(t),it.forEach(t),Vm=m(i),Mo=a(i,"H2",{class:!0});var jh=s(Mo);Mn=a(jh,"A",{id:!0,class:!0,href:!0});var z2=s(Mn);Bd=a(z2,"SPAN",{});var C2=s(Bd);T(Na.$$.fragment,C2),C2.forEach(t),z2.forEach(t),Yf=m(jh),Qd=a(jh,"SPAN",{});var j2=s(Qd);Zf=n(j2,"RobertaPreLayerNormForCausalLM"),j2.forEach(t),jh.forEach(t),Jm=m(i),gt=a(i,"DIV",{class:!0});var go=s(gt);T(La.$$.fragment,go),eg=m(go),xa=a(go,"P",{});var qh=s(xa);tg=n(qh,"RoBERTa-PreLayerNorm Model with a "),Hd=a(qh,"CODE",{});var q2=s(Hd);og=n(q2,"language modeling"),q2.forEach(t),ng=n(qh," head on top for CLM fine-tuning."),qh.forEach(t),rg=m(go),Ma=a(go,"P",{});var Ah=s(Ma);ag=n(Ah,"This model inherits from "),Ll=a(Ah,"A",{href:!0});var A2=s(Ll);sg=n(A2,"PreTrainedModel"),A2.forEach(t),ig=n(Ah,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ah.forEach(t),lg=m(go),Ea=a(go,"P",{});var Oh=s(Ea);dg=n(Oh,"This model is also a PyTorch "),Ra=a(Oh,"A",{href:!0,rel:!0});var O2=s(Ra);cg=n(O2,"torch.nn.Module"),O2.forEach(t),pg=n(Oh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Oh.forEach(t),mg=m(go),At=a(go,"DIV",{class:!0});var Vr=s(At);T(za.$$.fragment,Vr),hg=m(Vr),Eo=a(Vr,"P",{});var id=s(Eo);ug=n(id,"The "),xl=a(id,"A",{href:!0});var I2=s(xl);fg=n(I2,"RobertaPreLayerNormForCausalLM"),I2.forEach(t),gg=n(id," forward method, overrides the "),Kd=a(id,"CODE",{});var D2=s(Kd);_g=n(D2,"__call__"),D2.forEach(t),yg=n(id," special method."),id.forEach(t),bg=m(Vr),T(En.$$.fragment,Vr),vg=m(Vr),T(Rn.$$.fragment,Vr),Vr.forEach(t),go.forEach(t),Gm=m(i),Ro=a(i,"H2",{class:!0});var Ih=s(Ro);zn=a(Ih,"A",{id:!0,class:!0,href:!0});var S2=s(zn);Vd=a(S2,"SPAN",{});var W2=s(Vd);T(Ca.$$.fragment,W2),W2.forEach(t),S2.forEach(t),kg=m(Ih),Jd=a(Ih,"SPAN",{});var U2=s(Jd);Tg=n(U2,"RobertaPreLayerNormForMaskedLM"),U2.forEach(t),Ih.forEach(t),Xm=m(i),_t=a(i,"DIV",{class:!0});var _o=s(_t);T(ja.$$.fragment,_o),wg=m(_o),qa=a(_o,"P",{});var Dh=s(qa);$g=n(Dh,"RoBERTa-PreLayerNorm Model with a "),Gd=a(Dh,"CODE",{});var B2=s(Gd);Pg=n(B2,"language modeling"),B2.forEach(t),Fg=n(Dh," head on top."),Dh.forEach(t),Ng=m(_o),Aa=a(_o,"P",{});var Sh=s(Aa);Lg=n(Sh,"This model inherits from "),Ml=a(Sh,"A",{href:!0});var Q2=s(Ml);xg=n(Q2,"PreTrainedModel"),Q2.forEach(t),Mg=n(Sh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Sh.forEach(t),Eg=m(_o),Oa=a(_o,"P",{});var Wh=s(Oa);Rg=n(Wh,"This model is also a PyTorch "),Ia=a(Wh,"A",{href:!0,rel:!0});var H2=s(Ia);zg=n(H2,"torch.nn.Module"),H2.forEach(t),Cg=n(Wh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Wh.forEach(t),jg=m(_o),Ot=a(_o,"DIV",{class:!0});var Jr=s(Ot);T(Da.$$.fragment,Jr),qg=m(Jr),zo=a(Jr,"P",{});var ld=s(zo);Ag=n(ld,"The "),El=a(ld,"A",{href:!0});var K2=s(El);Og=n(K2,"RobertaPreLayerNormForMaskedLM"),K2.forEach(t),Ig=n(ld," forward method, overrides the "),Xd=a(ld,"CODE",{});var V2=s(Xd);Dg=n(V2,"__call__"),V2.forEach(t),Sg=n(ld," special method."),ld.forEach(t),Wg=m(Jr),T(Cn.$$.fragment,Jr),Ug=m(Jr),T(jn.$$.fragment,Jr),Jr.forEach(t),_o.forEach(t),Ym=m(i),Co=a(i,"H2",{class:!0});var Uh=s(Co);qn=a(Uh,"A",{id:!0,class:!0,href:!0});var J2=s(qn);Yd=a(J2,"SPAN",{});var G2=s(Yd);T(Sa.$$.fragment,G2),G2.forEach(t),J2.forEach(t),Bg=m(Uh),Zd=a(Uh,"SPAN",{});var X2=s(Zd);Qg=n(X2,"RobertaPreLayerNormForSequenceClassification"),X2.forEach(t),Uh.forEach(t),Zm=m(i),yt=a(i,"DIV",{class:!0});var yo=s(yt);T(Wa.$$.fragment,yo),Hg=m(yo),ec=a(yo,"P",{});var Y2=s(ec);Kg=n(Y2,`RoBERTa-PreLayerNorm Model transformer with a sequence classification/regression head on top (a linear layer on top
of the pooled output) e.g. for GLUE tasks.`),Y2.forEach(t),Vg=m(yo),Ua=a(yo,"P",{});var Bh=s(Ua);Jg=n(Bh,"This model inherits from "),Rl=a(Bh,"A",{href:!0});var Z2=s(Rl);Gg=n(Z2,"PreTrainedModel"),Z2.forEach(t),Xg=n(Bh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bh.forEach(t),Yg=m(yo),Ba=a(yo,"P",{});var Qh=s(Ba);Zg=n(Qh,"This model is also a PyTorch "),Qa=a(Qh,"A",{href:!0,rel:!0});var e$=s(Qa);e_=n(e$,"torch.nn.Module"),e$.forEach(t),t_=n(Qh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Qh.forEach(t),o_=m(yo),Tt=a(yo,"DIV",{class:!0});var bo=s(Tt);T(Ha.$$.fragment,bo),n_=m(bo),jo=a(bo,"P",{});var dd=s(jo);r_=n(dd,"The "),zl=a(dd,"A",{href:!0});var t$=s(zl);a_=n(t$,"RobertaPreLayerNormForSequenceClassification"),t$.forEach(t),s_=n(dd," forward method, overrides the "),tc=a(dd,"CODE",{});var o$=s(tc);i_=n(o$,"__call__"),o$.forEach(t),l_=n(dd," special method."),dd.forEach(t),d_=m(bo),T(An.$$.fragment,bo),c_=m(bo),T(On.$$.fragment,bo),p_=m(bo),T(In.$$.fragment,bo),bo.forEach(t),yo.forEach(t),eh=m(i),qo=a(i,"H2",{class:!0});var Hh=s(qo);Dn=a(Hh,"A",{id:!0,class:!0,href:!0});var n$=s(Dn);oc=a(n$,"SPAN",{});var r$=s(oc);T(Ka.$$.fragment,r$),r$.forEach(t),n$.forEach(t),m_=m(Hh),nc=a(Hh,"SPAN",{});var a$=s(nc);h_=n(a$,"RobertaPreLayerNormForMultipleChoice"),a$.forEach(t),Hh.forEach(t),th=m(i),bt=a(i,"DIV",{class:!0});var vo=s(bt);T(Va.$$.fragment,vo),u_=m(vo),rc=a(vo,"P",{});var s$=s(rc);f_=n(s$,`RobertaPreLayerNorm Model with a multiple choice classification head on top (a linear layer on top of the pooled
output and a softmax) e.g. for RocStories/SWAG tasks.`),s$.forEach(t),g_=m(vo),Ja=a(vo,"P",{});var Kh=s(Ja);__=n(Kh,"This model inherits from "),Cl=a(Kh,"A",{href:!0});var i$=s(Cl);y_=n(i$,"PreTrainedModel"),i$.forEach(t),b_=n(Kh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Kh.forEach(t),v_=m(vo),Ga=a(vo,"P",{});var Vh=s(Ga);k_=n(Vh,"This model is also a PyTorch "),Xa=a(Vh,"A",{href:!0,rel:!0});var l$=s(Xa);T_=n(l$,"torch.nn.Module"),l$.forEach(t),w_=n(Vh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Vh.forEach(t),$_=m(vo),It=a(vo,"DIV",{class:!0});var Gr=s(It);T(Ya.$$.fragment,Gr),P_=m(Gr),Ao=a(Gr,"P",{});var cd=s(Ao);F_=n(cd,"The "),jl=a(cd,"A",{href:!0});var d$=s(jl);N_=n(d$,"RobertaPreLayerNormForMultipleChoice"),d$.forEach(t),L_=n(cd," forward method, overrides the "),ac=a(cd,"CODE",{});var c$=s(ac);x_=n(c$,"__call__"),c$.forEach(t),M_=n(cd," special method."),cd.forEach(t),E_=m(Gr),T(Sn.$$.fragment,Gr),R_=m(Gr),T(Wn.$$.fragment,Gr),Gr.forEach(t),vo.forEach(t),oh=m(i),Oo=a(i,"H2",{class:!0});var Jh=s(Oo);Un=a(Jh,"A",{id:!0,class:!0,href:!0});var p$=s(Un);sc=a(p$,"SPAN",{});var m$=s(sc);T(Za.$$.fragment,m$),m$.forEach(t),p$.forEach(t),z_=m(Jh),ic=a(Jh,"SPAN",{});var h$=s(ic);C_=n(h$,"RobertaPreLayerNormForTokenClassification"),h$.forEach(t),Jh.forEach(t),nh=m(i),vt=a(i,"DIV",{class:!0});var ko=s(vt);T(es.$$.fragment,ko),j_=m(ko),lc=a(ko,"P",{});var u$=s(lc);q_=n(u$,`RobertaPreLayerNorm Model with a token classification head on top (a linear layer on top of the hidden-states
output) e.g. for Named-Entity-Recognition (NER) tasks.`),u$.forEach(t),A_=m(ko),ts=a(ko,"P",{});var Gh=s(ts);O_=n(Gh,"This model inherits from "),ql=a(Gh,"A",{href:!0});var f$=s(ql);I_=n(f$,"PreTrainedModel"),f$.forEach(t),D_=n(Gh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Gh.forEach(t),S_=m(ko),os=a(ko,"P",{});var Xh=s(os);W_=n(Xh,"This model is also a PyTorch "),ns=a(Xh,"A",{href:!0,rel:!0});var g$=s(ns);U_=n(g$,"torch.nn.Module"),g$.forEach(t),B_=n(Xh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Xh.forEach(t),Q_=m(ko),Dt=a(ko,"DIV",{class:!0});var Xr=s(Dt);T(rs.$$.fragment,Xr),H_=m(Xr),Io=a(Xr,"P",{});var pd=s(Io);K_=n(pd,"The "),Al=a(pd,"A",{href:!0});var _$=s(Al);V_=n(_$,"RobertaPreLayerNormForTokenClassification"),_$.forEach(t),J_=n(pd," forward method, overrides the "),dc=a(pd,"CODE",{});var y$=s(dc);G_=n(y$,"__call__"),y$.forEach(t),X_=n(pd," special method."),pd.forEach(t),Y_=m(Xr),T(Bn.$$.fragment,Xr),Z_=m(Xr),T(Qn.$$.fragment,Xr),Xr.forEach(t),ko.forEach(t),rh=m(i),Do=a(i,"H2",{class:!0});var Yh=s(Do);Hn=a(Yh,"A",{id:!0,class:!0,href:!0});var b$=s(Hn);cc=a(b$,"SPAN",{});var v$=s(cc);T(as.$$.fragment,v$),v$.forEach(t),b$.forEach(t),ey=m(Yh),pc=a(Yh,"SPAN",{});var k$=s(pc);ty=n(k$,"RobertaPreLayerNormForQuestionAnswering"),k$.forEach(t),Yh.forEach(t),ah=m(i),kt=a(i,"DIV",{class:!0});var To=s(kt);T(ss.$$.fragment,To),oy=m(To),So=a(To,"P",{});var md=s(So);ny=n(md,`RobertaPreLayerNorm Model with a span classification head on top for extractive question-answering tasks like SQuAD
(a linear layers on top of the hidden-states output to compute `),mc=a(md,"CODE",{});var T$=s(mc);ry=n(T$,"span start logits"),T$.forEach(t),ay=n(md," and "),hc=a(md,"CODE",{});var w$=s(hc);sy=n(w$,"span end logits"),w$.forEach(t),iy=n(md,")."),md.forEach(t),ly=m(To),is=a(To,"P",{});var Zh=s(is);dy=n(Zh,"This model inherits from "),Ol=a(Zh,"A",{href:!0});var $$=s(Ol);cy=n($$,"PreTrainedModel"),$$.forEach(t),py=n(Zh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Zh.forEach(t),my=m(To),ls=a(To,"P",{});var eu=s(ls);hy=n(eu,"This model is also a PyTorch "),ds=a(eu,"A",{href:!0,rel:!0});var P$=s(ds);uy=n(P$,"torch.nn.Module"),P$.forEach(t),fy=n(eu,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),eu.forEach(t),gy=m(To),St=a(To,"DIV",{class:!0});var Yr=s(St);T(cs.$$.fragment,Yr),_y=m(Yr),Wo=a(Yr,"P",{});var hd=s(Wo);yy=n(hd,"The "),Il=a(hd,"A",{href:!0});var F$=s(Il);by=n(F$,"RobertaPreLayerNormForQuestionAnswering"),F$.forEach(t),vy=n(hd," forward method, overrides the "),uc=a(hd,"CODE",{});var N$=s(uc);ky=n(N$,"__call__"),N$.forEach(t),Ty=n(hd," special method."),hd.forEach(t),wy=m(Yr),T(Kn.$$.fragment,Yr),$y=m(Yr),T(Vn.$$.fragment,Yr),Yr.forEach(t),To.forEach(t),sh=m(i),Uo=a(i,"H2",{class:!0});var tu=s(Uo);Jn=a(tu,"A",{id:!0,class:!0,href:!0});var L$=s(Jn);fc=a(L$,"SPAN",{});var x$=s(fc);T(ps.$$.fragment,x$),x$.forEach(t),L$.forEach(t),Py=m(tu),gc=a(tu,"SPAN",{});var M$=s(gc);Fy=n(M$,"TFRobertaPreLayerNormModel"),M$.forEach(t),tu.forEach(t),ih=m(i),dt=a(i,"DIV",{class:!0});var Yt=s(dt);T(ms.$$.fragment,Yt),Ny=m(Yt),_c=a(Yt,"P",{});var E$=s(_c);Ly=n(E$,"The bare RoBERTa-PreLayerNorm Model transformer outputting raw hidden-states without any specific head on top."),E$.forEach(t),xy=m(Yt),hs=a(Yt,"P",{});var ou=s(hs);My=n(ou,"This model inherits from "),Dl=a(ou,"A",{href:!0});var R$=s(Dl);Ey=n(R$,"TFPreTrainedModel"),R$.forEach(t),Ry=n(ou,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ou.forEach(t),zy=m(Yt),us=a(Yt,"P",{});var nu=s(us);Cy=n(nu,"This model is also a "),fs=a(nu,"A",{href:!0,rel:!0});var z$=s(fs);jy=n(z$,"tf.keras.Model"),z$.forEach(t),qy=n(nu,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),nu.forEach(t),Ay=m(Yt),T(Gn.$$.fragment,Yt),Oy=m(Yt),Wt=a(Yt,"DIV",{class:!0});var Zr=s(Wt);T(gs.$$.fragment,Zr),Iy=m(Zr),Bo=a(Zr,"P",{});var ud=s(Bo);Dy=n(ud,"The "),Sl=a(ud,"A",{href:!0});var C$=s(Sl);Sy=n(C$,"TFRobertaPreLayerNormModel"),C$.forEach(t),Wy=n(ud," forward method, overrides the "),yc=a(ud,"CODE",{});var j$=s(yc);Uy=n(j$,"__call__"),j$.forEach(t),By=n(ud," special method."),ud.forEach(t),Qy=m(Zr),T(Xn.$$.fragment,Zr),Hy=m(Zr),T(Yn.$$.fragment,Zr),Zr.forEach(t),Yt.forEach(t),lh=m(i),Qo=a(i,"H2",{class:!0});var ru=s(Qo);Zn=a(ru,"A",{id:!0,class:!0,href:!0});var q$=s(Zn);bc=a(q$,"SPAN",{});var A$=s(bc);T(_s.$$.fragment,A$),A$.forEach(t),q$.forEach(t),Ky=m(ru),vc=a(ru,"SPAN",{});var O$=s(vc);Vy=n(O$,"TFRobertaPreLayerNormForCausalLM"),O$.forEach(t),ru.forEach(t),dh=m(i),Ho=a(i,"DIV",{class:!0});var au=s(Ho);T(ys.$$.fragment,au),Jy=m(au),Ut=a(au,"DIV",{class:!0});var ea=s(Ut);T(bs.$$.fragment,ea),Gy=m(ea),Ko=a(ea,"P",{});var fd=s(Ko);Xy=n(fd,"The "),Wl=a(fd,"A",{href:!0});var I$=s(Wl);Yy=n(I$,"TFRobertaPreLayerNormForCausalLM"),I$.forEach(t),Zy=n(fd," forward method, overrides the "),kc=a(fd,"CODE",{});var D$=s(kc);eb=n(D$,"__call__"),D$.forEach(t),tb=n(fd," special method."),fd.forEach(t),ob=m(ea),T(er.$$.fragment,ea),nb=m(ea),T(tr.$$.fragment,ea),ea.forEach(t),au.forEach(t),ch=m(i),Vo=a(i,"H2",{class:!0});var su=s(Vo);or=a(su,"A",{id:!0,class:!0,href:!0});var S$=s(or);Tc=a(S$,"SPAN",{});var W$=s(Tc);T(vs.$$.fragment,W$),W$.forEach(t),S$.forEach(t),rb=m(su),wc=a(su,"SPAN",{});var U$=s(wc);ab=n(U$,"TFRobertaPreLayerNormForMaskedLM"),U$.forEach(t),su.forEach(t),ph=m(i),ct=a(i,"DIV",{class:!0});var Zt=s(ct);T(ks.$$.fragment,Zt),sb=m(Zt),Ts=a(Zt,"P",{});var iu=s(Ts);ib=n(iu,"RoBERTa-PreLayerNorm Model with a "),$c=a(iu,"CODE",{});var B$=s($c);lb=n(B$,"language modeling"),B$.forEach(t),db=n(iu," head on top."),iu.forEach(t),cb=m(Zt),ws=a(Zt,"P",{});var lu=s(ws);pb=n(lu,"This model inherits from "),Ul=a(lu,"A",{href:!0});var Q$=s(Ul);mb=n(Q$,"TFPreTrainedModel"),Q$.forEach(t),hb=n(lu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lu.forEach(t),ub=m(Zt),$s=a(Zt,"P",{});var du=s($s);fb=n(du,"This model is also a "),Ps=a(du,"A",{href:!0,rel:!0});var H$=s(Ps);gb=n(H$,"tf.keras.Model"),H$.forEach(t),_b=n(du,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),du.forEach(t),yb=m(Zt),T(nr.$$.fragment,Zt),bb=m(Zt),wt=a(Zt,"DIV",{class:!0});var wo=s(wt);T(Fs.$$.fragment,wo),vb=m(wo),Jo=a(wo,"P",{});var gd=s(Jo);kb=n(gd,"The "),Bl=a(gd,"A",{href:!0});var K$=s(Bl);Tb=n(K$,"TFRobertaPreLayerNormForMaskedLM"),K$.forEach(t),wb=n(gd," forward method, overrides the "),Pc=a(gd,"CODE",{});var V$=s(Pc);$b=n(V$,"__call__"),V$.forEach(t),Pb=n(gd," special method."),gd.forEach(t),Fb=m(wo),T(rr.$$.fragment,wo),Nb=m(wo),T(ar.$$.fragment,wo),Lb=m(wo),T(sr.$$.fragment,wo),wo.forEach(t),Zt.forEach(t),mh=m(i),Go=a(i,"H2",{class:!0});var cu=s(Go);ir=a(cu,"A",{id:!0,class:!0,href:!0});var J$=s(ir);Fc=a(J$,"SPAN",{});var G$=s(Fc);T(Ns.$$.fragment,G$),G$.forEach(t),J$.forEach(t),xb=m(cu),Nc=a(cu,"SPAN",{});var X$=s(Nc);Mb=n(X$,"TFRobertaPreLayerNormForSequenceClassification"),X$.forEach(t),cu.forEach(t),hh=m(i),pt=a(i,"DIV",{class:!0});var eo=s(pt);T(Ls.$$.fragment,eo),Eb=m(eo),Lc=a(eo,"P",{});var Y$=s(Lc);Rb=n(Y$,`RoBERTa-PreLayerNorm Model transformer with a sequence classification/regression head on top (a linear layer on top
of the pooled output) e.g. for GLUE tasks.`),Y$.forEach(t),zb=m(eo),xs=a(eo,"P",{});var pu=s(xs);Cb=n(pu,"This model inherits from "),Ql=a(pu,"A",{href:!0});var Z$=s(Ql);jb=n(Z$,"TFPreTrainedModel"),Z$.forEach(t),qb=n(pu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),pu.forEach(t),Ab=m(eo),Ms=a(eo,"P",{});var mu=s(Ms);Ob=n(mu,"This model is also a "),Es=a(mu,"A",{href:!0,rel:!0});var e1=s(Es);Ib=n(e1,"tf.keras.Model"),e1.forEach(t),Db=n(mu,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),mu.forEach(t),Sb=m(eo),T(lr.$$.fragment,eo),Wb=m(eo),$t=a(eo,"DIV",{class:!0});var $o=s($t);T(Rs.$$.fragment,$o),Ub=m($o),Xo=a($o,"P",{});var _d=s(Xo);Bb=n(_d,"The "),Hl=a(_d,"A",{href:!0});var t1=s(Hl);Qb=n(t1,"TFRobertaPreLayerNormForSequenceClassification"),t1.forEach(t),Hb=n(_d," forward method, overrides the "),xc=a(_d,"CODE",{});var o1=s(xc);Kb=n(o1,"__call__"),o1.forEach(t),Vb=n(_d," special method."),_d.forEach(t),Jb=m($o),T(dr.$$.fragment,$o),Gb=m($o),T(cr.$$.fragment,$o),Xb=m($o),T(pr.$$.fragment,$o),$o.forEach(t),eo.forEach(t),uh=m(i),Yo=a(i,"H2",{class:!0});var hu=s(Yo);mr=a(hu,"A",{id:!0,class:!0,href:!0});var n1=s(mr);Mc=a(n1,"SPAN",{});var r1=s(Mc);T(zs.$$.fragment,r1),r1.forEach(t),n1.forEach(t),Yb=m(hu),Ec=a(hu,"SPAN",{});var a1=s(Ec);Zb=n(a1,"TFRobertaPreLayerNormForMultipleChoice"),a1.forEach(t),hu.forEach(t),fh=m(i),mt=a(i,"DIV",{class:!0});var to=s(mt);T(Cs.$$.fragment,to),ev=m(to),Rc=a(to,"P",{});var s1=s(Rc);tv=n(s1,`RobertaPreLayerNorm Model with a multiple choice classification head on top (a linear layer on top of the pooled
output and a softmax) e.g. for RocStories/SWAG tasks.`),s1.forEach(t),ov=m(to),js=a(to,"P",{});var uu=s(js);nv=n(uu,"This model inherits from "),Kl=a(uu,"A",{href:!0});var i1=s(Kl);rv=n(i1,"TFPreTrainedModel"),i1.forEach(t),av=n(uu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),uu.forEach(t),sv=m(to),qs=a(to,"P",{});var fu=s(qs);iv=n(fu,"This model is also a "),As=a(fu,"A",{href:!0,rel:!0});var l1=s(As);lv=n(l1,"tf.keras.Model"),l1.forEach(t),dv=n(fu,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),fu.forEach(t),cv=m(to),T(hr.$$.fragment,to),pv=m(to),Bt=a(to,"DIV",{class:!0});var ta=s(Bt);T(Os.$$.fragment,ta),mv=m(ta),Zo=a(ta,"P",{});var yd=s(Zo);hv=n(yd,"The "),Vl=a(yd,"A",{href:!0});var d1=s(Vl);uv=n(d1,"TFRobertaPreLayerNormForMultipleChoice"),d1.forEach(t),fv=n(yd," forward method, overrides the "),zc=a(yd,"CODE",{});var c1=s(zc);gv=n(c1,"__call__"),c1.forEach(t),_v=n(yd," special method."),yd.forEach(t),yv=m(ta),T(ur.$$.fragment,ta),bv=m(ta),T(fr.$$.fragment,ta),ta.forEach(t),to.forEach(t),gh=m(i),en=a(i,"H2",{class:!0});var gu=s(en);gr=a(gu,"A",{id:!0,class:!0,href:!0});var p1=s(gr);Cc=a(p1,"SPAN",{});var m1=s(Cc);T(Is.$$.fragment,m1),m1.forEach(t),p1.forEach(t),vv=m(gu),jc=a(gu,"SPAN",{});var h1=s(jc);kv=n(h1,"TFRobertaPreLayerNormForTokenClassification"),h1.forEach(t),gu.forEach(t),_h=m(i),ht=a(i,"DIV",{class:!0});var oo=s(ht);T(Ds.$$.fragment,oo),Tv=m(oo),qc=a(oo,"P",{});var u1=s(qc);wv=n(u1,`RoBERTa-PreLayerNorm Model with a token classification head on top (a linear layer on top of the hidden-states
output) e.g. for Named-Entity-Recognition (NER) tasks.`),u1.forEach(t),$v=m(oo),Ss=a(oo,"P",{});var _u=s(Ss);Pv=n(_u,"This model inherits from "),Jl=a(_u,"A",{href:!0});var f1=s(Jl);Fv=n(f1,"TFPreTrainedModel"),f1.forEach(t),Nv=n(_u,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_u.forEach(t),Lv=m(oo),Ws=a(oo,"P",{});var yu=s(Ws);xv=n(yu,"This model is also a "),Us=a(yu,"A",{href:!0,rel:!0});var g1=s(Us);Mv=n(g1,"tf.keras.Model"),g1.forEach(t),Ev=n(yu,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),yu.forEach(t),Rv=m(oo),T(_r.$$.fragment,oo),zv=m(oo),Pt=a(oo,"DIV",{class:!0});var Po=s(Pt);T(Bs.$$.fragment,Po),Cv=m(Po),tn=a(Po,"P",{});var bd=s(tn);jv=n(bd,"The "),Gl=a(bd,"A",{href:!0});var _1=s(Gl);qv=n(_1,"TFRobertaPreLayerNormForTokenClassification"),_1.forEach(t),Av=n(bd," forward method, overrides the "),Ac=a(bd,"CODE",{});var y1=s(Ac);Ov=n(y1,"__call__"),y1.forEach(t),Iv=n(bd," special method."),bd.forEach(t),Dv=m(Po),T(yr.$$.fragment,Po),Sv=m(Po),T(br.$$.fragment,Po),Wv=m(Po),T(vr.$$.fragment,Po),Po.forEach(t),oo.forEach(t),yh=m(i),on=a(i,"H2",{class:!0});var bu=s(on);kr=a(bu,"A",{id:!0,class:!0,href:!0});var b1=s(kr);Oc=a(b1,"SPAN",{});var v1=s(Oc);T(Qs.$$.fragment,v1),v1.forEach(t),b1.forEach(t),Uv=m(bu),Ic=a(bu,"SPAN",{});var k1=s(Ic);Bv=n(k1,"TFRobertaPreLayerNormForQuestionAnswering"),k1.forEach(t),bu.forEach(t),bh=m(i),ut=a(i,"DIV",{class:!0});var no=s(ut);T(Hs.$$.fragment,no),Qv=m(no),nn=a(no,"P",{});var vd=s(nn);Hv=n(vd,`RoBERTa-PreLayerNorm Model with a span classification head on top for extractive question-answering tasks like
SQuAD (a linear layers on top of the hidden-states output to compute `),Dc=a(vd,"CODE",{});var T1=s(Dc);Kv=n(T1,"span start logits"),T1.forEach(t),Vv=n(vd," and "),Sc=a(vd,"CODE",{});var w1=s(Sc);Jv=n(w1,"span end logits"),w1.forEach(t),Gv=n(vd,")."),vd.forEach(t),Xv=m(no),Ks=a(no,"P",{});var vu=s(Ks);Yv=n(vu,"This model inherits from "),Xl=a(vu,"A",{href:!0});var $1=s(Xl);Zv=n($1,"TFPreTrainedModel"),$1.forEach(t),ek=n(vu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),vu.forEach(t),tk=m(no),Vs=a(no,"P",{});var ku=s(Vs);ok=n(ku,"This model is also a "),Js=a(ku,"A",{href:!0,rel:!0});var P1=s(Js);nk=n(P1,"tf.keras.Model"),P1.forEach(t),rk=n(ku,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ku.forEach(t),ak=m(no),T(Tr.$$.fragment,no),sk=m(no),Ft=a(no,"DIV",{class:!0});var Fo=s(Ft);T(Gs.$$.fragment,Fo),ik=m(Fo),rn=a(Fo,"P",{});var kd=s(rn);lk=n(kd,"The "),Yl=a(kd,"A",{href:!0});var F1=s(Yl);dk=n(F1,"TFRobertaPreLayerNormForQuestionAnswering"),F1.forEach(t),ck=n(kd," forward method, overrides the "),Wc=a(kd,"CODE",{});var N1=s(Wc);pk=n(N1,"__call__"),N1.forEach(t),mk=n(kd," special method."),kd.forEach(t),hk=m(Fo),T(wr.$$.fragment,Fo),uk=m(Fo),T($r.$$.fragment,Fo),fk=m(Fo),T(Pr.$$.fragment,Fo),Fo.forEach(t),no.forEach(t),vh=m(i),an=a(i,"H2",{class:!0});var Tu=s(an);Fr=a(Tu,"A",{id:!0,class:!0,href:!0});var L1=s(Fr);Uc=a(L1,"SPAN",{});var x1=s(Uc);T(Xs.$$.fragment,x1),x1.forEach(t),L1.forEach(t),gk=m(Tu),Bc=a(Tu,"SPAN",{});var M1=s(Bc);_k=n(M1,"FlaxRobertaPreLayerNormModel"),M1.forEach(t),Tu.forEach(t),kh=m(i),et=a(i,"DIV",{class:!0});var Lt=s(et);T(Ys.$$.fragment,Lt),yk=m(Lt),Qc=a(Lt,"P",{});var E1=s(Qc);bk=n(E1,"The bare RoBERTa-PreLayerNorm Model transformer outputting raw hidden-states without any specific head on top."),E1.forEach(t),vk=m(Lt),Zs=a(Lt,"P",{});var wu=s(Zs);kk=n(wu,"This model inherits from "),Zl=a(wu,"A",{href:!0});var R1=s(Zl);Tk=n(R1,"FlaxPreTrainedModel"),R1.forEach(t),wk=n(wu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),wu.forEach(t),$k=m(Lt),ei=a(Lt,"P",{});var $u=s(ei);Pk=n($u,"This model is also a Flax Linen "),ti=a($u,"A",{href:!0,rel:!0});var z1=s(ti);Fk=n(z1,"flax.linen.Module"),z1.forEach(t),Nk=n($u,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),$u.forEach(t),Lk=m(Lt),Hc=a(Lt,"P",{});var C1=s(Hc);xk=n(C1,"Finally, this model supports inherent JAX features such as:"),C1.forEach(t),Mk=m(Lt),ao=a(Lt,"UL",{});var oa=s(ao);Kc=a(oa,"LI",{});var j1=s(Kc);oi=a(j1,"A",{href:!0,rel:!0});var q1=s(oi);Ek=n(q1,"Just-In-Time (JIT) compilation"),q1.forEach(t),j1.forEach(t),Rk=m(oa),Vc=a(oa,"LI",{});var A1=s(Vc);ni=a(A1,"A",{href:!0,rel:!0});var O1=s(ni);zk=n(O1,"Automatic Differentiation"),O1.forEach(t),A1.forEach(t),Ck=m(oa),Jc=a(oa,"LI",{});var I1=s(Jc);ri=a(I1,"A",{href:!0,rel:!0});var D1=s(ri);jk=n(D1,"Vectorization"),D1.forEach(t),I1.forEach(t),qk=m(oa),Gc=a(oa,"LI",{});var S1=s(Gc);ai=a(S1,"A",{href:!0,rel:!0});var W1=s(ai);Ak=n(W1,"Parallelization"),W1.forEach(t),S1.forEach(t),oa.forEach(t),Ok=m(Lt),Qt=a(Lt,"DIV",{class:!0});var na=s(Qt);T(si.$$.fragment,na),Ik=m(na),sn=a(na,"P",{});var Td=s(sn);Dk=n(Td,"The "),Xc=a(Td,"CODE",{});var U1=s(Xc);Sk=n(U1,"FlaxRobertaPreLayerNormPreTrainedModel"),U1.forEach(t),Wk=n(Td," forward method, overrides the "),Yc=a(Td,"CODE",{});var B1=s(Yc);Uk=n(B1,"__call__"),B1.forEach(t),Bk=n(Td," special method."),Td.forEach(t),Qk=m(na),T(Nr.$$.fragment,na),Hk=m(na),T(Lr.$$.fragment,na),na.forEach(t),Lt.forEach(t),Th=m(i),ln=a(i,"H2",{class:!0});var Pu=s(ln);xr=a(Pu,"A",{id:!0,class:!0,href:!0});var Q1=s(xr);Zc=a(Q1,"SPAN",{});var H1=s(Zc);T(ii.$$.fragment,H1),H1.forEach(t),Q1.forEach(t),Kk=m(Pu),ep=a(Pu,"SPAN",{});var K1=s(ep);Vk=n(K1,"FlaxRobertaPreLayerNormForCausalLM"),K1.forEach(t),Pu.forEach(t),wh=m(i),tt=a(i,"DIV",{class:!0});var xt=s(tt);T(li.$$.fragment,xt),Jk=m(xt),tp=a(xt,"P",{});var V1=s(tp);Gk=n(V1,`RobertaPreLayerNorm Model with a language modeling head on top (a linear layer on top of the hidden-states output)
e.g for autoregressive tasks.`),V1.forEach(t),Xk=m(xt),di=a(xt,"P",{});var Fu=s(di);Yk=n(Fu,"This model inherits from "),ed=a(Fu,"A",{href:!0});var J1=s(ed);Zk=n(J1,"FlaxPreTrainedModel"),J1.forEach(t),eT=n(Fu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Fu.forEach(t),tT=m(xt),ci=a(xt,"P",{});var Nu=s(ci);oT=n(Nu,"This model is also a Flax Linen "),pi=a(Nu,"A",{href:!0,rel:!0});var G1=s(pi);nT=n(G1,"flax.linen.Module"),G1.forEach(t),rT=n(Nu,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Nu.forEach(t),aT=m(xt),op=a(xt,"P",{});var X1=s(op);sT=n(X1,"Finally, this model supports inherent JAX features such as:"),X1.forEach(t),iT=m(xt),so=a(xt,"UL",{});var ra=s(so);np=a(ra,"LI",{});var Y1=s(np);mi=a(Y1,"A",{href:!0,rel:!0});var Z1=s(mi);lT=n(Z1,"Just-In-Time (JIT) compilation"),Z1.forEach(t),Y1.forEach(t),dT=m(ra),rp=a(ra,"LI",{});var eP=s(rp);hi=a(eP,"A",{href:!0,rel:!0});var tP=s(hi);cT=n(tP,"Automatic Differentiation"),tP.forEach(t),eP.forEach(t),pT=m(ra),ap=a(ra,"LI",{});var oP=s(ap);ui=a(oP,"A",{href:!0,rel:!0});var nP=s(ui);mT=n(nP,"Vectorization"),nP.forEach(t),oP.forEach(t),hT=m(ra),sp=a(ra,"LI",{});var rP=s(sp);fi=a(rP,"A",{href:!0,rel:!0});var aP=s(fi);uT=n(aP,"Parallelization"),aP.forEach(t),rP.forEach(t),ra.forEach(t),fT=m(xt),Ht=a(xt,"DIV",{class:!0});var aa=s(Ht);T(gi.$$.fragment,aa),gT=m(aa),dn=a(aa,"P",{});var wd=s(dn);_T=n(wd,"The "),ip=a(wd,"CODE",{});var sP=s(ip);yT=n(sP,"FlaxRobertaPreLayerNormPreTrainedModel"),sP.forEach(t),bT=n(wd," forward method, overrides the "),lp=a(wd,"CODE",{});var iP=s(lp);vT=n(iP,"__call__"),iP.forEach(t),kT=n(wd," special method."),wd.forEach(t),TT=m(aa),T(Mr.$$.fragment,aa),wT=m(aa),T(Er.$$.fragment,aa),aa.forEach(t),xt.forEach(t),$h=m(i),cn=a(i,"H2",{class:!0});var Lu=s(cn);Rr=a(Lu,"A",{id:!0,class:!0,href:!0});var lP=s(Rr);dp=a(lP,"SPAN",{});var dP=s(dp);T(_i.$$.fragment,dP),dP.forEach(t),lP.forEach(t),$T=m(Lu),cp=a(Lu,"SPAN",{});var cP=s(cp);PT=n(cP,"FlaxRobertaPreLayerNormForMaskedLM"),cP.forEach(t),Lu.forEach(t),Ph=m(i),ot=a(i,"DIV",{class:!0});var Mt=s(ot);T(yi.$$.fragment,Mt),FT=m(Mt),bi=a(Mt,"P",{});var xu=s(bi);NT=n(xu,"RoBERTa-PreLayerNorm Model with a "),pp=a(xu,"CODE",{});var pP=s(pp);LT=n(pP,"language modeling"),pP.forEach(t),xT=n(xu," head on top."),xu.forEach(t),MT=m(Mt),vi=a(Mt,"P",{});var Mu=s(vi);ET=n(Mu,"This model inherits from "),td=a(Mu,"A",{href:!0});var mP=s(td);RT=n(mP,"FlaxPreTrainedModel"),mP.forEach(t),zT=n(Mu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Mu.forEach(t),CT=m(Mt),ki=a(Mt,"P",{});var Eu=s(ki);jT=n(Eu,"This model is also a Flax Linen "),Ti=a(Eu,"A",{href:!0,rel:!0});var hP=s(Ti);qT=n(hP,"flax.linen.Module"),hP.forEach(t),AT=n(Eu,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Eu.forEach(t),OT=m(Mt),mp=a(Mt,"P",{});var uP=s(mp);IT=n(uP,"Finally, this model supports inherent JAX features such as:"),uP.forEach(t),DT=m(Mt),io=a(Mt,"UL",{});var sa=s(io);hp=a(sa,"LI",{});var fP=s(hp);wi=a(fP,"A",{href:!0,rel:!0});var gP=s(wi);ST=n(gP,"Just-In-Time (JIT) compilation"),gP.forEach(t),fP.forEach(t),WT=m(sa),up=a(sa,"LI",{});var _P=s(up);$i=a(_P,"A",{href:!0,rel:!0});var yP=s($i);UT=n(yP,"Automatic Differentiation"),yP.forEach(t),_P.forEach(t),BT=m(sa),fp=a(sa,"LI",{});var bP=s(fp);Pi=a(bP,"A",{href:!0,rel:!0});var vP=s(Pi);QT=n(vP,"Vectorization"),vP.forEach(t),bP.forEach(t),HT=m(sa),gp=a(sa,"LI",{});var kP=s(gp);Fi=a(kP,"A",{href:!0,rel:!0});var TP=s(Fi);KT=n(TP,"Parallelization"),TP.forEach(t),kP.forEach(t),sa.forEach(t),VT=m(Mt),Kt=a(Mt,"DIV",{class:!0});var ia=s(Kt);T(Ni.$$.fragment,ia),JT=m(ia),pn=a(ia,"P",{});var $d=s(pn);GT=n($d,"The "),_p=a($d,"CODE",{});var wP=s(_p);XT=n(wP,"FlaxRobertaPreLayerNormPreTrainedModel"),wP.forEach(t),YT=n($d," forward method, overrides the "),yp=a($d,"CODE",{});var $P=s(yp);ZT=n($P,"__call__"),$P.forEach(t),ew=n($d," special method."),$d.forEach(t),tw=m(ia),T(zr.$$.fragment,ia),ow=m(ia),T(Cr.$$.fragment,ia),ia.forEach(t),Mt.forEach(t),Fh=m(i),mn=a(i,"H2",{class:!0});var Ru=s(mn);jr=a(Ru,"A",{id:!0,class:!0,href:!0});var PP=s(jr);bp=a(PP,"SPAN",{});var FP=s(bp);T(Li.$$.fragment,FP),FP.forEach(t),PP.forEach(t),nw=m(Ru),vp=a(Ru,"SPAN",{});var NP=s(vp);rw=n(NP,"FlaxRobertaPreLayerNormForSequenceClassification"),NP.forEach(t),Ru.forEach(t),Nh=m(i),nt=a(i,"DIV",{class:!0});var Et=s(nt);T(xi.$$.fragment,Et),aw=m(Et),kp=a(Et,"P",{});var LP=s(kp);sw=n(LP,`RobertaPreLayerNorm Model transformer with a sequence classification/regression head on top (a linear layer on top
of the pooled output) e.g. for GLUE tasks.`),LP.forEach(t),iw=m(Et),Mi=a(Et,"P",{});var zu=s(Mi);lw=n(zu,"This model inherits from "),od=a(zu,"A",{href:!0});var xP=s(od);dw=n(xP,"FlaxPreTrainedModel"),xP.forEach(t),cw=n(zu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),zu.forEach(t),pw=m(Et),Ei=a(Et,"P",{});var Cu=s(Ei);mw=n(Cu,"This model is also a Flax Linen "),Ri=a(Cu,"A",{href:!0,rel:!0});var MP=s(Ri);hw=n(MP,"flax.linen.Module"),MP.forEach(t),uw=n(Cu,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Cu.forEach(t),fw=m(Et),Tp=a(Et,"P",{});var EP=s(Tp);gw=n(EP,"Finally, this model supports inherent JAX features such as:"),EP.forEach(t),_w=m(Et),lo=a(Et,"UL",{});var la=s(lo);wp=a(la,"LI",{});var RP=s(wp);zi=a(RP,"A",{href:!0,rel:!0});var zP=s(zi);yw=n(zP,"Just-In-Time (JIT) compilation"),zP.forEach(t),RP.forEach(t),bw=m(la),$p=a(la,"LI",{});var CP=s($p);Ci=a(CP,"A",{href:!0,rel:!0});var jP=s(Ci);vw=n(jP,"Automatic Differentiation"),jP.forEach(t),CP.forEach(t),kw=m(la),Pp=a(la,"LI",{});var qP=s(Pp);ji=a(qP,"A",{href:!0,rel:!0});var AP=s(ji);Tw=n(AP,"Vectorization"),AP.forEach(t),qP.forEach(t),ww=m(la),Fp=a(la,"LI",{});var OP=s(Fp);qi=a(OP,"A",{href:!0,rel:!0});var IP=s(qi);$w=n(IP,"Parallelization"),IP.forEach(t),OP.forEach(t),la.forEach(t),Pw=m(Et),Vt=a(Et,"DIV",{class:!0});var da=s(Vt);T(Ai.$$.fragment,da),Fw=m(da),hn=a(da,"P",{});var Pd=s(hn);Nw=n(Pd,"The "),Np=a(Pd,"CODE",{});var DP=s(Np);Lw=n(DP,"FlaxRobertaPreLayerNormPreTrainedModel"),DP.forEach(t),xw=n(Pd," forward method, overrides the "),Lp=a(Pd,"CODE",{});var SP=s(Lp);Mw=n(SP,"__call__"),SP.forEach(t),Ew=n(Pd," special method."),Pd.forEach(t),Rw=m(da),T(qr.$$.fragment,da),zw=m(da),T(Ar.$$.fragment,da),da.forEach(t),Et.forEach(t),Lh=m(i),un=a(i,"H2",{class:!0});var ju=s(un);Or=a(ju,"A",{id:!0,class:!0,href:!0});var WP=s(Or);xp=a(WP,"SPAN",{});var UP=s(xp);T(Oi.$$.fragment,UP),UP.forEach(t),WP.forEach(t),Cw=m(ju),Mp=a(ju,"SPAN",{});var BP=s(Mp);jw=n(BP,"FlaxRobertaPreLayerNormForMultipleChoice"),BP.forEach(t),ju.forEach(t),xh=m(i),rt=a(i,"DIV",{class:!0});var Rt=s(rt);T(Ii.$$.fragment,Rt),qw=m(Rt),Ep=a(Rt,"P",{});var QP=s(Ep);Aw=n(QP,`RobertaPreLayerNorm Model with a multiple choice classification head on top (a linear layer on top of the pooled
output and a softmax) e.g. for RocStories/SWAG tasks.`),QP.forEach(t),Ow=m(Rt),Di=a(Rt,"P",{});var qu=s(Di);Iw=n(qu,"This model inherits from "),nd=a(qu,"A",{href:!0});var HP=s(nd);Dw=n(HP,"FlaxPreTrainedModel"),HP.forEach(t),Sw=n(qu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),qu.forEach(t),Ww=m(Rt),Si=a(Rt,"P",{});var Au=s(Si);Uw=n(Au,"This model is also a Flax Linen "),Wi=a(Au,"A",{href:!0,rel:!0});var KP=s(Wi);Bw=n(KP,"flax.linen.Module"),KP.forEach(t),Qw=n(Au,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Au.forEach(t),Hw=m(Rt),Rp=a(Rt,"P",{});var VP=s(Rp);Kw=n(VP,"Finally, this model supports inherent JAX features such as:"),VP.forEach(t),Vw=m(Rt),co=a(Rt,"UL",{});var ca=s(co);zp=a(ca,"LI",{});var JP=s(zp);Ui=a(JP,"A",{href:!0,rel:!0});var GP=s(Ui);Jw=n(GP,"Just-In-Time (JIT) compilation"),GP.forEach(t),JP.forEach(t),Gw=m(ca),Cp=a(ca,"LI",{});var XP=s(Cp);Bi=a(XP,"A",{href:!0,rel:!0});var YP=s(Bi);Xw=n(YP,"Automatic Differentiation"),YP.forEach(t),XP.forEach(t),Yw=m(ca),jp=a(ca,"LI",{});var ZP=s(jp);Qi=a(ZP,"A",{href:!0,rel:!0});var eF=s(Qi);Zw=n(eF,"Vectorization"),eF.forEach(t),ZP.forEach(t),e0=m(ca),qp=a(ca,"LI",{});var tF=s(qp);Hi=a(tF,"A",{href:!0,rel:!0});var oF=s(Hi);t0=n(oF,"Parallelization"),oF.forEach(t),tF.forEach(t),ca.forEach(t),o0=m(Rt),Jt=a(Rt,"DIV",{class:!0});var pa=s(Jt);T(Ki.$$.fragment,pa),n0=m(pa),fn=a(pa,"P",{});var Fd=s(fn);r0=n(Fd,"The "),Ap=a(Fd,"CODE",{});var nF=s(Ap);a0=n(nF,"FlaxRobertaPreLayerNormPreTrainedModel"),nF.forEach(t),s0=n(Fd," forward method, overrides the "),Op=a(Fd,"CODE",{});var rF=s(Op);i0=n(rF,"__call__"),rF.forEach(t),l0=n(Fd," special method."),Fd.forEach(t),d0=m(pa),T(Ir.$$.fragment,pa),c0=m(pa),T(Dr.$$.fragment,pa),pa.forEach(t),Rt.forEach(t),Mh=m(i),gn=a(i,"H2",{class:!0});var Ou=s(gn);Sr=a(Ou,"A",{id:!0,class:!0,href:!0});var aF=s(Sr);Ip=a(aF,"SPAN",{});var sF=s(Ip);T(Vi.$$.fragment,sF),sF.forEach(t),aF.forEach(t),p0=m(Ou),Dp=a(Ou,"SPAN",{});var iF=s(Dp);m0=n(iF,"FlaxRobertaPreLayerNormForTokenClassification"),iF.forEach(t),Ou.forEach(t),Eh=m(i),at=a(i,"DIV",{class:!0});var zt=s(at);T(Ji.$$.fragment,zt),h0=m(zt),Sp=a(zt,"P",{});var lF=s(Sp);u0=n(lF,`RobertaPreLayerNorm Model with a token classification head on top (a linear layer on top of the hidden-states
output) e.g. for Named-Entity-Recognition (NER) tasks.`),lF.forEach(t),f0=m(zt),Gi=a(zt,"P",{});var Iu=s(Gi);g0=n(Iu,"This model inherits from "),rd=a(Iu,"A",{href:!0});var dF=s(rd);_0=n(dF,"FlaxPreTrainedModel"),dF.forEach(t),y0=n(Iu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Iu.forEach(t),b0=m(zt),Xi=a(zt,"P",{});var Du=s(Xi);v0=n(Du,"This model is also a Flax Linen "),Yi=a(Du,"A",{href:!0,rel:!0});var cF=s(Yi);k0=n(cF,"flax.linen.Module"),cF.forEach(t),T0=n(Du,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Du.forEach(t),w0=m(zt),Wp=a(zt,"P",{});var pF=s(Wp);$0=n(pF,"Finally, this model supports inherent JAX features such as:"),pF.forEach(t),P0=m(zt),po=a(zt,"UL",{});var ma=s(po);Up=a(ma,"LI",{});var mF=s(Up);Zi=a(mF,"A",{href:!0,rel:!0});var hF=s(Zi);F0=n(hF,"Just-In-Time (JIT) compilation"),hF.forEach(t),mF.forEach(t),N0=m(ma),Bp=a(ma,"LI",{});var uF=s(Bp);el=a(uF,"A",{href:!0,rel:!0});var fF=s(el);L0=n(fF,"Automatic Differentiation"),fF.forEach(t),uF.forEach(t),x0=m(ma),Qp=a(ma,"LI",{});var gF=s(Qp);tl=a(gF,"A",{href:!0,rel:!0});var _F=s(tl);M0=n(_F,"Vectorization"),_F.forEach(t),gF.forEach(t),E0=m(ma),Hp=a(ma,"LI",{});var yF=s(Hp);ol=a(yF,"A",{href:!0,rel:!0});var bF=s(ol);R0=n(bF,"Parallelization"),bF.forEach(t),yF.forEach(t),ma.forEach(t),z0=m(zt),Gt=a(zt,"DIV",{class:!0});var ha=s(Gt);T(nl.$$.fragment,ha),C0=m(ha),_n=a(ha,"P",{});var Nd=s(_n);j0=n(Nd,"The "),Kp=a(Nd,"CODE",{});var vF=s(Kp);q0=n(vF,"FlaxRobertaPreLayerNormPreTrainedModel"),vF.forEach(t),A0=n(Nd," forward method, overrides the "),Vp=a(Nd,"CODE",{});var kF=s(Vp);O0=n(kF,"__call__"),kF.forEach(t),I0=n(Nd," special method."),Nd.forEach(t),D0=m(ha),T(Wr.$$.fragment,ha),S0=m(ha),T(Ur.$$.fragment,ha),ha.forEach(t),zt.forEach(t),Rh=m(i),yn=a(i,"H2",{class:!0});var Su=s(yn);Br=a(Su,"A",{id:!0,class:!0,href:!0});var TF=s(Br);Jp=a(TF,"SPAN",{});var wF=s(Jp);T(rl.$$.fragment,wF),wF.forEach(t),TF.forEach(t),W0=m(Su),Gp=a(Su,"SPAN",{});var $F=s(Gp);U0=n($F,"FlaxRobertaPreLayerNormForQuestionAnswering"),$F.forEach(t),Su.forEach(t),zh=m(i),st=a(i,"DIV",{class:!0});var Ct=s(st);T(al.$$.fragment,Ct),B0=m(Ct),bn=a(Ct,"P",{});var Ld=s(bn);Q0=n(Ld,`RobertaPreLayerNorm Model with a span classification head on top for extractive question-answering tasks like SQuAD
(a linear layers on top of the hidden-states output to compute `),Xp=a(Ld,"CODE",{});var PF=s(Xp);H0=n(PF,"span start logits"),PF.forEach(t),K0=n(Ld," and "),Yp=a(Ld,"CODE",{});var FF=s(Yp);V0=n(FF,"span end logits"),FF.forEach(t),J0=n(Ld,")."),Ld.forEach(t),G0=m(Ct),sl=a(Ct,"P",{});var Wu=s(sl);X0=n(Wu,"This model inherits from "),ad=a(Wu,"A",{href:!0});var NF=s(ad);Y0=n(NF,"FlaxPreTrainedModel"),NF.forEach(t),Z0=n(Wu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Wu.forEach(t),e2=m(Ct),il=a(Ct,"P",{});var Uu=s(il);t2=n(Uu,"This model is also a Flax Linen "),ll=a(Uu,"A",{href:!0,rel:!0});var LF=s(ll);o2=n(LF,"flax.linen.Module"),LF.forEach(t),n2=n(Uu,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Uu.forEach(t),r2=m(Ct),Zp=a(Ct,"P",{});var xF=s(Zp);a2=n(xF,"Finally, this model supports inherent JAX features such as:"),xF.forEach(t),s2=m(Ct),mo=a(Ct,"UL",{});var ua=s(mo);em=a(ua,"LI",{});var MF=s(em);dl=a(MF,"A",{href:!0,rel:!0});var EF=s(dl);i2=n(EF,"Just-In-Time (JIT) compilation"),EF.forEach(t),MF.forEach(t),l2=m(ua),tm=a(ua,"LI",{});var RF=s(tm);cl=a(RF,"A",{href:!0,rel:!0});var zF=s(cl);d2=n(zF,"Automatic Differentiation"),zF.forEach(t),RF.forEach(t),c2=m(ua),om=a(ua,"LI",{});var CF=s(om);pl=a(CF,"A",{href:!0,rel:!0});var jF=s(pl);p2=n(jF,"Vectorization"),jF.forEach(t),CF.forEach(t),m2=m(ua),nm=a(ua,"LI",{});var qF=s(nm);ml=a(qF,"A",{href:!0,rel:!0});var AF=s(ml);h2=n(AF,"Parallelization"),AF.forEach(t),qF.forEach(t),ua.forEach(t),u2=m(Ct),Xt=a(Ct,"DIV",{class:!0});var fa=s(Xt);T(hl.$$.fragment,fa),f2=m(fa),vn=a(fa,"P",{});var xd=s(vn);g2=n(xd,"The "),rm=a(xd,"CODE",{});var OF=s(rm);_2=n(OF,"FlaxRobertaPreLayerNormPreTrainedModel"),OF.forEach(t),y2=n(xd," forward method, overrides the "),am=a(xd,"CODE",{});var IF=s(am);b2=n(IF,"__call__"),IF.forEach(t),v2=n(xd," special method."),xd.forEach(t),k2=m(fa),T(Qr.$$.fragment,fa),T2=m(fa),T(Hr.$$.fragment,fa),fa.forEach(t),Ct.forEach(t),this.h()},h(){f(d,"name","hf:doc:metadata"),f(d,"content",JSON.stringify(HN)),f(u,"id","robertaprelayernorm"),f(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(u,"href","#robertaprelayernorm"),f(h,"class","relative group"),f(ae,"id","overview"),f(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ae,"href","#overview"),f(D,"class","relative group"),f(se,"href","https://arxiv.org/abs/1904.01038"),f(se,"rel","nofollow"),f(ie,"href","https://fairseq.readthedocs.io/"),f(ie,"rel","nofollow"),f(de,"href","roberta"),f(v,"href","https://arxiv.org/abs/1706.03762"),f(v,"rel","nofollow"),f(De,"href","https://fairseq.readthedocs.io/"),f(De,"rel","nofollow"),f(Se,"href","https://huggingface.co/andreasmaden"),f(Se,"rel","nofollow"),f(We,"href","https://github.com/princeton-nlp/DinkyTrain"),f(We,"rel","nofollow"),f($n,"id","transformers.RobertaPreLayerNormConfig"),f($n,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f($n,"href","#transformers.RobertaPreLayerNormConfig"),f(je,"class","relative group"),f(Tl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormModel"),f(wl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormModel"),f(ya,"href","https://huggingface.co/andreasmadsen/efficient_mlm_m0.40"),f(ya,"rel","nofollow"),f($l,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),f(Pl,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),f(jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Fn,"id","transformers.RobertaPreLayerNormModel"),f(Fn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Fn,"href","#transformers.RobertaPreLayerNormModel"),f(Lo,"class","relative group"),f(Fl,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),f(wa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(wa,"rel","nofollow"),f(Pa,"href","https://arxiv.org/abs/1706.03762"),f(Pa,"rel","nofollow"),f(Nl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormModel"),f(qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Mn,"id","transformers.RobertaPreLayerNormForCausalLM"),f(Mn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Mn,"href","#transformers.RobertaPreLayerNormForCausalLM"),f(Mo,"class","relative group"),f(Ll,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),f(Ra,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(Ra,"rel","nofollow"),f(xl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormForCausalLM"),f(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(zn,"id","transformers.RobertaPreLayerNormForMaskedLM"),f(zn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(zn,"href","#transformers.RobertaPreLayerNormForMaskedLM"),f(Ro,"class","relative group"),f(Ml,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),f(Ia,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(Ia,"rel","nofollow"),f(El,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormForMaskedLM"),f(Ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(qn,"id","transformers.RobertaPreLayerNormForSequenceClassification"),f(qn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(qn,"href","#transformers.RobertaPreLayerNormForSequenceClassification"),f(Co,"class","relative group"),f(Rl,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),f(Qa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(Qa,"rel","nofollow"),f(zl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormForSequenceClassification"),f(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Dn,"id","transformers.RobertaPreLayerNormForMultipleChoice"),f(Dn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Dn,"href","#transformers.RobertaPreLayerNormForMultipleChoice"),f(qo,"class","relative group"),f(Cl,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),f(Xa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(Xa,"rel","nofollow"),f(jl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormForMultipleChoice"),f(It,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Un,"id","transformers.RobertaPreLayerNormForTokenClassification"),f(Un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Un,"href","#transformers.RobertaPreLayerNormForTokenClassification"),f(Oo,"class","relative group"),f(ql,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),f(ns,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(ns,"rel","nofollow"),f(Al,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormForTokenClassification"),f(Dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Hn,"id","transformers.RobertaPreLayerNormForQuestionAnswering"),f(Hn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Hn,"href","#transformers.RobertaPreLayerNormForQuestionAnswering"),f(Do,"class","relative group"),f(Ol,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),f(ds,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(ds,"rel","nofollow"),f(Il,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.RobertaPreLayerNormForQuestionAnswering"),f(St,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Jn,"id","transformers.TFRobertaPreLayerNormModel"),f(Jn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Jn,"href","#transformers.TFRobertaPreLayerNormModel"),f(Uo,"class","relative group"),f(Dl,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),f(fs,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),f(fs,"rel","nofollow"),f(Sl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormModel"),f(Wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Zn,"id","transformers.TFRobertaPreLayerNormForCausalLM"),f(Zn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Zn,"href","#transformers.TFRobertaPreLayerNormForCausalLM"),f(Qo,"class","relative group"),f(Wl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormForCausalLM"),f(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Ho,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(or,"id","transformers.TFRobertaPreLayerNormForMaskedLM"),f(or,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(or,"href","#transformers.TFRobertaPreLayerNormForMaskedLM"),f(Vo,"class","relative group"),f(Ul,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),f(Ps,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),f(Ps,"rel","nofollow"),f(Bl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormForMaskedLM"),f(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ir,"id","transformers.TFRobertaPreLayerNormForSequenceClassification"),f(ir,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ir,"href","#transformers.TFRobertaPreLayerNormForSequenceClassification"),f(Go,"class","relative group"),f(Ql,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),f(Es,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),f(Es,"rel","nofollow"),f(Hl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormForSequenceClassification"),f($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(mr,"id","transformers.TFRobertaPreLayerNormForMultipleChoice"),f(mr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(mr,"href","#transformers.TFRobertaPreLayerNormForMultipleChoice"),f(Yo,"class","relative group"),f(Kl,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),f(As,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),f(As,"rel","nofollow"),f(Vl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormForMultipleChoice"),f(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(gr,"id","transformers.TFRobertaPreLayerNormForTokenClassification"),f(gr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(gr,"href","#transformers.TFRobertaPreLayerNormForTokenClassification"),f(en,"class","relative group"),f(Jl,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),f(Us,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),f(Us,"rel","nofollow"),f(Gl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormForTokenClassification"),f(Pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(kr,"id","transformers.TFRobertaPreLayerNormForQuestionAnswering"),f(kr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(kr,"href","#transformers.TFRobertaPreLayerNormForQuestionAnswering"),f(on,"class","relative group"),f(Xl,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),f(Js,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),f(Js,"rel","nofollow"),f(Yl,"href","/docs/transformers/v4.26.0/en/model_doc/roberta-prelayernorm#transformers.TFRobertaPreLayerNormForQuestionAnswering"),f(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Fr,"id","transformers.FlaxRobertaPreLayerNormModel"),f(Fr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Fr,"href","#transformers.FlaxRobertaPreLayerNormModel"),f(an,"class","relative group"),f(Zl,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),f(ti,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),f(ti,"rel","nofollow"),f(oi,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),f(oi,"rel","nofollow"),f(ni,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),f(ni,"rel","nofollow"),f(ri,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),f(ri,"rel","nofollow"),f(ai,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),f(ai,"rel","nofollow"),f(Qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(xr,"id","transformers.FlaxRobertaPreLayerNormForCausalLM"),f(xr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(xr,"href","#transformers.FlaxRobertaPreLayerNormForCausalLM"),f(ln,"class","relative group"),f(ed,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),f(pi,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),f(pi,"rel","nofollow"),f(mi,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),f(mi,"rel","nofollow"),f(hi,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),f(hi,"rel","nofollow"),f(ui,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),f(ui,"rel","nofollow"),f(fi,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),f(fi,"rel","nofollow"),f(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Rr,"id","transformers.FlaxRobertaPreLayerNormForMaskedLM"),f(Rr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Rr,"href","#transformers.FlaxRobertaPreLayerNormForMaskedLM"),f(cn,"class","relative group"),f(td,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),f(Ti,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),f(Ti,"rel","nofollow"),f(wi,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),f(wi,"rel","nofollow"),f($i,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),f($i,"rel","nofollow"),f(Pi,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),f(Pi,"rel","nofollow"),f(Fi,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),f(Fi,"rel","nofollow"),f(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(jr,"id","transformers.FlaxRobertaPreLayerNormForSequenceClassification"),f(jr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(jr,"href","#transformers.FlaxRobertaPreLayerNormForSequenceClassification"),f(mn,"class","relative group"),f(od,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),f(Ri,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),f(Ri,"rel","nofollow"),f(zi,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),f(zi,"rel","nofollow"),f(Ci,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),f(Ci,"rel","nofollow"),f(ji,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),f(ji,"rel","nofollow"),f(qi,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),f(qi,"rel","nofollow"),f(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Or,"id","transformers.FlaxRobertaPreLayerNormForMultipleChoice"),f(Or,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Or,"href","#transformers.FlaxRobertaPreLayerNormForMultipleChoice"),f(un,"class","relative group"),f(nd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),f(Wi,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),f(Wi,"rel","nofollow"),f(Ui,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),f(Ui,"rel","nofollow"),f(Bi,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),f(Bi,"rel","nofollow"),f(Qi,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),f(Qi,"rel","nofollow"),f(Hi,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),f(Hi,"rel","nofollow"),f(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Sr,"id","transformers.FlaxRobertaPreLayerNormForTokenClassification"),f(Sr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Sr,"href","#transformers.FlaxRobertaPreLayerNormForTokenClassification"),f(gn,"class","relative group"),f(rd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),f(Yi,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),f(Yi,"rel","nofollow"),f(Zi,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),f(Zi,"rel","nofollow"),f(el,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),f(el,"rel","nofollow"),f(tl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),f(tl,"rel","nofollow"),f(ol,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),f(ol,"rel","nofollow"),f(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Br,"id","transformers.FlaxRobertaPreLayerNormForQuestionAnswering"),f(Br,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Br,"href","#transformers.FlaxRobertaPreLayerNormForQuestionAnswering"),f(yn,"class","relative group"),f(ad,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),f(ll,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),f(ll,"rel","nofollow"),f(dl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),f(dl,"rel","nofollow"),f(cl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),f(cl,"rel","nofollow"),f(pl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),f(pl,"rel","nofollow"),f(ml,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),f(ml,"rel","nofollow"),f(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(i,b){e(document.head,d),_(i,y,b),_(i,h,b),e(h,u),e(u,g),w(l,g,null),e(h,c),e(h,x),e(x,ye),_(i,he,b),_(i,D,b),e(D,ae),e(ae,te),w(L,te,null),e(D,be),e(D,B),e(B,ve),_(i,ue,b),_(i,A,b),e(A,ke),e(A,se),e(se,K),e(A,Te),e(A,ce),e(ce,V),e(A,we),e(A,ie),e(ie,J),e(A,$e),_(i,fe,b),_(i,ee,b),e(ee,R),_(i,C,b),_(i,le,b),e(le,Q),e(Q,Pe),_(i,ge,b),_(i,U,b),e(U,Fe),_(i,_e,b),_(i,z,b),e(z,H),e(H,G),e(H,de),e(de,Ne),e(H,X),e(H,pe),e(pe,Le),e(H,S),e(H,me),e(me,Y),e(H,xe),e(H,oe),e(oe,j),e(H,Me),e(H,q),e(q,Ee),e(H,Re),e(H,v),e(v,M),e(H,Be),e(z,re),e(z,ze),e(ze,Qe),e(ze,E),e(E,He),e(ze,Ke),e(ze,De),e(De,Ve),e(ze,Je),_(i,O,b),_(i,I,b),e(I,Ge),e(I,Se),e(Se,Z),e(I,Xe),e(I,We),e(We,Ce),e(I,Ye),_(i,ne,b),_(i,je,b),e(je,$n),e($n,Md),w(ga,Md,null),e(je,Bu),e(je,Ed),e(Ed,Qu),_(i,Qm,b),_(i,jt,b),w(_a,jt,null),e(jt,Hu),e(jt,ro),e(ro,Ku),e(ro,Tl),e(Tl,Vu),e(ro,Ju),e(ro,wl),e(wl,Gu),e(ro,Xu),e(ro,ya),e(ya,Yu),e(ro,Zu),e(jt,ef),e(jt,No),e(No,tf),e(No,$l),e($l,of),e(No,nf),e(No,Pl),e(Pl,rf),e(No,af),e(jt,sf),w(Pn,jt,null),_(i,Hm,b),_(i,Lo,b),e(Lo,Fn),e(Fn,Rd),w(ba,Rd,null),e(Lo,lf),e(Lo,zd),e(zd,df),_(i,Km,b),_(i,Ze,b),w(va,Ze,null),e(Ze,cf),e(Ze,Cd),e(Cd,pf),e(Ze,mf),e(Ze,ka),e(ka,hf),e(ka,Fl),e(Fl,uf),e(ka,ff),e(Ze,gf),e(Ze,Ta),e(Ta,_f),e(Ta,wa),e(wa,yf),e(Ta,bf),e(Ze,vf),e(Ze,$a),e($a,kf),e($a,jd),e(jd,Tf),e($a,wf),e(Ze,$f),e(Ze,lt),e(lt,Pf),e(lt,qd),e(qd,Ff),e(lt,Nf),e(lt,Ad),e(Ad,Lf),e(lt,xf),e(lt,Od),e(Od,Mf),e(lt,Ef),e(lt,Id),e(Id,Rf),e(lt,zf),e(lt,Dd),e(Dd,Cf),e(lt,jf),e(lt,Sd),e(Sd,qf),e(lt,Af),e(Ze,Of),e(Ze,Nn),e(Nn,If),e(Nn,Wd),e(Wd,Df),e(Nn,Sf),e(Nn,Pa),e(Pa,Wf),e(Ze,Uf),e(Ze,qt),w(Fa,qt,null),e(qt,Bf),e(qt,xo),e(xo,Qf),e(xo,Nl),e(Nl,Hf),e(xo,Kf),e(xo,Ud),e(Ud,Vf),e(xo,Jf),e(qt,Gf),w(Ln,qt,null),e(qt,Xf),w(xn,qt,null),_(i,Vm,b),_(i,Mo,b),e(Mo,Mn),e(Mn,Bd),w(Na,Bd,null),e(Mo,Yf),e(Mo,Qd),e(Qd,Zf),_(i,Jm,b),_(i,gt,b),w(La,gt,null),e(gt,eg),e(gt,xa),e(xa,tg),e(xa,Hd),e(Hd,og),e(xa,ng),e(gt,rg),e(gt,Ma),e(Ma,ag),e(Ma,Ll),e(Ll,sg),e(Ma,ig),e(gt,lg),e(gt,Ea),e(Ea,dg),e(Ea,Ra),e(Ra,cg),e(Ea,pg),e(gt,mg),e(gt,At),w(za,At,null),e(At,hg),e(At,Eo),e(Eo,ug),e(Eo,xl),e(xl,fg),e(Eo,gg),e(Eo,Kd),e(Kd,_g),e(Eo,yg),e(At,bg),w(En,At,null),e(At,vg),w(Rn,At,null),_(i,Gm,b),_(i,Ro,b),e(Ro,zn),e(zn,Vd),w(Ca,Vd,null),e(Ro,kg),e(Ro,Jd),e(Jd,Tg),_(i,Xm,b),_(i,_t,b),w(ja,_t,null),e(_t,wg),e(_t,qa),e(qa,$g),e(qa,Gd),e(Gd,Pg),e(qa,Fg),e(_t,Ng),e(_t,Aa),e(Aa,Lg),e(Aa,Ml),e(Ml,xg),e(Aa,Mg),e(_t,Eg),e(_t,Oa),e(Oa,Rg),e(Oa,Ia),e(Ia,zg),e(Oa,Cg),e(_t,jg),e(_t,Ot),w(Da,Ot,null),e(Ot,qg),e(Ot,zo),e(zo,Ag),e(zo,El),e(El,Og),e(zo,Ig),e(zo,Xd),e(Xd,Dg),e(zo,Sg),e(Ot,Wg),w(Cn,Ot,null),e(Ot,Ug),w(jn,Ot,null),_(i,Ym,b),_(i,Co,b),e(Co,qn),e(qn,Yd),w(Sa,Yd,null),e(Co,Bg),e(Co,Zd),e(Zd,Qg),_(i,Zm,b),_(i,yt,b),w(Wa,yt,null),e(yt,Hg),e(yt,ec),e(ec,Kg),e(yt,Vg),e(yt,Ua),e(Ua,Jg),e(Ua,Rl),e(Rl,Gg),e(Ua,Xg),e(yt,Yg),e(yt,Ba),e(Ba,Zg),e(Ba,Qa),e(Qa,e_),e(Ba,t_),e(yt,o_),e(yt,Tt),w(Ha,Tt,null),e(Tt,n_),e(Tt,jo),e(jo,r_),e(jo,zl),e(zl,a_),e(jo,s_),e(jo,tc),e(tc,i_),e(jo,l_),e(Tt,d_),w(An,Tt,null),e(Tt,c_),w(On,Tt,null),e(Tt,p_),w(In,Tt,null),_(i,eh,b),_(i,qo,b),e(qo,Dn),e(Dn,oc),w(Ka,oc,null),e(qo,m_),e(qo,nc),e(nc,h_),_(i,th,b),_(i,bt,b),w(Va,bt,null),e(bt,u_),e(bt,rc),e(rc,f_),e(bt,g_),e(bt,Ja),e(Ja,__),e(Ja,Cl),e(Cl,y_),e(Ja,b_),e(bt,v_),e(bt,Ga),e(Ga,k_),e(Ga,Xa),e(Xa,T_),e(Ga,w_),e(bt,$_),e(bt,It),w(Ya,It,null),e(It,P_),e(It,Ao),e(Ao,F_),e(Ao,jl),e(jl,N_),e(Ao,L_),e(Ao,ac),e(ac,x_),e(Ao,M_),e(It,E_),w(Sn,It,null),e(It,R_),w(Wn,It,null),_(i,oh,b),_(i,Oo,b),e(Oo,Un),e(Un,sc),w(Za,sc,null),e(Oo,z_),e(Oo,ic),e(ic,C_),_(i,nh,b),_(i,vt,b),w(es,vt,null),e(vt,j_),e(vt,lc),e(lc,q_),e(vt,A_),e(vt,ts),e(ts,O_),e(ts,ql),e(ql,I_),e(ts,D_),e(vt,S_),e(vt,os),e(os,W_),e(os,ns),e(ns,U_),e(os,B_),e(vt,Q_),e(vt,Dt),w(rs,Dt,null),e(Dt,H_),e(Dt,Io),e(Io,K_),e(Io,Al),e(Al,V_),e(Io,J_),e(Io,dc),e(dc,G_),e(Io,X_),e(Dt,Y_),w(Bn,Dt,null),e(Dt,Z_),w(Qn,Dt,null),_(i,rh,b),_(i,Do,b),e(Do,Hn),e(Hn,cc),w(as,cc,null),e(Do,ey),e(Do,pc),e(pc,ty),_(i,ah,b),_(i,kt,b),w(ss,kt,null),e(kt,oy),e(kt,So),e(So,ny),e(So,mc),e(mc,ry),e(So,ay),e(So,hc),e(hc,sy),e(So,iy),e(kt,ly),e(kt,is),e(is,dy),e(is,Ol),e(Ol,cy),e(is,py),e(kt,my),e(kt,ls),e(ls,hy),e(ls,ds),e(ds,uy),e(ls,fy),e(kt,gy),e(kt,St),w(cs,St,null),e(St,_y),e(St,Wo),e(Wo,yy),e(Wo,Il),e(Il,by),e(Wo,vy),e(Wo,uc),e(uc,ky),e(Wo,Ty),e(St,wy),w(Kn,St,null),e(St,$y),w(Vn,St,null),_(i,sh,b),_(i,Uo,b),e(Uo,Jn),e(Jn,fc),w(ps,fc,null),e(Uo,Py),e(Uo,gc),e(gc,Fy),_(i,ih,b),_(i,dt,b),w(ms,dt,null),e(dt,Ny),e(dt,_c),e(_c,Ly),e(dt,xy),e(dt,hs),e(hs,My),e(hs,Dl),e(Dl,Ey),e(hs,Ry),e(dt,zy),e(dt,us),e(us,Cy),e(us,fs),e(fs,jy),e(us,qy),e(dt,Ay),w(Gn,dt,null),e(dt,Oy),e(dt,Wt),w(gs,Wt,null),e(Wt,Iy),e(Wt,Bo),e(Bo,Dy),e(Bo,Sl),e(Sl,Sy),e(Bo,Wy),e(Bo,yc),e(yc,Uy),e(Bo,By),e(Wt,Qy),w(Xn,Wt,null),e(Wt,Hy),w(Yn,Wt,null),_(i,lh,b),_(i,Qo,b),e(Qo,Zn),e(Zn,bc),w(_s,bc,null),e(Qo,Ky),e(Qo,vc),e(vc,Vy),_(i,dh,b),_(i,Ho,b),w(ys,Ho,null),e(Ho,Jy),e(Ho,Ut),w(bs,Ut,null),e(Ut,Gy),e(Ut,Ko),e(Ko,Xy),e(Ko,Wl),e(Wl,Yy),e(Ko,Zy),e(Ko,kc),e(kc,eb),e(Ko,tb),e(Ut,ob),w(er,Ut,null),e(Ut,nb),w(tr,Ut,null),_(i,ch,b),_(i,Vo,b),e(Vo,or),e(or,Tc),w(vs,Tc,null),e(Vo,rb),e(Vo,wc),e(wc,ab),_(i,ph,b),_(i,ct,b),w(ks,ct,null),e(ct,sb),e(ct,Ts),e(Ts,ib),e(Ts,$c),e($c,lb),e(Ts,db),e(ct,cb),e(ct,ws),e(ws,pb),e(ws,Ul),e(Ul,mb),e(ws,hb),e(ct,ub),e(ct,$s),e($s,fb),e($s,Ps),e(Ps,gb),e($s,_b),e(ct,yb),w(nr,ct,null),e(ct,bb),e(ct,wt),w(Fs,wt,null),e(wt,vb),e(wt,Jo),e(Jo,kb),e(Jo,Bl),e(Bl,Tb),e(Jo,wb),e(Jo,Pc),e(Pc,$b),e(Jo,Pb),e(wt,Fb),w(rr,wt,null),e(wt,Nb),w(ar,wt,null),e(wt,Lb),w(sr,wt,null),_(i,mh,b),_(i,Go,b),e(Go,ir),e(ir,Fc),w(Ns,Fc,null),e(Go,xb),e(Go,Nc),e(Nc,Mb),_(i,hh,b),_(i,pt,b),w(Ls,pt,null),e(pt,Eb),e(pt,Lc),e(Lc,Rb),e(pt,zb),e(pt,xs),e(xs,Cb),e(xs,Ql),e(Ql,jb),e(xs,qb),e(pt,Ab),e(pt,Ms),e(Ms,Ob),e(Ms,Es),e(Es,Ib),e(Ms,Db),e(pt,Sb),w(lr,pt,null),e(pt,Wb),e(pt,$t),w(Rs,$t,null),e($t,Ub),e($t,Xo),e(Xo,Bb),e(Xo,Hl),e(Hl,Qb),e(Xo,Hb),e(Xo,xc),e(xc,Kb),e(Xo,Vb),e($t,Jb),w(dr,$t,null),e($t,Gb),w(cr,$t,null),e($t,Xb),w(pr,$t,null),_(i,uh,b),_(i,Yo,b),e(Yo,mr),e(mr,Mc),w(zs,Mc,null),e(Yo,Yb),e(Yo,Ec),e(Ec,Zb),_(i,fh,b),_(i,mt,b),w(Cs,mt,null),e(mt,ev),e(mt,Rc),e(Rc,tv),e(mt,ov),e(mt,js),e(js,nv),e(js,Kl),e(Kl,rv),e(js,av),e(mt,sv),e(mt,qs),e(qs,iv),e(qs,As),e(As,lv),e(qs,dv),e(mt,cv),w(hr,mt,null),e(mt,pv),e(mt,Bt),w(Os,Bt,null),e(Bt,mv),e(Bt,Zo),e(Zo,hv),e(Zo,Vl),e(Vl,uv),e(Zo,fv),e(Zo,zc),e(zc,gv),e(Zo,_v),e(Bt,yv),w(ur,Bt,null),e(Bt,bv),w(fr,Bt,null),_(i,gh,b),_(i,en,b),e(en,gr),e(gr,Cc),w(Is,Cc,null),e(en,vv),e(en,jc),e(jc,kv),_(i,_h,b),_(i,ht,b),w(Ds,ht,null),e(ht,Tv),e(ht,qc),e(qc,wv),e(ht,$v),e(ht,Ss),e(Ss,Pv),e(Ss,Jl),e(Jl,Fv),e(Ss,Nv),e(ht,Lv),e(ht,Ws),e(Ws,xv),e(Ws,Us),e(Us,Mv),e(Ws,Ev),e(ht,Rv),w(_r,ht,null),e(ht,zv),e(ht,Pt),w(Bs,Pt,null),e(Pt,Cv),e(Pt,tn),e(tn,jv),e(tn,Gl),e(Gl,qv),e(tn,Av),e(tn,Ac),e(Ac,Ov),e(tn,Iv),e(Pt,Dv),w(yr,Pt,null),e(Pt,Sv),w(br,Pt,null),e(Pt,Wv),w(vr,Pt,null),_(i,yh,b),_(i,on,b),e(on,kr),e(kr,Oc),w(Qs,Oc,null),e(on,Uv),e(on,Ic),e(Ic,Bv),_(i,bh,b),_(i,ut,b),w(Hs,ut,null),e(ut,Qv),e(ut,nn),e(nn,Hv),e(nn,Dc),e(Dc,Kv),e(nn,Vv),e(nn,Sc),e(Sc,Jv),e(nn,Gv),e(ut,Xv),e(ut,Ks),e(Ks,Yv),e(Ks,Xl),e(Xl,Zv),e(Ks,ek),e(ut,tk),e(ut,Vs),e(Vs,ok),e(Vs,Js),e(Js,nk),e(Vs,rk),e(ut,ak),w(Tr,ut,null),e(ut,sk),e(ut,Ft),w(Gs,Ft,null),e(Ft,ik),e(Ft,rn),e(rn,lk),e(rn,Yl),e(Yl,dk),e(rn,ck),e(rn,Wc),e(Wc,pk),e(rn,mk),e(Ft,hk),w(wr,Ft,null),e(Ft,uk),w($r,Ft,null),e(Ft,fk),w(Pr,Ft,null),_(i,vh,b),_(i,an,b),e(an,Fr),e(Fr,Uc),w(Xs,Uc,null),e(an,gk),e(an,Bc),e(Bc,_k),_(i,kh,b),_(i,et,b),w(Ys,et,null),e(et,yk),e(et,Qc),e(Qc,bk),e(et,vk),e(et,Zs),e(Zs,kk),e(Zs,Zl),e(Zl,Tk),e(Zs,wk),e(et,$k),e(et,ei),e(ei,Pk),e(ei,ti),e(ti,Fk),e(ei,Nk),e(et,Lk),e(et,Hc),e(Hc,xk),e(et,Mk),e(et,ao),e(ao,Kc),e(Kc,oi),e(oi,Ek),e(ao,Rk),e(ao,Vc),e(Vc,ni),e(ni,zk),e(ao,Ck),e(ao,Jc),e(Jc,ri),e(ri,jk),e(ao,qk),e(ao,Gc),e(Gc,ai),e(ai,Ak),e(et,Ok),e(et,Qt),w(si,Qt,null),e(Qt,Ik),e(Qt,sn),e(sn,Dk),e(sn,Xc),e(Xc,Sk),e(sn,Wk),e(sn,Yc),e(Yc,Uk),e(sn,Bk),e(Qt,Qk),w(Nr,Qt,null),e(Qt,Hk),w(Lr,Qt,null),_(i,Th,b),_(i,ln,b),e(ln,xr),e(xr,Zc),w(ii,Zc,null),e(ln,Kk),e(ln,ep),e(ep,Vk),_(i,wh,b),_(i,tt,b),w(li,tt,null),e(tt,Jk),e(tt,tp),e(tp,Gk),e(tt,Xk),e(tt,di),e(di,Yk),e(di,ed),e(ed,Zk),e(di,eT),e(tt,tT),e(tt,ci),e(ci,oT),e(ci,pi),e(pi,nT),e(ci,rT),e(tt,aT),e(tt,op),e(op,sT),e(tt,iT),e(tt,so),e(so,np),e(np,mi),e(mi,lT),e(so,dT),e(so,rp),e(rp,hi),e(hi,cT),e(so,pT),e(so,ap),e(ap,ui),e(ui,mT),e(so,hT),e(so,sp),e(sp,fi),e(fi,uT),e(tt,fT),e(tt,Ht),w(gi,Ht,null),e(Ht,gT),e(Ht,dn),e(dn,_T),e(dn,ip),e(ip,yT),e(dn,bT),e(dn,lp),e(lp,vT),e(dn,kT),e(Ht,TT),w(Mr,Ht,null),e(Ht,wT),w(Er,Ht,null),_(i,$h,b),_(i,cn,b),e(cn,Rr),e(Rr,dp),w(_i,dp,null),e(cn,$T),e(cn,cp),e(cp,PT),_(i,Ph,b),_(i,ot,b),w(yi,ot,null),e(ot,FT),e(ot,bi),e(bi,NT),e(bi,pp),e(pp,LT),e(bi,xT),e(ot,MT),e(ot,vi),e(vi,ET),e(vi,td),e(td,RT),e(vi,zT),e(ot,CT),e(ot,ki),e(ki,jT),e(ki,Ti),e(Ti,qT),e(ki,AT),e(ot,OT),e(ot,mp),e(mp,IT),e(ot,DT),e(ot,io),e(io,hp),e(hp,wi),e(wi,ST),e(io,WT),e(io,up),e(up,$i),e($i,UT),e(io,BT),e(io,fp),e(fp,Pi),e(Pi,QT),e(io,HT),e(io,gp),e(gp,Fi),e(Fi,KT),e(ot,VT),e(ot,Kt),w(Ni,Kt,null),e(Kt,JT),e(Kt,pn),e(pn,GT),e(pn,_p),e(_p,XT),e(pn,YT),e(pn,yp),e(yp,ZT),e(pn,ew),e(Kt,tw),w(zr,Kt,null),e(Kt,ow),w(Cr,Kt,null),_(i,Fh,b),_(i,mn,b),e(mn,jr),e(jr,bp),w(Li,bp,null),e(mn,nw),e(mn,vp),e(vp,rw),_(i,Nh,b),_(i,nt,b),w(xi,nt,null),e(nt,aw),e(nt,kp),e(kp,sw),e(nt,iw),e(nt,Mi),e(Mi,lw),e(Mi,od),e(od,dw),e(Mi,cw),e(nt,pw),e(nt,Ei),e(Ei,mw),e(Ei,Ri),e(Ri,hw),e(Ei,uw),e(nt,fw),e(nt,Tp),e(Tp,gw),e(nt,_w),e(nt,lo),e(lo,wp),e(wp,zi),e(zi,yw),e(lo,bw),e(lo,$p),e($p,Ci),e(Ci,vw),e(lo,kw),e(lo,Pp),e(Pp,ji),e(ji,Tw),e(lo,ww),e(lo,Fp),e(Fp,qi),e(qi,$w),e(nt,Pw),e(nt,Vt),w(Ai,Vt,null),e(Vt,Fw),e(Vt,hn),e(hn,Nw),e(hn,Np),e(Np,Lw),e(hn,xw),e(hn,Lp),e(Lp,Mw),e(hn,Ew),e(Vt,Rw),w(qr,Vt,null),e(Vt,zw),w(Ar,Vt,null),_(i,Lh,b),_(i,un,b),e(un,Or),e(Or,xp),w(Oi,xp,null),e(un,Cw),e(un,Mp),e(Mp,jw),_(i,xh,b),_(i,rt,b),w(Ii,rt,null),e(rt,qw),e(rt,Ep),e(Ep,Aw),e(rt,Ow),e(rt,Di),e(Di,Iw),e(Di,nd),e(nd,Dw),e(Di,Sw),e(rt,Ww),e(rt,Si),e(Si,Uw),e(Si,Wi),e(Wi,Bw),e(Si,Qw),e(rt,Hw),e(rt,Rp),e(Rp,Kw),e(rt,Vw),e(rt,co),e(co,zp),e(zp,Ui),e(Ui,Jw),e(co,Gw),e(co,Cp),e(Cp,Bi),e(Bi,Xw),e(co,Yw),e(co,jp),e(jp,Qi),e(Qi,Zw),e(co,e0),e(co,qp),e(qp,Hi),e(Hi,t0),e(rt,o0),e(rt,Jt),w(Ki,Jt,null),e(Jt,n0),e(Jt,fn),e(fn,r0),e(fn,Ap),e(Ap,a0),e(fn,s0),e(fn,Op),e(Op,i0),e(fn,l0),e(Jt,d0),w(Ir,Jt,null),e(Jt,c0),w(Dr,Jt,null),_(i,Mh,b),_(i,gn,b),e(gn,Sr),e(Sr,Ip),w(Vi,Ip,null),e(gn,p0),e(gn,Dp),e(Dp,m0),_(i,Eh,b),_(i,at,b),w(Ji,at,null),e(at,h0),e(at,Sp),e(Sp,u0),e(at,f0),e(at,Gi),e(Gi,g0),e(Gi,rd),e(rd,_0),e(Gi,y0),e(at,b0),e(at,Xi),e(Xi,v0),e(Xi,Yi),e(Yi,k0),e(Xi,T0),e(at,w0),e(at,Wp),e(Wp,$0),e(at,P0),e(at,po),e(po,Up),e(Up,Zi),e(Zi,F0),e(po,N0),e(po,Bp),e(Bp,el),e(el,L0),e(po,x0),e(po,Qp),e(Qp,tl),e(tl,M0),e(po,E0),e(po,Hp),e(Hp,ol),e(ol,R0),e(at,z0),e(at,Gt),w(nl,Gt,null),e(Gt,C0),e(Gt,_n),e(_n,j0),e(_n,Kp),e(Kp,q0),e(_n,A0),e(_n,Vp),e(Vp,O0),e(_n,I0),e(Gt,D0),w(Wr,Gt,null),e(Gt,S0),w(Ur,Gt,null),_(i,Rh,b),_(i,yn,b),e(yn,Br),e(Br,Jp),w(rl,Jp,null),e(yn,W0),e(yn,Gp),e(Gp,U0),_(i,zh,b),_(i,st,b),w(al,st,null),e(st,B0),e(st,bn),e(bn,Q0),e(bn,Xp),e(Xp,H0),e(bn,K0),e(bn,Yp),e(Yp,V0),e(bn,J0),e(st,G0),e(st,sl),e(sl,X0),e(sl,ad),e(ad,Y0),e(sl,Z0),e(st,e2),e(st,il),e(il,t2),e(il,ll),e(ll,o2),e(il,n2),e(st,r2),e(st,Zp),e(Zp,a2),e(st,s2),e(st,mo),e(mo,em),e(em,dl),e(dl,i2),e(mo,l2),e(mo,tm),e(tm,cl),e(cl,d2),e(mo,c2),e(mo,om),e(om,pl),e(pl,p2),e(mo,m2),e(mo,nm),e(nm,ml),e(ml,h2),e(st,u2),e(st,Xt),w(hl,Xt,null),e(Xt,f2),e(Xt,vn),e(vn,g2),e(vn,rm),e(rm,_2),e(vn,y2),e(vn,am),e(am,b2),e(vn,v2),e(Xt,k2),w(Qr,Xt,null),e(Xt,T2),w(Hr,Xt,null),Ch=!0},p(i,[b]){const ul={};b&2&&(ul.$$scope={dirty:b,ctx:i}),Pn.$set(ul);const sm={};b&2&&(sm.$$scope={dirty:b,ctx:i}),Ln.$set(sm);const im={};b&2&&(im.$$scope={dirty:b,ctx:i}),xn.$set(im);const lm={};b&2&&(lm.$$scope={dirty:b,ctx:i}),En.$set(lm);const fl={};b&2&&(fl.$$scope={dirty:b,ctx:i}),Rn.$set(fl);const dm={};b&2&&(dm.$$scope={dirty:b,ctx:i}),Cn.$set(dm);const cm={};b&2&&(cm.$$scope={dirty:b,ctx:i}),jn.$set(cm);const pm={};b&2&&(pm.$$scope={dirty:b,ctx:i}),An.$set(pm);const ho={};b&2&&(ho.$$scope={dirty:b,ctx:i}),On.$set(ho);const mm={};b&2&&(mm.$$scope={dirty:b,ctx:i}),In.$set(mm);const hm={};b&2&&(hm.$$scope={dirty:b,ctx:i}),Sn.$set(hm);const um={};b&2&&(um.$$scope={dirty:b,ctx:i}),Wn.$set(um);const fm={};b&2&&(fm.$$scope={dirty:b,ctx:i}),Bn.$set(fm);const gm={};b&2&&(gm.$$scope={dirty:b,ctx:i}),Qn.$set(gm);const _m={};b&2&&(_m.$$scope={dirty:b,ctx:i}),Kn.$set(_m);const ym={};b&2&&(ym.$$scope={dirty:b,ctx:i}),Vn.$set(ym);const gl={};b&2&&(gl.$$scope={dirty:b,ctx:i}),Gn.$set(gl);const ft={};b&2&&(ft.$$scope={dirty:b,ctx:i}),Xn.$set(ft);const bm={};b&2&&(bm.$$scope={dirty:b,ctx:i}),Yn.$set(bm);const vm={};b&2&&(vm.$$scope={dirty:b,ctx:i}),er.$set(vm);const km={};b&2&&(km.$$scope={dirty:b,ctx:i}),tr.$set(km);const Tm={};b&2&&(Tm.$$scope={dirty:b,ctx:i}),nr.$set(Tm);const wm={};b&2&&(wm.$$scope={dirty:b,ctx:i}),rr.$set(wm);const $m={};b&2&&($m.$$scope={dirty:b,ctx:i}),ar.$set($m);const kn={};b&2&&(kn.$$scope={dirty:b,ctx:i}),sr.$set(kn);const Pm={};b&2&&(Pm.$$scope={dirty:b,ctx:i}),lr.$set(Pm);const Fm={};b&2&&(Fm.$$scope={dirty:b,ctx:i}),dr.$set(Fm);const Tn={};b&2&&(Tn.$$scope={dirty:b,ctx:i}),cr.$set(Tn);const Nm={};b&2&&(Nm.$$scope={dirty:b,ctx:i}),pr.$set(Nm);const Lm={};b&2&&(Lm.$$scope={dirty:b,ctx:i}),hr.$set(Lm);const _l={};b&2&&(_l.$$scope={dirty:b,ctx:i}),ur.$set(_l);const xm={};b&2&&(xm.$$scope={dirty:b,ctx:i}),fr.$set(xm);const Mm={};b&2&&(Mm.$$scope={dirty:b,ctx:i}),_r.$set(Mm);const Em={};b&2&&(Em.$$scope={dirty:b,ctx:i}),yr.$set(Em);const uo={};b&2&&(uo.$$scope={dirty:b,ctx:i}),br.$set(uo);const fo={};b&2&&(fo.$$scope={dirty:b,ctx:i}),vr.$set(fo);const Rm={};b&2&&(Rm.$$scope={dirty:b,ctx:i}),Tr.$set(Rm);const zm={};b&2&&(zm.$$scope={dirty:b,ctx:i}),wr.$set(zm);const Cm={};b&2&&(Cm.$$scope={dirty:b,ctx:i}),$r.$set(Cm);const wn={};b&2&&(wn.$$scope={dirty:b,ctx:i}),Pr.$set(wn);const jm={};b&2&&(jm.$$scope={dirty:b,ctx:i}),Nr.$set(jm);const qm={};b&2&&(qm.$$scope={dirty:b,ctx:i}),Lr.$set(qm);const yl={};b&2&&(yl.$$scope={dirty:b,ctx:i}),Mr.$set(yl);const Am={};b&2&&(Am.$$scope={dirty:b,ctx:i}),Er.$set(Am);const Om={};b&2&&(Om.$$scope={dirty:b,ctx:i}),zr.$set(Om);const Im={};b&2&&(Im.$$scope={dirty:b,ctx:i}),Cr.$set(Im);const it={};b&2&&(it.$$scope={dirty:b,ctx:i}),qr.$set(it);const Dm={};b&2&&(Dm.$$scope={dirty:b,ctx:i}),Ar.$set(Dm);const bl={};b&2&&(bl.$$scope={dirty:b,ctx:i}),Ir.$set(bl);const Sm={};b&2&&(Sm.$$scope={dirty:b,ctx:i}),Dr.$set(Sm);const vl={};b&2&&(vl.$$scope={dirty:b,ctx:i}),Wr.$set(vl);const Wm={};b&2&&(Wm.$$scope={dirty:b,ctx:i}),Ur.$set(Wm);const kl={};b&2&&(kl.$$scope={dirty:b,ctx:i}),Qr.$set(kl);const Um={};b&2&&(Um.$$scope={dirty:b,ctx:i}),Hr.$set(Um)},i(i){Ch||($(l.$$.fragment,i),$(L.$$.fragment,i),$(ga.$$.fragment,i),$(_a.$$.fragment,i),$(Pn.$$.fragment,i),$(ba.$$.fragment,i),$(va.$$.fragment,i),$(Fa.$$.fragment,i),$(Ln.$$.fragment,i),$(xn.$$.fragment,i),$(Na.$$.fragment,i),$(La.$$.fragment,i),$(za.$$.fragment,i),$(En.$$.fragment,i),$(Rn.$$.fragment,i),$(Ca.$$.fragment,i),$(ja.$$.fragment,i),$(Da.$$.fragment,i),$(Cn.$$.fragment,i),$(jn.$$.fragment,i),$(Sa.$$.fragment,i),$(Wa.$$.fragment,i),$(Ha.$$.fragment,i),$(An.$$.fragment,i),$(On.$$.fragment,i),$(In.$$.fragment,i),$(Ka.$$.fragment,i),$(Va.$$.fragment,i),$(Ya.$$.fragment,i),$(Sn.$$.fragment,i),$(Wn.$$.fragment,i),$(Za.$$.fragment,i),$(es.$$.fragment,i),$(rs.$$.fragment,i),$(Bn.$$.fragment,i),$(Qn.$$.fragment,i),$(as.$$.fragment,i),$(ss.$$.fragment,i),$(cs.$$.fragment,i),$(Kn.$$.fragment,i),$(Vn.$$.fragment,i),$(ps.$$.fragment,i),$(ms.$$.fragment,i),$(Gn.$$.fragment,i),$(gs.$$.fragment,i),$(Xn.$$.fragment,i),$(Yn.$$.fragment,i),$(_s.$$.fragment,i),$(ys.$$.fragment,i),$(bs.$$.fragment,i),$(er.$$.fragment,i),$(tr.$$.fragment,i),$(vs.$$.fragment,i),$(ks.$$.fragment,i),$(nr.$$.fragment,i),$(Fs.$$.fragment,i),$(rr.$$.fragment,i),$(ar.$$.fragment,i),$(sr.$$.fragment,i),$(Ns.$$.fragment,i),$(Ls.$$.fragment,i),$(lr.$$.fragment,i),$(Rs.$$.fragment,i),$(dr.$$.fragment,i),$(cr.$$.fragment,i),$(pr.$$.fragment,i),$(zs.$$.fragment,i),$(Cs.$$.fragment,i),$(hr.$$.fragment,i),$(Os.$$.fragment,i),$(ur.$$.fragment,i),$(fr.$$.fragment,i),$(Is.$$.fragment,i),$(Ds.$$.fragment,i),$(_r.$$.fragment,i),$(Bs.$$.fragment,i),$(yr.$$.fragment,i),$(br.$$.fragment,i),$(vr.$$.fragment,i),$(Qs.$$.fragment,i),$(Hs.$$.fragment,i),$(Tr.$$.fragment,i),$(Gs.$$.fragment,i),$(wr.$$.fragment,i),$($r.$$.fragment,i),$(Pr.$$.fragment,i),$(Xs.$$.fragment,i),$(Ys.$$.fragment,i),$(si.$$.fragment,i),$(Nr.$$.fragment,i),$(Lr.$$.fragment,i),$(ii.$$.fragment,i),$(li.$$.fragment,i),$(gi.$$.fragment,i),$(Mr.$$.fragment,i),$(Er.$$.fragment,i),$(_i.$$.fragment,i),$(yi.$$.fragment,i),$(Ni.$$.fragment,i),$(zr.$$.fragment,i),$(Cr.$$.fragment,i),$(Li.$$.fragment,i),$(xi.$$.fragment,i),$(Ai.$$.fragment,i),$(qr.$$.fragment,i),$(Ar.$$.fragment,i),$(Oi.$$.fragment,i),$(Ii.$$.fragment,i),$(Ki.$$.fragment,i),$(Ir.$$.fragment,i),$(Dr.$$.fragment,i),$(Vi.$$.fragment,i),$(Ji.$$.fragment,i),$(nl.$$.fragment,i),$(Wr.$$.fragment,i),$(Ur.$$.fragment,i),$(rl.$$.fragment,i),$(al.$$.fragment,i),$(hl.$$.fragment,i),$(Qr.$$.fragment,i),$(Hr.$$.fragment,i),Ch=!0)},o(i){P(l.$$.fragment,i),P(L.$$.fragment,i),P(ga.$$.fragment,i),P(_a.$$.fragment,i),P(Pn.$$.fragment,i),P(ba.$$.fragment,i),P(va.$$.fragment,i),P(Fa.$$.fragment,i),P(Ln.$$.fragment,i),P(xn.$$.fragment,i),P(Na.$$.fragment,i),P(La.$$.fragment,i),P(za.$$.fragment,i),P(En.$$.fragment,i),P(Rn.$$.fragment,i),P(Ca.$$.fragment,i),P(ja.$$.fragment,i),P(Da.$$.fragment,i),P(Cn.$$.fragment,i),P(jn.$$.fragment,i),P(Sa.$$.fragment,i),P(Wa.$$.fragment,i),P(Ha.$$.fragment,i),P(An.$$.fragment,i),P(On.$$.fragment,i),P(In.$$.fragment,i),P(Ka.$$.fragment,i),P(Va.$$.fragment,i),P(Ya.$$.fragment,i),P(Sn.$$.fragment,i),P(Wn.$$.fragment,i),P(Za.$$.fragment,i),P(es.$$.fragment,i),P(rs.$$.fragment,i),P(Bn.$$.fragment,i),P(Qn.$$.fragment,i),P(as.$$.fragment,i),P(ss.$$.fragment,i),P(cs.$$.fragment,i),P(Kn.$$.fragment,i),P(Vn.$$.fragment,i),P(ps.$$.fragment,i),P(ms.$$.fragment,i),P(Gn.$$.fragment,i),P(gs.$$.fragment,i),P(Xn.$$.fragment,i),P(Yn.$$.fragment,i),P(_s.$$.fragment,i),P(ys.$$.fragment,i),P(bs.$$.fragment,i),P(er.$$.fragment,i),P(tr.$$.fragment,i),P(vs.$$.fragment,i),P(ks.$$.fragment,i),P(nr.$$.fragment,i),P(Fs.$$.fragment,i),P(rr.$$.fragment,i),P(ar.$$.fragment,i),P(sr.$$.fragment,i),P(Ns.$$.fragment,i),P(Ls.$$.fragment,i),P(lr.$$.fragment,i),P(Rs.$$.fragment,i),P(dr.$$.fragment,i),P(cr.$$.fragment,i),P(pr.$$.fragment,i),P(zs.$$.fragment,i),P(Cs.$$.fragment,i),P(hr.$$.fragment,i),P(Os.$$.fragment,i),P(ur.$$.fragment,i),P(fr.$$.fragment,i),P(Is.$$.fragment,i),P(Ds.$$.fragment,i),P(_r.$$.fragment,i),P(Bs.$$.fragment,i),P(yr.$$.fragment,i),P(br.$$.fragment,i),P(vr.$$.fragment,i),P(Qs.$$.fragment,i),P(Hs.$$.fragment,i),P(Tr.$$.fragment,i),P(Gs.$$.fragment,i),P(wr.$$.fragment,i),P($r.$$.fragment,i),P(Pr.$$.fragment,i),P(Xs.$$.fragment,i),P(Ys.$$.fragment,i),P(si.$$.fragment,i),P(Nr.$$.fragment,i),P(Lr.$$.fragment,i),P(ii.$$.fragment,i),P(li.$$.fragment,i),P(gi.$$.fragment,i),P(Mr.$$.fragment,i),P(Er.$$.fragment,i),P(_i.$$.fragment,i),P(yi.$$.fragment,i),P(Ni.$$.fragment,i),P(zr.$$.fragment,i),P(Cr.$$.fragment,i),P(Li.$$.fragment,i),P(xi.$$.fragment,i),P(Ai.$$.fragment,i),P(qr.$$.fragment,i),P(Ar.$$.fragment,i),P(Oi.$$.fragment,i),P(Ii.$$.fragment,i),P(Ki.$$.fragment,i),P(Ir.$$.fragment,i),P(Dr.$$.fragment,i),P(Vi.$$.fragment,i),P(Ji.$$.fragment,i),P(nl.$$.fragment,i),P(Wr.$$.fragment,i),P(Ur.$$.fragment,i),P(rl.$$.fragment,i),P(al.$$.fragment,i),P(hl.$$.fragment,i),P(Qr.$$.fragment,i),P(Hr.$$.fragment,i),Ch=!1},d(i){t(d),i&&t(y),i&&t(h),F(l),i&&t(he),i&&t(D),F(L),i&&t(ue),i&&t(A),i&&t(fe),i&&t(ee),i&&t(C),i&&t(le),i&&t(ge),i&&t(U),i&&t(_e),i&&t(z),i&&t(O),i&&t(I),i&&t(ne),i&&t(je),F(ga),i&&t(Qm),i&&t(jt),F(_a),F(Pn),i&&t(Hm),i&&t(Lo),F(ba),i&&t(Km),i&&t(Ze),F(va),F(Fa),F(Ln),F(xn),i&&t(Vm),i&&t(Mo),F(Na),i&&t(Jm),i&&t(gt),F(La),F(za),F(En),F(Rn),i&&t(Gm),i&&t(Ro),F(Ca),i&&t(Xm),i&&t(_t),F(ja),F(Da),F(Cn),F(jn),i&&t(Ym),i&&t(Co),F(Sa),i&&t(Zm),i&&t(yt),F(Wa),F(Ha),F(An),F(On),F(In),i&&t(eh),i&&t(qo),F(Ka),i&&t(th),i&&t(bt),F(Va),F(Ya),F(Sn),F(Wn),i&&t(oh),i&&t(Oo),F(Za),i&&t(nh),i&&t(vt),F(es),F(rs),F(Bn),F(Qn),i&&t(rh),i&&t(Do),F(as),i&&t(ah),i&&t(kt),F(ss),F(cs),F(Kn),F(Vn),i&&t(sh),i&&t(Uo),F(ps),i&&t(ih),i&&t(dt),F(ms),F(Gn),F(gs),F(Xn),F(Yn),i&&t(lh),i&&t(Qo),F(_s),i&&t(dh),i&&t(Ho),F(ys),F(bs),F(er),F(tr),i&&t(ch),i&&t(Vo),F(vs),i&&t(ph),i&&t(ct),F(ks),F(nr),F(Fs),F(rr),F(ar),F(sr),i&&t(mh),i&&t(Go),F(Ns),i&&t(hh),i&&t(pt),F(Ls),F(lr),F(Rs),F(dr),F(cr),F(pr),i&&t(uh),i&&t(Yo),F(zs),i&&t(fh),i&&t(mt),F(Cs),F(hr),F(Os),F(ur),F(fr),i&&t(gh),i&&t(en),F(Is),i&&t(_h),i&&t(ht),F(Ds),F(_r),F(Bs),F(yr),F(br),F(vr),i&&t(yh),i&&t(on),F(Qs),i&&t(bh),i&&t(ut),F(Hs),F(Tr),F(Gs),F(wr),F($r),F(Pr),i&&t(vh),i&&t(an),F(Xs),i&&t(kh),i&&t(et),F(Ys),F(si),F(Nr),F(Lr),i&&t(Th),i&&t(ln),F(ii),i&&t(wh),i&&t(tt),F(li),F(gi),F(Mr),F(Er),i&&t($h),i&&t(cn),F(_i),i&&t(Ph),i&&t(ot),F(yi),F(Ni),F(zr),F(Cr),i&&t(Fh),i&&t(mn),F(Li),i&&t(Nh),i&&t(nt),F(xi),F(Ai),F(qr),F(Ar),i&&t(Lh),i&&t(un),F(Oi),i&&t(xh),i&&t(rt),F(Ii),F(Ki),F(Ir),F(Dr),i&&t(Mh),i&&t(gn),F(Vi),i&&t(Eh),i&&t(at),F(Ji),F(nl),F(Wr),F(Ur),i&&t(Rh),i&&t(yn),F(rl),i&&t(zh),i&&t(st),F(al),F(hl),F(Qr),F(Hr)}}}const HN={local:"robertaprelayernorm",sections:[{local:"overview",title:"Overview"},{local:"transformers.RobertaPreLayerNormConfig",title:"RobertaPreLayerNormConfig"},{local:"transformers.RobertaPreLayerNormModel",title:"RobertaPreLayerNormModel"},{local:"transformers.RobertaPreLayerNormForCausalLM",title:"RobertaPreLayerNormForCausalLM"},{local:"transformers.RobertaPreLayerNormForMaskedLM",title:"RobertaPreLayerNormForMaskedLM"},{local:"transformers.RobertaPreLayerNormForSequenceClassification",title:"RobertaPreLayerNormForSequenceClassification"},{local:"transformers.RobertaPreLayerNormForMultipleChoice",title:"RobertaPreLayerNormForMultipleChoice"},{local:"transformers.RobertaPreLayerNormForTokenClassification",title:"RobertaPreLayerNormForTokenClassification"},{local:"transformers.RobertaPreLayerNormForQuestionAnswering",title:"RobertaPreLayerNormForQuestionAnswering"},{local:"transformers.TFRobertaPreLayerNormModel",title:"TFRobertaPreLayerNormModel"},{local:"transformers.TFRobertaPreLayerNormForCausalLM",title:"TFRobertaPreLayerNormForCausalLM"},{local:"transformers.TFRobertaPreLayerNormForMaskedLM",title:"TFRobertaPreLayerNormForMaskedLM"},{local:"transformers.TFRobertaPreLayerNormForSequenceClassification",title:"TFRobertaPreLayerNormForSequenceClassification"},{local:"transformers.TFRobertaPreLayerNormForMultipleChoice",title:"TFRobertaPreLayerNormForMultipleChoice"},{local:"transformers.TFRobertaPreLayerNormForTokenClassification",title:"TFRobertaPreLayerNormForTokenClassification"},{local:"transformers.TFRobertaPreLayerNormForQuestionAnswering",title:"TFRobertaPreLayerNormForQuestionAnswering"},{local:"transformers.FlaxRobertaPreLayerNormModel",title:"FlaxRobertaPreLayerNormModel"},{local:"transformers.FlaxRobertaPreLayerNormForCausalLM",title:"FlaxRobertaPreLayerNormForCausalLM"},{local:"transformers.FlaxRobertaPreLayerNormForMaskedLM",title:"FlaxRobertaPreLayerNormForMaskedLM"},{local:"transformers.FlaxRobertaPreLayerNormForSequenceClassification",title:"FlaxRobertaPreLayerNormForSequenceClassification"},{local:"transformers.FlaxRobertaPreLayerNormForMultipleChoice",title:"FlaxRobertaPreLayerNormForMultipleChoice"},{local:"transformers.FlaxRobertaPreLayerNormForTokenClassification",title:"FlaxRobertaPreLayerNormForTokenClassification"},{local:"transformers.FlaxRobertaPreLayerNormForQuestionAnswering",title:"FlaxRobertaPreLayerNormForQuestionAnswering"}],title:"RoBERTa-PreLayerNorm"};function KN(N){return BF(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class eL extends DF{constructor(d){super();SF(this,d,KN,QN,WF,{})}}export{eL as default,HN as metadata};
